Tutorials

RandomWare Plus Tutorials: When instructed, select the menu options, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized if it interferes with the lesson.
Click on a topic page to start.
Getting Started - The Sample Directory
Start a New Directory
MRO, CPC, Labs, Panel Configurations
Reasons for Testing
Open a Base List for Editing
Yearly Selection Percentage Targets
Consortium Management - Pools
Random Selection
General Editing Techniques
More . . .


After Installation

This article includes information about the following:

  • Monitor Resolution

  • Color Requirements for you Monitor

  • Color Control

  • Program Fonts for the Screen & Printing

  • Some Helpful Tips

System | Monitor Resolution Requirements
Simple | Simple has no resolution requirements.
Extended | 400 x 600
Basic | 400 x 600
Plus | 400 x 600
Depending on the size of your monitor, to guarantee all spreadsheet columns and all dialog boxes are displayed in their entirety, your monitor's resolution must be, at least, 1024 x 768 pixels (horizontal x vertical). Generally, this requires VGA or super VGA compatibility. Spreadsheets cannot scroll horizontally. Dialog boxes cannot scroll vertically or horizontally into the display area of the monitor if displayed partially off screen.

Note: RandomWare is developed on a Dell laptop with a 15 inch screen.

To check your monitor, follow the directions below for color requirements. The pixel control is found on the same page as the color settings.
Color Requirements for you Monitor

The program appears best if you select a color palette for your computer monitor that uses more than 256 colors. To change your monitor's color palette, right click over your "desktop", select the "properties" menu and then select the "Settings" Tab when the "Display Properties" dialog box appears.

Color Control – Setting the Display Properties for you Monitor The pre-selected color settings used by RandomWare will display best if the color palette for your monitor is set to a value higher than 256 colors. If more than 256 colors are not available then refer to the Help module for assistance with color control.

To easily access the display control dialog, right click the mouse over the “Desktop” and select the Properties tab as shown. Or access Display Control from the Control Panel by way of the Task bar Start button.

Once the display control dialog is displayed, select the tab for Settings and a color palette greater than 256.

Windows 2000 will present a dialog box as below.
Windows 95/98 will present a dialog box as below.
Example of Too Few Colors Specified:

This is what to expect when your color palette is set to 256 colors or less:

Example of Correct Color Specification:

This is what to expect when your color palette is set to greater than 256 colors.

  • High Color (16 Bit)
  • True Color (24 Bit)
  • True Color (32 Bit)

Program Fonts for the Screen & Printing

You may need to set print fonts before you can properly print documents through RandomWare. The default fonts do not seem to be active for all installations. Print one of the sample Base Lists that accompany the program. If it compares to the print sample included with the installation document, your font settings do not need to be changed.

Please Note: Of course, if you downloaded the installation, a printed example is not included with the documentation and there are no on-line examples of printed documents.
There are four print font categories:

  • Primary Title

  • Secondary Title

  • Column Headings

  • Line Data
And two screen font categories:

  • Data Input

  • Screen Text (data screen column headings and titles)

When the font control dialog is displayed, set all fonts to Arial, Regular, Size 8 to insure that all data fits on a page.
Font Control is accessed from the main menu through the Utils option or from the Misc and Print menus in most menu bars throughout the system.

NOTE: SCREEN FONTS - Be certain the option boxes for “Strikeout” and “Underline” are not checked.

For more information about font control see the articles in the help system under Printing, Fonts & Colors. Once fonts and colors have been set, they remained unchanged.

Some Helpful Tips

From the Directory Window (RandomWare Plus+)

  • Right click on a Group/Company Name for a Pop-Up Menu of Options.
  • From the pop-up menu, select the Dialog Editor to easily access all the data fields associated with each directory entry.
  • Double Click on a Group/Company Name to open its Base List (Company Roster.)
  • Right click on a Pool-ID for a Pop-Up Menu of Options.
  • Double click on a Pool-ID to dynamically combine the member's lists for random selection.

From the Base List Window

  • Double click on a name to access the Dialog Editor to easily access all the data fields for each employee in the roster.
  • Double click on the Mode or Category field to immediately access the Mode/Category manager or right click to access the pop-up menu option that provides access the Mode/Category manager.
  • Double click on the Shift field to immediately access the Shift manager or right click to access the pop-up menu option that provides access the Shift manager.

From the History Data Window

  • Double click on a name to access the Dialog Editor to easily access all the donor sample data fields for each entry in the history file.
  • Right click on any date in the system to see its "Day of the Week"


Random Algorithm

RandomWare uses the following Microsoft C++ Library functions to generate true random selection:

srand( (unsigned) time(NULL) ) and k = rand( )

It is best to refer to the original documentation for a thorough and complete description of these functions. The information is duplicated here for your convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
It can also be found on one of Microsoft's many internet web sites: http://msdn.microsoft.com

The following pages reference each of the functions mentioned above.

  • Time Function: time( )
  • Random Seed Function: srand( )
  • Returning a Random Number: rand( )

The documentation for these functions refer to "pseudorandom" numbers. They are referred to as "pseudo" since their generation depends on a "seed value."


Append & Merge Data into a Base List

Append & Merge

You can append and merge data from another RandomWare List into the currently open list.

Append and Merge will compare each ID from the requested list to each ID in the currently open list.

Merge: Entries from the requested list whose ID is found in the currently open list will not be added.
Append: All entries from the requested list will be added to the current list regardless of ID duplication.

In either case you will be offered the opportunity to view the list of duplicate IDs found.

The Append Merge option is available while editing base lists.

NOTE: Member lists of a pool are appended rather than merged according to DOT guidelines. See Notes on Pooling.


Alternate Methods

KNOWN SYSTEM ERRORS: On some systems the menu choices Screen Fonts, Printer Fonts and Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the methods described below.

Alternate Methods: Fonts & Colors

The alternate methods for selecting fonts and colors are reliable and can be used if the other methods fail.

From the main menu select Utils then click on Alternate Method: Fonts_Colors.

Color Menu

altclrmenu.bmp (130886 bytes)

  • Heading Text: Color of data column headings and other text outside the grid lines.
  • Field Text: CURRENT: Color of the text in the CURRENT Field.
  • Field Text: (Inactive Field - Cursor is not in this cell) color of field data text that is currently in Input Mode.
  • Background CURRENT Field: Field Background color of the item in which data in being entered.
  • Background CURRENT Record: Not used at this time.
  • Background Inactive Field: Field background color of an item when the cursor moves to another field.
  • Background Screen: Controls the background color of the entire screen.
  • Background Sequence Number: Each entry has a sequence number - its background color can be modified.
  • Grid: Grid line color.
  • Highlight Color: Not Currently Used

With each of the above selections the dialog box below is presented for color selection.

Fonts Menu

altfontmenu.bmp (86886 bytes)

  • Data Input: Field Data Input
  • Full Screen Editor : Not Currently Used.
  • Screen Text: Field Column Headings and other Descriptive Text.
  • Primary Title: Page title & file name (If applicable ).
  • Secondary Title: Not Currently Used.
  • Column Headings: Font used for the data column headings.
  • Line Data: Font used for the data printed in the grid cells.

Recommended Fonts for Screen and Printing

Font: Arial Style: Regular Size: 8

These settings insures that all fields will display and print.
Adjust them according to your preferences.


Audit Randoms

Audit Control: Monitoring the Random Selections

Every time a random selection is generated the results are written to an audit file with a date and time stamp.

No entries can be arbitrarily removed from a generated list. The delete function is not allowed in the window that displays the selection. It is very easy to determine if someone has generated a subsequent selection by examining the audit file for multiple times logged for that date.

The time stamp is recorded in military time:

Hours

Minutes

Seconds

An arbitrarily removed entry from the generated list can easily be identified by comparing the final notification list with the audit trail for that date and time.

Access to the Audit List is password protected.


Target Percentages & Selection Stats

Automatically Preset Selection Controls from Target Percentages & Selections Stats Report

This feature is only available with Randomware Plus+.

This report has two views:
  • Target Stats (Shown Below)
  • Selection Stats

Note: The next selection date for each entry can be viewed from the alternate report view. Choose the menu option Selection Stats from the Views menu at the top of the window.

See Target Percentages & Selections Stats to learn how to generate this on-screen report and to refer to the legend for a detailed description of each data column.

To generate random selections for any entry displayed in this screen report, with selection controls preset, simply double click on the Pool ID, or the Group Name where it appears under the left column, Group or Pool.

For example, to generate a selection from Acme Delivery with the selection controls preset with the Percentages for each Test Type and Alternates, Selection Date, and Testing Dates, simply move the cursor over Acme Delivery, where it appears, and double click - see 1.

To preset the selection control for Pool_1A, double click Pool_1A in the Group or Pool column - see 2.

Note: No selection control is initialized if you double click a group name where it appears as a pool member below the Pool Name - see 3.
Double click to select Acme Delivery to generate a random selection with the selection control entries preset with the percentages required for the next selection generation.
Double click to select Pool_1A to generate a random selection with the selection control entries preset with the percentages required for the next selection generation.
You can not select groups where they appear as pool members. To include a pool member as a "Selectable" item for random generation, enter percentage Targets in its directory entry.
See Directory Views: Target Percentages . . .

The table below interprets the data for Pool_1A, Test-A [Urine]

Four (4) selections are scheduled for the year.
List Count: 72 names form the combined for Pool_1A from which the random selections were generated.
Collection Count: 12 donor samples were collected for the period requested.
Percent to Date: 16.67 % is the collection percentage represented by the number of samples collected.
Target Percentage: 50 % is the Target Percentage for the year.
Selections Completed: 1 selection was generated.
The number of Selection Dates yet to perform: 3 selections remain for the year.
Percentage for Each Remaining Selection: 11.1 % is the selection percentage for the remaining 3 tests yet to perform.


Base List Data Fields

Last Name: Enter the last name for each entry. Capitalize as needed.

First Name: Enter the first name for each entry. Capitalize as needed.

Middle Initial: Enter up to two characters for the middle initial.

ID No. :The ID can be up to 32 characters long. Through the Base List window's popup menu, Misc., you can select to apply the social security number format:: @@@-@@-@@@@. There is no check to verify that each ID No. is unique.

Warning: If an ID number is longer than 29 characters, the trailing characters will be truncated if you inadvertently apply the social security format.

Note: If you use the set the Single Name Status switch for an individual directory entry or a pool, only one name is displayed and printed when the data for that entry is accessed. To indicate single name status for a pool, see the pool registry. This option is available only with the Plus+ system.


Base List

Base List - Randomware Basic & Plus

Random selections are generated from these lists.

Open base lists from the Directory Facility (Randomware Plus+) or directly as a Named List.
  • Named Lists
  • Directory

The Base List (Personnel Roster) is presented for input as shown:

Note: See Base List Data Items & Data Item Options for a detail description of each data item and access to special edit controls.

To generate a random selection choose the menu option Randoms.

Note:
The 'X' column is used to indicate the entries previously selected within the last 'n' days when 'n' is specified in the Exclusion options of the random selection controller.

Menu Options | Description
Exit | Exit to previous window. A prompt is provided to save or ignore any data modifications.
Windows | Provides access to currently open spreadsheet windows.
Save | Save all changes in the list to disk.
Utilities | See Utility Options below.
Randoms | See Random Selection
Other Data | See Other Data
History/EAP | Provides access to the history of previous random selections for drug and alcohol data tracking management.
Views | Provides other spreadsheet views for the personnel roster.
Import | See Import External Data
Print | See Print Options below.
Misc | See Misc Options
Help | Provides access to a variety of help articles.

The Utility Options | Description
Full Editor Dialog | All data items for an individual base list entry can not be displayed in a spreadsheet style format to fit the screen without a horizontal scroll. The Full Editor Dialog is an edit control through which all data items are accessible from one place.
Mode/Category Manager | Presents the Mode/Category manager to easily set the mode and category for each entry. See Mode Manger for details.
Shift Manager | Presents the Shift manager to easily set the work shift for each entry. See Shift Manager for details.
Filter | Data filtering reduces the entries displayed. See Filtering
Find | Find a specific entry in the list. See Find
Record Selector | See Record Selector for details.


KNOWN ERRORS: On some systems the menu choices: Screen Fonts, Printer Fonts, Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the selection: Alternate Methods: Fonts & Colors.

Recommended Monitor Setting: Any color palette greater than 256.

To adjust the color palette of your monitor click the right mouse button over the desktop. Select Properties, then select the tabbed category Settings and finally from the Color palette select True Color 16, True Color 24, or any setting greater than 256.

If a color palette greater than 256 is not available then select the colors for RandomWare that render uniformly in the Color|Solid area of the color control display box - discussed below.

Color Control

From the Base List window's popup menu Misc. select Colors.

colormenu.bmp (276018 bytes)

The color control dialog box is presented:

Colors.bmp (797094 bytes) |  |
 | Color | Solid |
 | It is critical that you select a color that does not display split. | split_color.bmp (3598 bytes)

Split Color: If the color selection is split you may need to change the setting of your monitor's color palette as described above or select a color that displays uniformly.

split_color.bmp (3598 bytes)

Uniform Color: If the color selection is uniformly displayed, the setting of your monitor's color palette and the color selection are compatible.

uniform_color.bmp (7614 bytes)

vudu_color_example.bmp (93574 bytes) This is how a split color selection will display.

Background Colors

  • CURRENT Input: Field Background color of the item in which data in being entered.
  • CURRENT Record: Not used at this time.
  • Primary: Field Background color of an item after the cursor moves to another Field (Cursor is no longer in the cell.)
  • Alternate: Not Used
  • Sequence Number: Each entry has a sequence number - its background color can be modified.
  • Screen: Control the background color of the entire screen.

Text Colors

  • Descriptive: Data Column Headings and other text outside the grid lines.
  • Input - Active: Color of the text in the CURRENT Input Field.
  • Input - Inactive: Color of Field Data text that in currently in Input Mode.
  • Sequence Numbers: Color of the sequence number text.

Other

  • Grid Lines: Grid line color.

Click on the radio button of an item to change its color. When you click an item its current color is displayed in the color wheel. Select a new color by moving the target until you have one that suits the item's appearance. You can also select a color by clicking on one of the many Basic Colors. Click the Apply Button to see the effect or OK.

Buttons

- | The current screen is redisplayed with the new color: color control box stays active.
- | The current screen is redisplayed with the new color: color control box disappears.
- | Not currently active.


Development Access

Records for many data tables throughout the system can be "Reserved" to protect from indiscriminate modifications. The column heading "Rsrv" indicates that the individual records in the table can be flagged as Reserved and their status cannot be reversed until you gain "Development Access."

To gain development status, enter the development password from the Enter Development Password menu option found under the main menu Admin.

The development password is provided in the installation documentation - this password cannot be changed by the user and therefore it is not revealed in this help article. Please refer to the installation instructions or send an email to solutions@RandomWare.com to request the password.


Directory View: Simple Address Listing

This view provides the option to quickly view primary contact names and company addresses. It is an easy way to enter new directory entries. Only address line #1 is available for entry in this view. If your address needs require the additional address line fields, you will need to use another directory view.


Directory View - Check Mark Control

Directory View: Check Mark Control for Utility Options

Toggle the "Select" Status On/Off by double clicking the 'x' column with the left mouse button.

The Randomware Scheduling component uses the check mark to assign dates from a master file of schedule dates and to control the editing of existing schedules.


Directory View: Single Name Status Control

Multiple views are available for data managed by the directory facility. Each view is accessed through the Views option available from the menu bar seen in the screen example below. The window below is accessed by selecting Single Name Status Control.

Note: The single name status field is also accessible from the directory dialog editor. The dialog editor is an edit control with full access to all directory data from a single edit control. To access the editor, right click on a group name and select Dialog Editor from the pop up menu.

This directory view gives access to the single name status switch.

First Name, Last Name, and Middle Initial is the default data structure by which data is entered into Randomware lists. You can mark each directory entry with "Single Name Status" by "checking" this option box view. This option is toggled by doubling clicking the left mouse button while the mouse cursor is over this field. When an entry is checked for single name status, its base list and history file are displayed using one name (last name) only. Randomware allows 48 characters for the last name. Maritime operations can easily enter vessel names into this field and select the single name status mode for the display and printing of the list. See the pool registry to assign single name status to each pool in the system that require this mode for printing and display.


Directory View: Standard

NOTE:

No detailed information exists for this topic.

Check the support page on our web site often for the availability of a new help system.

http://www.randomware.com/pages/support.html

Home


Selection Control & Target Percentages

Directory View: Selection Control & Target Percentages

There a five views of a directory's data. Every data element for each directory entry can not be displayed in one view in a meaningful format. Therefore, five views have been defined to help you easily manage the directory data. You can easily switch from one view to another. The system will direct you to save any modifications before switching views. Each view is selected through the Views menu at the top of the window. A brief summary of all the views can be reviewed in Directory Views.

Selection Control & Target Percentages: Two Views
1) Scheduling is Turned ON
2) Scheduling is Turned OFF - Notice the added column, No. Sched. (No. of Selections Scheduled)
See Scheduling for a discussion about this Randomware feature and how to use it.

Use this directory view to maintain your selection criteria and yearly percentage targets. Randomware's random selection controls allow you to generate random selections for two tests by a percentage specified for each: Test-A and Test-B. Enter the test types and percentages for each directory entry. Selection control data and yearly percentage targets for Pools are maintained in the Pool registry. See the Open Options menu to access the Pool Registry.

Year to date percentages are reported for each entry in which a target percentage is entered. If a group is a member of a pool, you can monitor its year to date percentages, independent of the pool, if you enter a percent target for Test-A and/or Test-B. Leaving percent targets blank prevent the generation of a report for that entry.

The Fields

DOT
Generate Target reports and automatically preset the random selection control fields for selection from a pool or an individual company. If DOT is checked ('x'), the Super Double Jeopardy control is presented with the selection fields preset. If DOT is not checked, then the standard selection control is used. Double click to toggle the status of this field. For a discussion that distinguishes between these two selection controls see Random Selection.

Auto
Currently not used.

Randomize
Each directory entry and pool defined has a respective schedule you define to control for yearly selections. Along with the scheduled selection date, you can enter a testing or sample collection date range (the day test samples will be collected.) If you enter two testing dates and check Randomize ('x'), the system will randomly assign a collection date between the two dates specified (inclusively) for each entry randomly selected. Double click to toggle the status of this field. See Open Options to enter selection schedules.

Exclusion
Currently not used.

No. Sched.
When the system scheduler is turn OFF, enter the number of selections you plan for each entry. For example, if you plan to generate quarterly selections for an entry, enter 4 in this field.

Test-A
Enter the Test Type to be administered. Maintain a list of tests in the system database, Test Types. To open the data base for editing, select the popup menu option, Test Types Administered from the menu Codes/Tests at the top of the screen. If you enter the first character(s) of a test type in the database, the system will complete the entry for you. For example, if 'Breath' is a test type found in the Test Types database, typing 'B' will prompt the system to complete the entry to 'Breath' for you.

%(Test-A)
Enter the yearly percentage requirements for the selection of Test-A. For example, if you need to select 50% annually for a pool or individual group, enter '50' in this field.

Test-B
Enter the Test Type to be administered exactly as Test-A.

%(Test-B)
Enter the yearly percentage requirements for the selection of Test-B exactly as Test-A. If you are controlling for DOT selection (Super Double Jeopardy), the percentage for Test-B must be less than or equal to that for Test-A. If you have control for two test types, with different percentages, Test-A must be entered with the higher percentage.

Alts %
Enter the percentage by which alternates will be selected. Alternates are those entries who will be called in the event that primary selections are unavailable for testing. The Standard Selection control allows you to independently specify the selection of alternates for each test. Super Double Jeopardy has only entry by which to specify the selection of alternates.

Home


Directory

Directory: Overview

Quick links to some of the topics covered on this page:

  • Directory: Overview [ This Page ]

  • Directory: How to open a directory

  • Base List: How to open a list to enter and edit the entries for a directory item

  • Pooling: How to create and open a list of names that comprise a pool

The directory is essentially a list of lists with an address book.

A directory manages a collection of company names or groups and provides easy access to the base lists which contain the names and IDs of its members. An ID can be a social security number, driver license number, proprietary employment identification number, etc., etc.

If you provide random selection as part of your drug testing service then maintain a directory of the companies for whom you provide testing. Enter each company in a directory, then develop the list for each company entered. Pooling any number of companies becomes a trivial task with the directory facility.

If your company manages its own drug testing program then maintain a directory of the individual departments within your company and, or a directory for each facility location. List each department in the directory and develop each department's list.

If you provide random selections for sporting events then maintain a directory of teams for each event.

If you provide random selections for your organization worldwide then maintain a directory for each location.

See Opening a Directory for help for defining and accessing directories.

A list will correspond to each directory entry and is managed as an individual file. Randomware can manage as many as 100 million (100,000,000) directory entries each with a corresponding list file. The list file name for an entry in the directory is automatically assigned.

The Directory Window

The directory window is divided into two sections.

  • Address block.

  • Company/Group Name, Pool ID, Notification & List File ID.
Not all the data for each directory entry are displayed in the view above. All the data fields, for each entry, can not be displayed in a meaningful format, in one window.

Five views are available for the directory and each are accessed through the Views menu option.

  • Selection Control & Target Percentages
  • Standard View
  • Check Mark control for utility options.
  • Single Name status control
  • Simple Address Listing

Address Block
The data at the top of the screen is the Address Block. This block of data changes as you move across each row (record) of data below. The data in the address block corresponds to the current record below. See Current Record for a complete definition.

In the example above, line number 1 is the current record - 1 is also displayed along the side of the address block at the top left. The address block for record 2 will display when you move down one line by pressing the "Down" arrow key.

Moving the Cursor into the Address Block
Press the [Enter] or [Tab] key to move consecutively from field to field or move the cursor using the mouse and left click on the field item you want.

Notify File
Enter the name of the notification file you would like to use for its respective directory entry. For more information about the Notification file see Histories & Notifications

File Names for each Directory Entry
The file name for the base lists, history files and scheduling files for each directory entry is automatically assigned. The base file name, without a file extension, is displayed in the File ID column.

For example, the name of the base list for Acme Tool Rental is "10". The file name, including the file extension, is 10.DAT and is located in a sub-directory of the installation folder named DB_LISTS. If the installation folder is C:\RandomWare then the full path and file name of the base list is: C:\RandomWare\DB_LISTS\10.Dat. If you delete the directory entry for Acme, the base list file is not automatically deleted. If you accidentally delete a directory entry, the base list will persist. Reenter the company name, open its list and use the Append-Merge-Overwrite option to retrieve the data into the list.

For a detailed account of the RandomWare file system see File System.

Pools
Pools are developed from directory entries that have a common "Pool ID." Maintain a directory entry for each member of a pool. A directory can manage multiple pools with ease.

Identify Pool members by assigning a distinct pool ID to each company in the pool. Once you have assigned the same pool id to all its members, move the cursor over one of the Pool IDs you've entered and Left-Double Click the mouse. The list for each company assigned the pool id, is combined to form one list and then displayed. The random selections are generated from the combined list. The list is combined dynamically from each member list every time you double click on the pool id and represents the most current entries in each member's list.

NOTE: The Pool ID is case independent: upper and lower case characters are not distinguished one from the other.

For more information on Pooling see Pooling and Tutorials - Pools

The Base List: Opening, Editing and Random Selection
To open the Base List for a directory entry, move the cursor over the Group name and Left-Double Click the mouse.

For example, in the directory list shown above, to open the list for Acme Tool Rental, move the cursor over the cell containing the text "Acme Tool Rental" and left double-click the mouse or use the Open Options menu. From the Base List window you will generate random selections. Return to the directory when you save and exit.

Opening the list displays the following window:

See Base Lists for more information about list data.

Sorting
Move the cursor over the text heading for the column you would like to sort and Left Click the mouse. Click again to reverse the sort.

Home


Directory Views

The Directory: Understanding and Managing the Data

The directory facility is the link to all the data maintained in the system.
  • Pre-Employment: Maintain pre-employment lists and drug testing information. Transfer data to employment rosters when an individual is hired.
  • Employment Rosters: Manage Base Lists from which random selections are generated. Transfer an individual to an EAP program.
  • Random Drug Testing Data: These are the "History Files." Manage drug test information through the random selection history files.
  • EAP: Manage employee assistance program data.
  • Archive History Files
  • Generate Reports

There are multiple spreadsheet styled views for managing directory data. All data items for each entry cannot be displayed in a single view in a meaningful format. Therefore, multiple views have been defined to help easily manage the data. You can switch from one view to another through the Views option from the menu bar at the top of the window.

An Edit Control is provided through which all data items for an individual entry can be managed through a single editor. To activate the edit control, right click on a group, and select Dialog Editor from the popup menu.

Some spreadsheet views are:
  • Selection Control & Target Percentages
  • Standard View
  • Check Mark Control for Utility Options
  • Single Name Status Control
  • Simple Address Listing

Selection Control & Target Percentages
Use this directory view to maintain your selection criteria and yearly percentage targets. The standard selection controls allow you to generate random selections by percentage for two tests, labeled Test-A and Test-B. Enter the test types and percentages for each directory entry. Selection control data and yearly percentage targets for Pools are maintained in the Pool registry. See the Open Options menu to access the Pool Registry.

If you enter the available test types and test results in the Test Type and Results data base, see the menu Codes/Tests, the program will automatically attempt to finish the entry when you type the first characters of the test or the test result. For example, if you enter "B", the program will display "Breath" automatically, and you will not need to finish the typing, provided Breath has been entered in the data base. In the history file, when you enter test result codes, the program will attempt to automatically finish the entry for you when you type enough characters to uniquely specify the result. Type "P" and "Pos" will appear, if "Pos" is already listed in the data base.

Year to date percentages are reported for each entry in which target percentages are entered. If a group is a member of a pool, you can monitor its year to date percentages, independent of the pool, if you enter a percent target for Test-A and/or Test-B. Leaving percent targets blank prevent the generation of a report for that entry.

Standard View
 The standard view is the default view when you first open the directory.

Check Mark Control for Utility Option
 Select directory entries with a check mark to indicate that a utility feature will be apply.

Single Name Status Control
 First Name, Last Name, and Middle Initial is the default data structure by which data is entered into Randomware lists. You can mark each directory entry with "Single Name Status" by "checking" this option box displayed in this view. When an entry is checked for single name status, its base list and history file are displayed using one name (last name) only. Randomware allows 48 characters for the last name. Maritime operations can easily enter vessel names into this field and select the single name status mode for the display and printing of the list. See the pool registry to assign single name status to each pool in the system that require this mode for printing and display.

Simple Address Listing
 Each entry in the directory is displayed with company name, primary contact, address line #1, city, state, zip, and phone number on a single line. All other data is hidden in this view.


Editing Data

Editing the Data

  • Insert characters
  • Delete characters
  • [Ctrl-N] Insert a new line
  • [Ctrl-D] Delete a line
  • Exit & Save or Exit Without Savings
  • Sort

Insert characters
Use the [Insert] key on the keypad to insert a space.
Type the new character into that space.
There is no "Insert" mode - the system is always in "Overwrite" mode.

Delete characters
Use the [Delete] key to delete the character under the cursor.

Insert a line
[CTRL-N] inserts a new entry above the current entry.

Delete line
[CTRL-D] deletes the current entry.

Exit
Select Exit from the menu.
If you have modified any data the system will ask if you want to save before exiting.

If you respond "NO" then the window will close.
If you respond "Yes" then the window will stay active and you can click Save.
The system saves data only when you click Save.

Sort
Left click on the "Heading Text" above a column to sort by that column.

ASCENDING: Click on the Upper Edge of the Heading (Displays RED)
DESCENDING: Click on the Lower Edge of the Heading (Display BLUE)

Subsequent requests to sort on the same column will toggle sort order:
ASCEND, DESCEND, ASCEND, etc...

Note: Sorting Dates
Ascending or Descending sorts on date columns only affect the order of the year.
Months and Days always sort in ascending order.

Home


Base List Editing Dialog

Base List Record Editor
A Note about Data Modifications using the Dialog Editors
Please read:
Each entry in the personnel roster maintains more data than can be effectively displayed in one line of a spreadsheet without horizontal scrolling. A variety of spreadsheet views is available through the "Views" menu option. A dialog based editor with tabbed pages provides access to every data item in the record. To activate the editor, double click an entry, click on the short cut arrow, or from the Utilities popup menu, Full Editor Dialog.
NOTE: The editor is superimposed over the roster spreadsheet. You can position the editor to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot. Move it to the far right of the screen so that the names in the base list window beneath it are viewable.
The editor is a simple view window into the full list of names in the currently open list. Use the vertical scroll, page up and page down buttons to position an entry in the editor. If you move the editor to the far right of the screen, the names in the current list should be viewable, provided your monitor is suitably large.
The Controls
Saves all data modifications permanently to disk. Modifications to the data currently on view in the editor are saved as well as any changes "Applied" to previous entries.
Create an entry for testing:
  • Probable Cause
  • Periodic Testing
  • Post Accident
  • Follow-Up Testing
  • Other
  • In general, any reason for testing found in Reasons for Testing table
The entry is managed in the roster's corresponding Results table - see the Results menu at the top of the window.
Inserts a new entry ahead of the entry currently in the editor. When the Template is turned ON, data captured to the Clipboard is used to preset specified data items. See Template details below.
Deletes the current entry.
Displays this help screen.
Scrolls the previous or next entry into the editor for data modification.
Sets the record which is logically one page up into the editor and scrolls the list of data viewed behind the editor dialog.
Sets the record which is logically one page down into the editor and scrolls the list of data viewed behind the editor dialog.
Captures the data currently in the editor onto the clipboard. This data is used to preset the items of every new entry (Insert & Add New) when the Template is turned ON.
Add a New Entry to the bottom of the list. When the Template is turned ON, data captured to the Clipboard is used to preset specified data items. See Template details below.
Clear all selected entries from the print request queue.
Add the current entry to the print request queue - entry is highlighted in the background list.
Print all selected entries - if no entries have been selected, print the current entry only.
Applies the data modifications to the current entry and exits the editor. Note: the Save Option must be selected to permanently save the data to disk. If the Save Option is not selected, all data modifications will be lost.
Exits the editor. All data modifications since the last Apply or Save are lost.
Applies the data modifications to the current entry. Note: the Save Option must be selected to permanently save the data to disk.
Data Template
To maintain specific data from one entry to a new entry, use the Template Option and the Clipboard. Data captured to the clipboard will preset specific items for each new entry when the Template Option is ON. Not all data is captured.
The following data items are saved to the clipboard:

  • Mode/Category

  • City

  • State

  • Work Phone

  • Work Extension

  • Work Shift
To specify which items will be preserved when a new entry is requested, check the respective item's box in the Template Data Items page of the editor.


Directory Entry Editor
A Note about Data Modifications using the Dialog Editors
Please read:

The directory entry editor is only accessible using the right mouse button. Locate the mouse cursor over a data item in the Group/Company column and right click to present a floating pop-up menu which provides access to a number of options available for each entry in the directory.

From the pop-up menu, select Dialog Editor to access the full data editor for the current directory entry.

Nine tabbed pages maintain all the data available for the definition of each directory entry.
  • Contact Information and Notes
  • Group Address
  • Random Selection Control Parameters
  • Random Selection Presets
  • Random Selection Exclusions
  • Random Selection Email of Results Control
  • Miscellaneous Information
  • On-Site Testing Facility
NOTE: The editor is superimposed over the Directory spreadsheet. Position the editor to a convenient place on the screen so the data behind the data is visible. To reposition the editor, move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot. Move it to the far right of the screen so that the names in the Directory window beneath it are viewable.
The editor is a simple view window into the full list of groups/companies in the currently open Directory. Use the vertical scroll, page up and page down buttons to position an entry in the editor.
The Controls
Open group's drug & alcohol test results table.
Open Group's personnel roster (Base List).
Clear all selected entries from the print request queue.
Add the current entry to the print request queue - entry is highlighted in the background list.
Saves all data modifications permanently to disk. Modifications to the data currently on view in the editor are saved as well as any changes "Applied" to previous entries.
Print all selected entries - if no entries have been selected, print the current entry only.
Inserts a new entry ahead of the entry currently in the editor.
Deletes the current entry.
Displays this help screen.
Scrolls the previous or next entry into the editor for data modification.
Sets the record which is logically one page up into the editor and scrolls the list of data viewed behind the editor dialog.
Sets the record which is logically one page down into the editor and scrolls the list of data viewed behind the editor dialog.
Applies the data modifications to the current entry and exits the editor. Note: the Save Option must be selected to permanently save the data to disk. If the Save Option is not selected, all data modifications will be lost.
Exits the editor. All data modifications since the last Apply or Save are lost.
Applies the data modifications to the current entry. Note: the Save Option must be selected to permanently save the data to disk.


Using the Edit Dialog

Using the Dialog Editor

NOTE: When you enter new data or modify existing data, one or two button selections are required to permanently save the data. If you press the Apply button, the modifications are reflected in the spreadsheet displayed behind the dialog editor, but not saved to disk. While the spreadsheet is flagged as "Modified", it is not permanently written to disk until you press the Save to Disk button at the bottom left of the editor. If you Cancel from the dialog editor without saving the modifications to disk, you may select the Save option from the window's menu bar before you exit.

NOTE: If you modify data, you must select one of the options, Apply, OK, or Save to Disk, in order to reflect the modifications in the spreadsheet displayed under the editor. The data displayed in the editor is a temporary copy of its respective entry from the spreadsheet. If you scroll, page or insert before selecting one of these options, you will be warned before the editor performs the request, thereby providing the opportunity to save your changes. If you press the Save to Disk button after you finish editing an entry, the entry and all prior data modifications are permanently saved.


Base List Editing Dialog

Test Results Data Editor

A Note about Data Modifications using the Dialog Editors
Please read:

The editor can be accessed from the Utilities popup menu, Full Editor Dialog, of the Results data entry windows. Or, optionally, right click the mouse over a Name or ID to access the pop-up menu through which the control is activated, or double click the left mouse button to display the control immediately.

NOTE: This editor is superimposed over the history data window. You can position the editor to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot. Move it to the far right of the screen so that the names in the data window beneath it are viewable.

The editor is a simple view window into the full list of entries in the currently open list. Use the vertical scroll, page up and page down buttons to position an entry in the editor. If you move the editor to the far right of the screen, the names in the current list should be viewable if your monitor is suitably large.

The Controls

Saves all data modifications permanently to disk. Modifications to the data currently on view in the editor are saved as well as any changes "Applied" to previous entries.
Pre-Employment: Transfers Personnel Data to base list (personnel roster). If the pre-employment table is "directory wide" the system will provide the current list of directory entries - select the group to which the pre-employment data will transfer.
Generate sorted index card files of all entries in the current list for quick location.
  • Alpha-Tabs (Alphabetically order Tabs)
  • Sample ID (Lab Sample ID sorted in ascending order)
When an entry in the card is double clicked, its data is immediately loaded into the editor.
Insert a Pre-Employment Record. When a new record is inserted into the results table, it is automatically flagged as a pre-employment test. If you need to add a record for any other reason (Post Accident, Probable Cause, Follow-Up, etc.), open the personnel roster, select an individual, right click the name in the spreadsheet and select the EAP Transfer option.
Prints the current entry in the editor or the entries placed in the print request list.
Adds or Removes the current entry from the print request list. Control the highlight attribute.
Clears the print request list.
Displays this help screen.
Scrolls the previous or next entry into the editor for data modification.
Sets the record which is logically one page up into the editor and scrolls the list of data viewed behind the editor dialog.
Sets the record which is logically one page down into the editor and scrolls the list of data viewed behind the editor dialog.
Applies the data modifications to the current entry and exits the editor. Note: the Save Option must be selected to permanently save the data to disk. If the Save Option is not selected, all data modifications will be lost.
Exits the editor. All data modifications since the last Apply or Save are lost.
Applies the data modifications to the current entry. Note: the Save Option must be selected to permanently save the data to disk.


Randomware Evaluation

Randomware Evaluation - Welcome to the Help System

Thank you for your interest in Randomware !

To close the Help System, simply click the "close box" at the top right corner of this window.

The help system is a "mini" web site and navigates exactly as Internet Explorer through the use of hyper linked text and the table of contents. You do not have to be on-line to access the articles in the help system.

The evaluation is the Plus+ version of Randomware. Features are showcased through an included set of sample data. The save function has been disconnected in the evaluation, therefore, data modifications can not be preserved, otherwise, the program is fully functional.

The purpose of the evaluation is to provide the feel of navigating through the program and to showcase the features available in the system.

To get the most from the system, please read the following articles:
 | After Installation
 | Getting Started
 | Tutorials
 | Quick Tips: Data Access & Editing Tools
 | Help System Overview
 | RandomWare Plus vs. Basic
 | Sample Data


Exclusion - Controlling a diminishing list

Exclusion
Specify the number of days to control a diminished list from which to generate a random selection.
NOTE: If the current list was not opened through the Directory Facility of the Plus System, the user is prompted for the list's corresponding history file when first entering exclusion parameters.
Options | Description
No. Days | An entry previously selected or tested within the last 'n' days, will be excluded from the current selection.
Last Select / Test Date | When you enter No. Days, the last selection / testing date is displayed. If you enter a date, the number of days is determined and displayed.
Exclude By . . . | Depending on the option selected, the exclusion is controlled by the date last selected or last tested. Note: Last Tested is synonymous to Last Sample Collection Date.
Select Date | Date individual was last selected for testing.
Test Date | Date collection was last performed
Options | Description of Pre-Employment List Exclusion Options
Use | Pre-employment lists are used to determined exclusion. The testing date determines exclusion when checking pre-employment lists regardless of the 'Exclude By' option selected (Select Date or Test Date). Every directory entry can maintain its own pre-employment list and every directory has a master pre-employment list. When selecting from a single directory entry, both pre-employment lists are used to determine exclusion. When selecting from a pool, all pool members pre-employment lists are used as well as the directory pre-employment master. Note: the directory's master pre-employment list is always reviewed for testing dates when this option is checked.
Only | History files are not used to determine exclusion. Only the pre-employment lists determine exclusion.
Ignore | Pre-employment lists are not used to determine exclusion. Exclusion is determined by the dates found for individuals in the selection list's respective history files.

If you enter 'n' days in the Exclusion Option, then any entry from the base list, previously selected or tested within the last 'n' days, will not be considered for the current selection.

Depending on the option selected, the exclusion is controlled by the date last selected or last tested. When you enter No. Days, the last selected or testing date is displayed. If you enter a date, the number of days is determined and displayed.

NOTE: The Last Selection/Testing Date is 'n' days previous to the current date.

For example, enter 30, to exclude anyone selected or tested within the last 30 days.
Two additional options help control this feature:

  • Only if Collected

  • Not Alternates

Only if Collected

If this option is checked, a person will be excluded if and only if a test sample was collected.

If a someone was previously selected, but a test sample was not collected, the person will not be excluded from the current selection, e.g., alternates.

If this option is NOT checked, all persons be excluded if previously selected within the number of exclusion days specified.

Not Alternates

This option controls the exclusion of alternates when the "Only if Collected" option is not checked. If the "Only if Collected" option is not checked then everyone previously selected within the specified number of exclusion days will be excluded, regardless if a sample was collected.

When "Not Alternates" is checked, individuals previously selected as alternates will not be excluded, provided a sample was not collected. When a sample is collected for an alternate, the alternate is not considered merely as an alternate.

Note: When the "Only if Collected" option is checked, alternates for whom a sample was collected, will be excluded if the previous date is within the number of exclusion days specified.

Each entry excluded from the selection is flagged with an 'x' as shown above. If you exit the selection control without generating a selection, the excluded entries will maintain the display of their exclusion status, however, the status is not saved with the base list but is saved with the duplicate list record which preserves the selection parameters as an audit document. Note: the exclusion column can sort.

Exclusion Date

When the number of exclusion days is specified, the corresponding exclusion date is displayed. The exclusion date is determined by adding the number of exclusion days to the currently displayed selection date. Anyone previously selected or tested BEFORE the exclusion date is eligible for selection. Anyone selected ON or AFTER the exclusion date and BEFORE the date currently displayed in the Selection Date control is excluded for the selection.

If an exclusion date is entered, the number of resulting exclusion days is calculated. The exclusion date must be on or BEFORE the currently displayed selection date.

Exclusion & Selection Control for Individual Pool Members

Some consortium members may want to control for higher testing percentages than mandated. Exclusion will allow you to comply with mandated selection requirements and control for higher percentage targets requested by an individual member.

When a consortium member company asks for higher testing percentages and wants to control its mandated and non-mandated testing at the same time, the complication is how to not select an individual twice for the same testing period. Exclusion provides the solution to this requirement.

If you generate the selection for the consortium and the individual member on the same day:
First, generate the random selection from the entire consortium as mandated and be certain to save the selection to its history file. Then generate a selection for the individual consortium member and specify the number of exclusion days as one (1). Anyone selected from the consortium (pool), will not be selected when drawing from the individual member list.

In general:
First, generate the random selection from the entire consortium as mandated. Then generate a selection for the individual consortium member and specify the exclusion date as the last selection date of the consortium draw. Anyone selected from the consortium ( pool), will not be selected when drawing from the individual member list.


The File System & Individual Files

Below are the folders and files than make up the RandomWare system.

Folders

- | History files for directory entries are located here.
- | Notification files for directory entries are found here.
- | Temporary folder used for scratch files
- | Base lists for directory entries are stored in this folder
- | System data files are located here.


Filtering Explained

wandering.gif (917 bytes)

WARNING: Saving filtered data will overwrite the original data with the filtered list.

wandering.gif (917 bytes)

Filtering Data

Use the Filter to reduce the data list by removing records that do not match the "filter mask."

Enter the filter mast in From, press OK, and if the text is contained within any field of a record, the record will appear in the filtered subset.

See the Glossary for definitions of Records and Fields.

For example
Enter "son" as the filter. If those characters are contained in any of the fields of a record then that record will appear in the filtered subset.

Entries such as "Carson", "Sony", "Richardson" would all be returned by the filter "son." The filter is case independent, i.e., "Son" and "son" are equivalent.

Filter Options

check_box.gif (204 bytes) | Restore | Restores the original list.
check_box.gif (204 bytes) | Append | Data from the original list that matches the filter is added to the current filtered subset
check_box.gif (204 bytes) | Reduce | The displayed list is filtered by the entered mask.
check_box.gif (204 bytes) | Apply | Compares the filter mask to data in the current column only

Apply Filter to Current Column Only

Checking the box for Apply Filter to Current Column Only will instruct the filter to compare data to the text only in the fields of the current column. [See the glossary for an explanation how the Current Column is determined.]

In the example below "First Name" is the current column. Using "son" as the filter mask, with Current Column checked, record or row number 189 would not be included in the filtered list: "son" appears in the record, Last Name: Carson, but since Last Name is not the current column, the Filter mechanism skips record 189.

Filtering for Dates

Entering into To will provide filtering for Dates between the range entered between From and To (inclusive)

To reduce the list to entries that are within a specific date range:
  • Move the cursor to a Date column and make a field in that column the "Current Field." Which column to select depends on the report you wish to generate.
  • Enter the starting date in the From field and the ending date in the To field. For example, if you want to reduce the list to testing dates between January 1, 1999 and June 31, 1999, enter 01-01-1999 in From and 06-31-1999 in To.
  • Check the box Apply Filter to Current Column Only. The filter will not work if you do not check this box.
  • Press the OK button.

WARNING: Saving filtered data will overwrite the original data with the filtered list.


Find

Using Find

Just prior to the release of this system, a bug was found in the Find feature.

Find has been temporarily removed until a bug in the feature has been fixed. When it is fixed you will be notified of a system update that will be made freely available for download from the Randomware Web Site.

We apologize for any inconvenience this may have caused.

Visit us on the internet at http://www.RandomWare.com

The Find feature is available in windows where the menu option appears.

Use the Find Control Dialog to find an entry in the window.

Home


Screen Fonts

wandering.gif (917 bytes)

KNOWN ERRORS: On some systems the menu choices: Screen Fonts, Printer Fonts, Screen Colors do not operate correctly or cause the program to Abnormally Terminate.
If this situation exists then use the selection: Alternate Methods: Fonts & Colors.

wandering.gif (917 bytes)

Screen Font Control

From the Base List window's popup menu Misc select Screen Fonts

colormenu.bmp (276018 bytes)

wandering.gif (917 bytes)

The below displayed font control dialog box is presented:

To set a specific category click one of the corresponding radio buttons:

Field Data Input Text: Selects the text font for data that is entered into the data cells (fields)
Field Heading & Descriptive Text: Selects the text font for Column headings and other text.
Full Screen Editor: Full Screen Editor: Currently does not effect any displayed text in this program.

Click on the radio button of any item described above to change its font. When you first click the item its current font is displayed for reference. Select a new Font, Style and Size appropriate for that category of text. Click the Apply Button to see the effect or click the OK button.

wandering.gif (917 bytes)

Buttons

- | The current screen is redisplayed with the new font - control box stays active.
- | The current screen is redisplayed with the new font - control box disappears.
- | Not currently active.

Home


Screen and Print Fonts

Setting Screen and Printer Fonts

After program installation, printer fonts may need to be initialized before Printing. Once you set print fonts they remain in effect until you change them. See Recommended Fonts for suggested fonts.

Select Font Control from the main popup menu Utils.

The Standard Font Control dialog provides support for both screen and print fonts.

The currently active fonts are displayed. To change a font, press its corresponding button as indicated by the red cursor arrow shown above.

The font for Headings controls the display for this screen text.
The font for Data Items controls the display for data items entered by the user.

Print Fonts


Frequency Scheduling - Randomly Generated Dates

Frequency Scheduling - Randomly Generated Dates [Available in Plus+ System Only]

Topics on this Page
  • How random dates are generated
  • How to generate random dates for . . .
    • Individual Base Lists
    • Entire Directory
  • How to locate previously generated random dates for . . .
    • Individual Base Lists
    • Entire Directory

Frequency Scheduling generates random dates for intervals within a specified calendar period. It will, for example, generate a random date, once a week for a month or twice a week for two months, or four times a month for a year. Frequency Schedules can be generated individually for each group in the directory or for all groups from a directory at once.

Generate a schedule of dates, individually, for each directory member, directly from the group's base list as shown below.

Enter a frequency (Frx) and an interval (TF: time frame) for every entry in a base list which requires random date generation. The progression of the time frame can be controlled by the Rel field and the maximum number of dates can be controlled by the Max+.

For example, in line one, above, a Frequency (Frx) of 1 and the Time Frame (TF) of 7 generates a random date once every 7 days. Line two generates 2 dates every 12 days, while line three generates 3 dates every 21 days. In general, the system will generate N dates for every interval defined by the time frame TF.

Note: The frequency is entered in the column whose heading is Frx.

For example consider the following frequency numbers:
Frx | TF | Frx < TF The Frequency must be less than the Time Frame
0 | 0 | No Dates generated (Blank data in the Frx column is equivalent to 0)
1 | 1 | No Dates generated
2 | 7 | Twice every 7 days or twice a week
1 | 7 | Once a week
1 | 14 | Once every two weeks
2 | 14 | Twice every two weeks
1 | 30 | Once a month (30 days)
1 | 60 | Once every 60 days
1 | 120 | Once every 120 days

 | Progression of the Time Frame and the no. of dates generated
Rel | If checked, the progression of the time frame is relative to the last random date generated. This field is only selectable if the frequency (Frx) is 1. Double click this field to toggle its value. See the discussion below for a detail accounting of the Rel & Max+ fields.
Max+ | Normally, the maximum number of dates generated is the total number of days in the calendar period specified, divided by the number of days in the time frame. For example, if the starting and ending dates specify 184 days (approximately 6 months), then a Frequency Ratio 1:7 (once a week) will generate 26 random dates. If relative interval sequencing is specified (see above) then more than 26 random dates may be generated. See the discussion below for a detail accounting of the Rel & Max+ fields.
To generate random dates directly from the base list, select the Frequency Scheduling option as shown below.
How to generate random dates for the entire Directory with one command:

When random dates are generated for every entry in the directory, the output is written to a single list. Currently, there is no method by which you can exclude individual directory entries from a directory wide request.

To access the random date control for the directory, select from the menu option, Utilities, Generate Random Dates as shown below. First enter the frequencies and time frame intervals for each group in the directory.

The same control is used for generating dates for entries from an individual base list or the entire directory,

The Generation Control Parameters

Randomly selected dates will exclude Not Days.

Check the option, Use Exclusion Calendar, to exclude dates found in the exclusion dates table where holidays and/or other dates for the year can be excluded from selection.

Check Display Name and Date Only if required by your application of Randomware. If checked, the subsequent display of the dates generated will include only the name and date. If the base list is tagged as "Single Named," then a single name is displayed.

Check Combine Name and Group to display to combined the Name and Directory Group into one field. This feature is helpful for importing random dates in Microsoft's Outlook Calendar feature.

Check Single Name Display Mode to suppress the display of the first name and middle initial.

Interval Sequencing
The following example illustrates the generation of dates for a three week period with a frequency 1:7 (once a week). For the sake of simplicity, assume the first day of the period defined by the starting and ending dates is a Monday and the first day selected is a Wednesday.

The three week interval from which to select dates is:
Mon-Tues-Wed-Thurs-Fri-Sat-Sun
Mon-Tues-Wed-Thurs-Fri-Sat-Sun
Mon-Tues-Wed-Thurs-Fri-Sat-Sun

Absolute Interval Spacing
If the first day selected is Wednesday, the interval from which to select the next date starts with the next interval:
Mon-Tues-Wed-Thurs-Fri-Sat-Sun
Mon-Tues-Wed-Thurs-Fri-Sat-Sun

In a three week period, the program will generate 3, and only 3, randomly selected days, one from each distinct seven days in the period defined.

Relative Interval Spacing
If the Rel field is checked then relative interval sequencing is used.

As in the example described above, if the first day selected is Wednesday, the interval from which to select the next date starts with the following day, Thursday, and the remaining calendar from which to generate dates is:
Thurs-Fri-Sat-Sun-Mon-Tues-Wed
Thurs-Fri-Sat-Sun-Mon-Tues-Wed

If specified by Max+, relative spacing may select more than 3 dates from a three week period. If Max+ is checked, the program will continue selecting a random date from the next interval defined by the progression of the time frame until the starting date of the next time frame starts outside the dates requested.
NOTE: It's possible to generate a randomly selected day beyond the specified period when the first day of a successive interval falls within the remainder of the period but the ending day of the interval falls beyond the ending date.

The generation cycle continues until the starting date of a successive interval is pushed beyond the ending date. For example: Generate random dates for a schedule frequency of one:seven (1:7) period ending 6/22/200. If the system generates the randomly selected date, 6/21/2000, which is one day before the ending date, one more date is randomly generated for the interval [6/22 - 6/28], since 6/22 is an eligible day for selection. Randomware reports whatever day is selected from the final interval regardless if it is beyond the ending date of the selection period.

How to locate previously generated random dates

Random Dates Generated for Individual Base Lists
To open an archive of previously generated frequency schedules, right click on a group/company name from the directory window and select Review List: Random Dates Generated for FreQ_Sched. From the archive data window you can open the individual data files which contain the previously generated dates, by right or double clicking where the file name is displayed. See Random Dates Archive for further information.

Random Dates Generated for Entire Directory
From the directory facility menu, Utilities, select option, Review List of Random Dates... as shown below. See Random Dates Archive for further information.


Glossary

Base List: A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

Record [ arrow_R.gif (832 bytes)}
Each row of data is a record.

Field [ arrow_Up.gif (834 bytes)]
Each cell in a row or record is a field.

Current Record [ arrow_R.gif (832 bytes)}
The current record is the record in which you find the current field.. The current record in this example is record no. 3.

 rec_field.bmp (280442 bytes)

Current Column [ arrow_D.gif (836 bytes)]
The column determined by the field in which data is currently being entered is the current column.

Current Field
The current field [ arrow_Up.gif (834 bytes)] is displayed with a distinguishing background color.

current_col.bmp (273102 bytes)

Radio Button
Radio buttons allow the selection of one item in a group. When you select one button the others are turned off. 		radio_buttons.bmp (66054 bytes)

Tab Delimited: A file of data is tab delimited if the character separating the columns of data is the "tab" character. The mechanism that reads an external data file must know how to distinguish one column of data from another. As it reads a line of text from the file, it knows that the end of a string of characters is marked by the "tab" character. That string, ending with the tab, identifies a data field from a specific column of data within the file.


History: Random Selections

Results/History Tables

You can maintain a results/history table for every base list in the system. Save the results of every random selection to its results/history file for future reference & report generation. Drug and alcohol test results for random selections (as well as all other reasons for testing) are maintained in the results/history tables. Data is always appended to the end of an existing results/history file.

Note: RandomWare system that don't maintain drug and alcohol test results refer to the table were random selection data is managed as history tables. Systems that maintain drug & alcohol test results refer to these tables as results table or results/history tables.
Results Tables File Names for Directory Entries:
You can not specifically name the history file if the base list was opened through the directory facility. The history file is named in the exact same manner as the base list for that directory entry. For example, consider the directory entry Quick Silver Messengers, from the directory window shown here:
Quick Silver Messengers:
The file names for the base list and results are, respectively, 13.Dat and 13.Hst
Acme Delivery:
The file names for the base list and history are, respectively, 10.Dat and 10.Hst
History File Names for Pools:
When you save the selection for a Pool, the selections for each member of the pool are saved to their respective directory entry's history file and to a history file named after the Pool ID.
For example if you selected Pool_1A from column Pool-1, three history files are updated: the history file for the pool and the history files for each member of the pool.
  • History\Pool_1A.Hst
  • History\10.Hst
  • History\13.Hst

Notification Files Automatically Generated:

Most applications should turn on the option to automatically save the random selection to the results/history table. This option is accessed through System Options from the Other_Data menu.

When a random selection is automatically saved to the results/ history file, a notification file is automatically generated but its creation is not announced.

When the automatic save option is turned off, the creation of the notification file is announced as shown below, when the user selects to save the random selection.

The notification files is automatically named. For example, the notification disk file for Acme Delivery, is automatically named Acme_ Delivery.Ntx. If the random selection is generated on June 26, 2003 the complete disk file name is: C:\RandomWare\Notices\06-26-03\Acme_Delivery.Ntx

See Notification Files for more information about this special purpose file.

Individually Named Base Lists:
If the base list is open as an individually named list, then the notification file is named after the base list. For example, if the base list name is, Sample.Dat, then the notification file is automatically name Sample.Ntx.
Pools - Multiple notification files are generated:
A notification file for the Pool and one for each member of the pool are automatically generated when you select the notification file option from the selection window for the pool.
Assume the random selection generated on the date mm-dd-yr. If you generate a random selection for Pool_1A, three notification files are created: the notification file for the pool and the notification files for each member of the pool members. If Acme and Quick Silver are pool members then the three notification files created are named:
  • Notice\mm-dd-yr\Pool_1A.Ntx
  • Notice\mm-dd-yr\Acme_Delivery.Ntx
  • Notice\mm-dd-yr\Quick_Silver_Messengers.Ntx
Home


History Data: Updating Collection & Test Result Data

If you are using Randomware Plus+, open the history file for a group entry or a pool using the Open Options menu. Note: if you right double click over a group entry, the history file will automatically open.

If you are using the Randomware Basic system, open the using file from the main menu's Open History option.

Indicate the status of donor sample collections in the History file by left double clicking the Collection Column.

Enter the Test Result Code in the Code Column, adjacent to the Collection Column. Enter the first character(s) of the Test Result Code and the Randomware Messenger will finish the entry of the code according to what is found in the Result Codes Data Base. To enter the result codes you want you application to recognize, see the menu Codes/Tests.

You can locate the donor using the Sort and Find features. Sort by first or last name and easily locate the individual. If you only have ID numbers, sort by ID and easily locate the entry.

Once you locate the donor , move the cursor over the Collection Status column, left double click the mouse: if the field is blank an 'x' will appear - if an 'x' already occupies the field, it will be erased. An 'x' implies that a sample for the named donor was collected.

Pool Histories
A pooled random selection is saved to the pool's history file, and each selected entry is saved to its respective group's history file. For example, if John Henry of Acme and Kevin Smyth of Advantage Micro, were selected from Pool_1A, both entries are saved to the pool history, Pool_1A.Hst, and then John Henry is saved to Acme's history file, while Kevin Smyth is saved to Micro's history file. You can access either file to update or modify data. If you update data in Acme's history file, the Randomware Messenger will know if an entry in the Acme history file was from a pooled selection. If it did originate from a pooled selection, the Messenger will find the proper pool history and update the same entry with the same changes. If you update an entry in the pool's history file, the Randomware Messenger will find the individual group entry's history file and update the same entry with the same changes as well. Which file to access is up to you - which ever is easiest. If you keep printed documents handy, finding the donor is easy.

Planned Enhancements for Randomware:
  • Find a donor simply by entering a name or ID.
  • Receive Lab data electronically and update your history files automatically. The Randomware Messenger will read the lab data, and find each donor in the system to update the entry.

Note:
When you generate a random selection, you can initialize the collection status of each individual selected as already "Collected" - this saves you the trouble of setting the status donor at a later time. Rather than indicating whose sample were collected, simply indicate whose samples were not collected. Note: an alternate's collection status is never initialized as collected.

Home


Import External Data

Importing an External Data File to a Base List

From the Base List window select the popup menu option Read External Delimited Data File from the Import menu.

The imported data can Append, Merge or Overwrite the data in the displayed Base List.

If the resulting list is not what you expected then simply exist without saving and the original list will remain unchanged. After completing the import, select the save option to permanently save the new list to disk.

When you select to read the external file, you will be prompted to enter the name of the file in the standard open dialog box shown below. Enter the file name and press the Open button.

For help using the Open Dialog Box see the article Open Dialog.

The following topics are discussed below concerning Data Import

  • External Import File Name
  • Standard Format - Tab Delimited
  • Optional Formats

The External File Name: There are no naming restrictions for external import files: the name simply must comply with the operating system's naming convention. The Open Dialog presents all file formats from which to select. See the article Open Dialog for assistance in its use.

Standard Format - Tab Delimited: The data in the file must be Tab Delimited, one Record per line, in the following formatted order:

Order of Data for the Standard Format
Last_Name <Tab> First_Name <Tab> Middle_Initial <Tab> Employee ID <Tab> Category<Tab>Mode
NOTE:
The characters "< >" are used above to distinguish one data field from the other.
They do not actually appear in the data file.
<Tab> is the Tab character.

Simply Put: If the first line of the file contains data for the list, then the data elements must follow the standard format.

If it does not follow the standard format then the first line of the file must identify the order of the data elements: First Name, Last Name, Employee ID and the employee's Selection Category. The program looks for key words to identify the order of the data elements so it knows how to organize them or "map" the items to their corresponding RandomWare fields. The rest of the rows in the file is the data.

Consider this example: John Doe whose Social Security Number is 123-65-9872 and Selection Category DOT, Mode, FAA. The first two lines of the data file would appear as follows:

Last_Name | <Tab> | First_Name | <Tab> | Middle_Initial | <Tab> | ID | <Tab> | Category | <Tab> | Mode
Doe | <Tab> | John | <Tab> |  | <Tab> | 123-65-9872 | <Tab> | DOT | <Tab> | FAA

NOTE: You do not actually see the characters <Tab> - they are presented here simply for clarity. The tab character looks like spaces embedded between characters - analogous to the tab on a typewriter.

When the data appears in this order, line one is optional.

Optional Formats: If the data elements in the external file are in a different order, the first line of the file must identify the order of the elements with appropriate headings. The list data will be expected to start at line two.

For example:

LAST <Tab> FIRST <Tab> MI <Tab> ID <Tab> CATEGORY <Tab> MODE

The above example indicates that the data in the following order:

  • Last Name
  • First Name
  • Middle Initial
  • Employee ID
  • Category
  • Mode

If the first line of the external file is a column identifier, each identifier must be found in the Tab Delimited Data File Heading database supported in the program. This feature is discussed in the article Import Data Headings.

See Import Data Headings for a discussion of Optional Formats and how to prepare your program to anticipate a variety of column headings.

See Controlling the Import of External Data into RandomWare Base Lists for more information about actually reading the external file.


Import External Data

Importing an External Data File to a Base List

For information about saving data from an Excel spreadsheet for import into RandomWare see the article Prepare Microsoft Excel Files for Randomware

From the Base List window select the popup option Read External Delimited Data File from Read-External from the Import menu.

The imported data can Append, Merge or Overwrite the data in the displayed Base List.

If the resulting list is not what you expected, exit without saving and the original list will remain unchanged. After completing the import, select the save option to permanently save the new list to disk.

To read the external file, enter the name of the file in the standard open dialog box as shown below. Enter or select the file name and press the Open button.

For help using the Open Dialog Box see the article Open Dialog.

The following topics are discussed below concerning Data Import

  • External Import File Name
  • Standard Format - Tab Delimited
  • Optional Formats

The External File Name: There are no naming restrictions for external import files: the name simply must comply with the operating system's naming convention. The Open Dialog presents all file formats from which to select. See the article Open Dialog for assistance in its use.

Standard Format - Tab Delimited: The data in the file must be Tab Delimited, one Record per line, in the following formatted order:

Order of Data for the Standard Format
Last_Name <Tab> First_Name <Tab> Middle_Initial <Tab> Employee ID
NOTE:
The characters "< >" are used above to distinguish one data field from the other.
They do not actually appear in the data file.
<Tab> is the Tab character.

Simply Put: If the first line of the file contains data for the list, then the data elements must follow the standard format.

If it does not follow the standard format then the first line of the file must identify the order of the data elements: First Name, Last Name, Employee ID and the employee's Selection Category. The program looks for key words that identify order of the data elements so it knows how to organize them. The second and subsequent lines of the file are expected to be data to be read into a program list.

Consider this example: John Doe whose Social Security Number is 123-65-9872 and Selection Category DOT, Mode, FAA. The first two lines of the data file would appear as follows:

Last_Name | <Tab> | First_Name | <Tab> | Middle_Initial | <Tab> | ID
Doe | <Tab> | John | <Tab> |  | <Tab> | 123-65-9872

NOTE: You do not actually see the characters <Tab> - they are presented here simply for clarity. The tab character looks like spaces embedded between characters - analogous to the tab on a typewriter.

When the data appears in this order, line one is optional.

Optional Formats: If the data elements in the external file are in a different order, the first line of the file must identify the order of the elements with appropriate headings. The list data will be expected to start at line two.

For example:

LAST <Tab> FIRST <Tab> MI <Tab> ID

The above example represents data is in the following order:

  • Last Name
  • First Name
  • Middle Initial
  • Employee ID

The first line of the external file must be column identifiers and each identifier must be found in the Tab Delimited Data File Headings table supported in the program. This feature is discussed in the article Import Data Headings.

See Import Data Headings for a discussion of Optional Formats and how to prepare your program to anticipate a variety of column headings.

See Controlling the Import of External Data into RandomWare Base Lists for detailed information about reading the external file.


Monitoring a varying list size for accurate percentage calculations

Monitoring a varying list size for accurate year to date percentage calculations

Consider this example:

Four selections are generated for the year. The base list from which the selection is generated varies throughout the year as individuals in the list come and go, for whatever reason.

Consider the following list counts for the four selections:
150, 155, 145, 160.

The number of individuals selected for each of the four selections:
19, 19, 18, 20.

The history file contains:
19 entries whose original list size is recorded as 150.
19 entries whose original list size is recorded as 155.
18 entries whose original list size is recorded as 145.
20 entries whose original list size is recorded as 160.

The method used to determine the overall list size for year end percentage calculations is:
(19x150 + 19x155 + 18x145 + 20x160 )/(19+19+18+20) = 11605/76 = 152.697

The size for the varying list is 153.

The natural inclination is to ask: "Why not (150+155+145+160) /4 = 152.5"

The number of distinct selection/collection dates are not counted. Instead, the entire history of random selections is scanned and only individuals selected/collected within the time frame are counted. The fact that four selection dates exist is really never determined for calculation purposes.


Mail-Merge

Printing Form Letters with Microsoft's Mail-Merge

While Randomware provide options for printing all the data it maintains and generates, the program does not provide facilities to directly print form letters. A system bundled form letter generator would only scratch the surface of the features available with Microsoft Word's Mail Merge. Once you design form letters, standard postcards, and envelopes, through Word, generating the printed documents requires the following steps:

  • Open the form letter in Microsoft Word.

  • Open the data file that feeds the form letter.

  • Start the Merge Control and . . . Go!

  • Print - You're done.

Randomware provides two methods to create a data source for Mail Merge:
  • The Notification File
  • The Mail-Merge Save Option

Learn how to use Microsoft's Mail Merge

Home


Mail Merge Save Option

Mail Merge Option - Saving RandomWare Data to Mail Merge Compatible Files

Microsoft's Mail Merge is a powerful form letter generator bundled with their Word program. You can print custom envelopes, postcards, form letters, labels, and any other printed document you might consider. Mail Merge will read a file of names, identification numbers, addresses, etc. and generate a document with the data inserted in its appropriate place, as defined by the document template you design. Designing a document template is as easy as writing a note with Word. Inserting the items from the data file into the document is done with the click of the mouse to select the data file and another click to print the documents. The best reference for learning how to use Mail Merge is the Help system that comes with Word.

This brief tutorial is offered here to help you get started, quickly and easily.

You can save every window of RandomWare data to a file which is fully compatible with Microsoft Word's Mail Merge facility. The name of the output file is user selectable.

In all windows the mail merge option is found under the Misc menu as shown below:

When you select the Save As option, use the open dialog to enter a file name and locate a folder in which to save the named file. The file name you enter will be the data source for Mail Merge
Using the Base List as an example, the table below shows the general format of the mail merge file when it is generated. The file is in a "Tab Delimited" format.

There are six fields in the above window: Sequence Number, Last Name, First Name, Middle Initial, Identification Number and Selection Category. In this example, when you select to save for Mail-Merge, the first line of the file contains six column headings, shown below, followed by each data record in list: one line of mail-merge data for each record in the window.

Seq# | Last | First | MI | ID | Category
1 | Lucero | Robert | B | 344-15-8059 | DOT
2 | Gross | Jeff |  | 333-09-1197 |
3 | Zavalla | Jesse | R | 572-90-1313 |
4 | Cruz | Moises | S | 666-16-2795 | DOT
5 | De Jesus | Mary Jo |  | 888-81-9756 |
6 | Adams | Aaron | I | 202-95-4754 |
Importance of Column Headings
Mail merge uses the column headings to position the data within the document you are generating. Consider a standard notification letter you may send informing individuals of their selection for testing.

The form letter may include: "Dear <<First>> <<Last>> . . . "

When you generate the entire set of form letters, Mail Merge sequences through the Notification File, row by row, extracting data from the columns that have matching "merge fields" in the form letter "template" and inserts them into their respective positions.

Each row (or record) in the data source produces an individual form letter.

Definitions:
  • <<First>> and <<Last>> are referred to as "merge fields" in the documentation for Mail Merge. The merge fields act as placeholders that tell Microsoft Word where to insert data from the data source.
  • The notification file is the data source for Mail Merge
How each column heading is determined:
The column heading for each is determined by the first word of the "input prompt" for the field in that column. The input prompt is the text displayed at the top of the screen for each column of input on the page. As you sequence across each input item, observe how the line of text at the top of the window changes.
For example:
"Last Name" is the input prompt when Last Name is the current field - First Word: "Last"
"ID - Employee Identification" is the input prompt when ID No. is the current field - First Word: "ID"

Now that you know how to generate Mail Merge compatible data, you are ready to use Microsoft's Mail Merge.

Home


MIS Mode & Category Data Manager

MIS Mode & Category Manager

Every entry can be assigned a "Mode" and "Category." Consider Modes an "Employee Classification" and the category as a sub-class. For the U.S. Department of Transportation (DOT) applications, "Mode" is the governing body within the DOT that oversees a particular transportation sector.

For example:

  • FAA: Federal Aviation Administration

  • FHWA: Federal Highway Administration

You can easily expand the Mode & Category classification system to cover any type of personnel classification that your application requires. For full details see Mode & Category data management.

The Mode & Category Manager can be accessed via the Utilities menu from the Base List data entry window. Right click the mouse over a data item in the Mode or Category column to present a floating pop-up menu through which the data control can be activated, or double click the left mouse button to display the control immediately.

You can position this dialog box to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot.

Access the master list for Modes & Categories from the Other Data menu option.

Use the Mode & Category Manager to easily set the "Mode & Category" for individual entries in a base list.

The name and line number of the roster entry is displayed for reference. Select an employee class or mode from the drop down "Mode" selection box. For each class or mode, the related list of categories is displayed in the drop down "Category" selection box from which you can select an appropriate category. Press OK to set the data for its respective entry. When Down After Ok is checked, the cursor in the window will automatically scroll to the next entry and highlight it as active. Press OK again to set the new record entry to the currently selected Mode & Category combination or choose another Mode & Category combination as appropriate for the highlighted entry.

Use the Scroll buttons to easily position the cursor to any line entry in the window.


Miscellaneous Menu Options

The "Miscellaneous" Menu Options

Misc Menu Options |
Format ID as a Social Security No. |
Remove Social Security Format |
Randomly Sort the List | Randomly sorts the Base List. This option is available for sorting base lists and consortium or pooled lists.
File ID |
Block ID |
Dir ID |
Colors |
Screen Fonts |
Printer Fonts |
System Options |
Save as Mail Merge Compatible File |


Mode & Category Data Management

Assign each individual a Mode and Category. Mode refers to "Transportation" mode and category is a sub-category of the mode.

A mode classification exists primarily to satisfy DOT MIS categorization.

Develop Modes and Categories to specifically fit your application of Randomware.

Assign a default mode in System Options (from the main menu and all other data entry windows, see the Other Data menu option). Once a default mode has been assigned, easily enter an employee category by typing only the first characters that uniquely determine the category without explicitly specifying the mode, i.e., if Mode is left blank, the Mode assigned, by default, is the one entered in System Options.


Getting Started with Microsoft's Mail Merge

Printing Form Letters - Getting Started with Microsoft Word's Mail Merge

While RandomWare provides options for printing all the data it maintains and generates, the program does not provide a facility to directly print form letters. A system bundled form letter generator would only scratch the surface of the features available with Microsoft Word's Mail Merge. Once you design form letters, standard postcards, and envelopes, through Word, generating the printed documents require only a few steps to complete.

These instructions are a step by step tutorial to help you get acquainted with using Microsoft Word's Mail Merge feature to print RandomWare notification letters and other printed documents. Please review the entire article. It will facilitate the easy use of Microsoft Word's Mail-Merge.

Essentially, there are two items involved with mail merge:
  • The main document, which contains the generic information you want to repeat in each form letter, mailing label, or envelope.
  • The data source, which contains the items that vary in the merged documents, for example, the name and address of each person from a random selection.
RandomWare creates two mail merge compatible files:
  • Notification Files : The notification file is automatically generated file when you save your random selections to its history file. Mail-Merge files are simply tab-delimited text files.
  • Files generated with the Mail Merge Save option.

Open Microsoft Word

When you open Word, a blank document may or may not appear. How Word is initialized, depends how you've used the program.

If you have a letter head to use as a template for a document, open it before you start the mail merge options.

To start mail merge, select Mail Merge... from the Tool Menu.

Select 1: Create the Main Document, Form Letters ...

Select Active Window or New Main Document.

If you have a letter head to use as a template, exit the mail merge helper and open your letter head document, restart the mail merge helper and select Active Window in the box below.

Select 2: Open the data source, i.e., open a RandomWare Mail Merge compatible file or a Notification File that you previously saved fro within RandomWare .

When you select to open the data source, you're presented with the standard open dialog shown here:

  1. Select the disk folder in which you saved the mail-merge or notification file.
  2. Notification Files that are automatically saved from a Randomware Directory entry, including pools, will be found in the Notice folder.
  3. Be sure to select All Files (*.*), otherwise files with the notification extension, "Ntx", or an extension you may assigned, will not show up in the open dialog.

If you are editing a new document, you will get the following message after you open the data source.

It simply means that no merge fields exist in the current document. This is to be expected, since it is a new document that you've yet to edit it. The data source you opened above provides a new button on the tool bar for editing mail merge fields as shown below.

Press the Insert Merge Field to present the fields from the random selection results you may want to insert into the document:

Selecting LastName and First_Name will insert each one into the document where the cursor is display.

If you have designed a form letter, simply move the cursor to where the first name should appear and select First_Name from the list. Then move the cursor to where the last name should appear and select LastName from the list. Use the Insert Merge Fields to insert any field that you need in the form letter to design.

When you finish editing your form letter template and complete the placement of the merge fields you want to include, restart the Mail Merge Helper once more, as shown again here:

To restart the mail merge helper, select Mail Merge... from the Tool Menu.

Select 3: Merge the data and create all the form letters.

When you click the Merge Button, all the form letters will be generated. Use the All and From buttons to control the records that you will ultimately generate. Click the From button and enter "1" in the From and To Fields to test the merge. Experiment and you will quickly master this powerful Word function.

For detailed information about Microsoft's Mail Merge, start with Word's Help System.

Start Microsoft Word, and select Microsoft Word Help from the main menu Help option.

When the paper clip appears type in "mail merge document" press the Enter key. An overview of the mail merge facility will display and it's a good place to start as illustrated here:

Home


Randomware Base List

Base List Data Items & Data Item Options

Options

  • Double click on a individual entry to access the full data editor.

  • Generate random selections and random dates from the Select menu option.

  • Import existing data from the Read External menu option.

  • Double click Mode or Category columns for access to the Mode/Category Manager

  • Double click Shift column for access to the Shift Manager

See Base List for information about the menu options.

The data items:
Column Heading | Description
X | An entry which will not to be considered for random selection is marked in this column, by the system, for the user's reference. The selection control module marks this field according to control parameters entered by the user. Every time a random selection is generated, a duplicate record of the base list is preserved. Every entry marked in this column is evident in the preserved list and can be referenced at a later date if investigation regarding the selection is required.
Not Active | Indicate an entry that is no longer active in the current roster. For example, employees who have terminated employment are marked "Not Active." Some users may want their lists to maintain historical accuracy. This field is referenced by the program to exclude an entry from selection consideration. The entry is not counted in the overall list total. The overall list total is used to accurately calculate year to date selection percentages for users who must strictly comply to overall yearly selection/testing percentages.
Not Available | Entries not available for the current selection can be marked in this column. For example, indicate an employee as "Not Available" if he/she will be on vacation, on jury duty, on a general leave of absence, at the time collection is scheduled. Entries marked as not available are counted for calculation in overall yearly selection/testing percentages.
Last Name | Employee's Last Name. If "Single Name Display" mode has been set for this directory entry, then the display of the first name and the middle initial are suppressed. Some applications of Randomware required only one name. When a single name is required, its entry in the data base uses the last name field. This field provides up to 48 characters.
First Name | Employee's First Name.
M.I. | Employee's Middle Initial
ID No. | Employee ID. This field can be formatted for standard Social Security number display "###-##-####." See the Misc menu for ID number display options. This field provides for up to 32 characters.
Mode | Transportation Modes or General Employee Classifications. See the Mode Manager described below.
Category | Employee categories. See the Mode Manager described below.
Shift | Work Shifts: Day, Night, Graveyard, etc. The shift data base can be modified as required by application. Find access to the shift data base under the Other Data menu option. See the Shift Manager described below.
Frx TF Rel Max+ | See Frequency Scheduling for information about these data items.
The Mode / Category Manager

Use the Mode Manager to easily set the Mode/Category for each entry in the list, one entry at time. The next item is automatically scrolled into the manager after you select OK.

Double click an item in the Mode or Category column to activate this control.

The Shift Selection Manager

Use the Shift Manager to easily set the Shift for each entry in the list, one entry at time. The next item is automatically scrolled into the manager after you select OK.

Double click an item in the Shift column to activate this control.


Randomware Directory Facility

The Directory Facility

See also:
  • The Directory: Understanding and Managing the Data
  • Tutorial: Getting Started with the Directory Facility
Some Quick Start Options

  • Right click on a Group/Company name for a list of options.

  • Right click on a Pool ID for a list of options for the pool/consortium.

Open Options [Right Click] for Group/Company

Right click on a group name for a menu of options which provides access to many data management features for the group.

Note: The first line of the options box is for information only. The options listed below will open the respective table of data for the current directory entry whose name is displayed at the top of the menu box.

Open Options | Description
Dialog Editor | Displays the dialog editor in which you can edit all the data items for a directory entry.
Base List File Name | Displays the disk file name of the base list corresponding to the directory entry from which the popup menu was activated. In the example above, DB_Lists/10.DAT is the file name of Acme Delivery's Base List. Click this menu option to open the base list (company roster) for editing and random selection.
Base List: Edit... | This option is identical to the option described above. The redundancy is intentional in order to provide the name of the base list to the user.
Results - Standard View | Open the drug & alcohol data management table: random selections, pre-employment and employee assistance programs.
Results - Invoice/Ledger | Open the drug & alcohol data table for invoice data management.
Results - Archive | Archive the drug & alcohol data management table. The table is moved to the archive folder. The archive folder is located in the installation folder and is named Archive. The archived files are named using the text found in the group field. A unique file extension is used to prevent previous archived files from being overwritten. The data in the archive must be managed from the directory menu option "Archive - View Archive Directory" found under the Utilities menu from the menu bar at the top of the window.
Selection Schedule | Open the table of dates for random selections scheduled for this this group/company. In order for the system to recognize selection schedule dates, turn the option, Use System Scheduler On. This option is found in the System Options table, accessed from the Other Data menu option at the top of the screen.
Contacts | Maintain a table of contacts for every directory entry.
Random Dates | You can generated random dates based on an individual's testing frequency: Once a week, twice a week, twice every two weeks, once a month, twice a month, etc. Use this option to access the archives of dates generated for each directory entry from this option. Note: An option is available to generate random dates for every directory entry - this option is available from the Utilities menu, Generate Random Dates / Frequency Schedule for Entire Directory.
Randoms Based on Target Data | Sample collection data is reviewed and percentages calculated for a specified time period and compared to selection schedules to calculate percentages remaining yet scheduled for selection. The percentages are then pre-entered into the random selection control and presented to you for the generation of a selection.
Notification File
When random selections are generated, the data is saved to a "Notification" file. It contains the names and other data for every person selected and can be used to ...

  • Generate Mail-Merge documents with Microsoft Word

  • Email the results of the selection to whomever requires the information

  • Import into Excel or Access data bases.
The notification file is automatically named. The name is taken from the text in the group column for the entry. The file is saved in the subfolder Notice, located in the installation folder. The subfolder, Notice, is subdivided by the date of random selections generated.

For example, if a random selection is generated on February 12, 2001 for Acme Delivery, its notification files will be found in:

C:\RandomWare\Notice\02-12-01\Acme_Delivery.Ntx

C:\RandomWare\Notice\02-12-01\Acme_Delivery.Adr

The results of the random selection are contained in the file with extension ntx and the address of Acme Delivery is in the file with extension Adr.

Notification files for the random selection of a consortium roster are saved in folders specifically named for the consortium. For example, if a consortium or pool is name POOL_1A, the notification files for the selection will be in the folder:

C:\RandomWare\Notice\02-12-01_Pool_1A

A complete list of persons selected and all company addresses are provided in files named for the consortium as well as separate notification and address files for each consortium member represented in the selection, named for each the consortium members.
File ID
Each directory entry is assigned a unique numeric identifier. This value is used to name all files associated with the directory entry.

The related files for a directory entry whose file id is 15:

File Names | Category
db_lists/15.dat | Base List
history/15.hst | History Data
db_dubs/15.23 | Duplication of the base list when the twenty third random selection was generated
PreEmp/15.prx | Pre-Employment Roster
sched/15.sch | Random Selection Schedule
frx_data/15.frx | Random Date Archive Directory


The Notification File

The Notification File (Ntx)

The results of the random selection are presented on screen for printing options and review. The system also generates "tab delimited" text files you can use in conjunction with Microsoft Word's Mail-Merge feature for the generation of notification letters, envelopes and labels. These files are referred to as "Notification Files." Using Mail-Merge is fast and easy - accomplished it with only a few clicks of the mouse.

If you are using RandomWare Plus+
You can select to include in the mail-merge file, the employee's company address and the address of the collection site used by the company. The address is taken from the company's respective directory entry. The data for each donor selected is output to the Ntx file with the company name and address included on the same line. This provides a complete record of each randomly selected entry and will fulfill any requirements for form letter generation. See System Options to learn how to turn this feature on and off.

The notification file is a tab delimited file that contains all the information from the random selection. The first line of the file identifies each column of data and the order in which it appears.

Now that you have created the notification file you are ready to use Microsoft's Mail Merge.


Collectors Directory


Drug/Substance Codes

Reserved for future use - currently not referenced by the system.


EAP: Response Codes

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Exclusion Dates / Calendar

The Exclusion Calendar is available from the Other Data menu option found in most menu bars throughout the program.

Enter dates to exclude when generating Random Dates from either the Frequency module or when random testing dates are requested for random selection.


Lab Directory


MIS: Modes/Categories Directory

Double click a Mode to gain access to its respective Category list.

Maintain all the major classifications in this table. Every entry in a base list, from which random selections are generated, may be assigned a major and a minor classification. Major classifications are "MIS Modes", while Minor classifications are "Categories."

Term | Definitions
MIS | Management Information Systems. This term is widely used in the world of Information Technology and so this help system was compelled to comply with standard usage.
Mode | The United States Department of Transportation categorizes the different methods of public transportation as "Modes" and this help system maintains the term in order to comply with common usage.
Category The minor classifications for the members of a "Major" group. For example, consider as a major classification, the FAA (Federal Aviation Administration).
The categories under the FAA might be:
  • Pilot
  • Co-Pilot
  • Flight Attendant
  • Maintenance
  • etc.

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


MRO Directory


Panels: Maintain Master List

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Panels: Configuration Directory


Work Shifts

Maintain the work shifts for the intended application of Randomware.

Random selection controls can limit the selections by work shift. Do not use selection by work shifts if your application of Randomware requires strict yearly donor collection percentage targets. When a selection is generated from a "filtered" list, the size of the list and the size of the list after filtering conflict and will affect the calculation of year to date selection/collection percentages. The calculation model depends on the size of the original list from which the selection was generated. The original list size is saved with each selection. When the year to date calculation is performed, the number of selections/collections is counted and used to determine the average list size for the overall calculation.

See Monitoring the Varying List Counts for an explanation of why filtering by shifts effects percentage calculations.


Tab Delimited Data File Headings


Reasons for Testing

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .

Column |
Rsrv | Record status is "reserved" when an 'x' appears in this column and can be modified only if the user is granted "developer" status.
C.C. | Correlation Code. This must be a unique integer value. All Reasons for testing with a c.c. value greater than 1 are assumed to correlate to reasons for testing assigned through the employee assistance program module.
Reason | Abbreviation for testing reason.
Description | Report title. The text entered here will appear in the report title.


Test Result Codes

Maintain the test results codes for your specific application of Randomware.

When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and the data relationships may be undesirably altered if these data items are modified. A record can be Reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


Test Types Administered

Enter the type of tests to be managed by your application of the program: Breath, Urine, Hair, etc.

Double click the "Alcohol Only" column to toggle its status. An "x" indicates the test is alcohol only, while a blank entry indicates "Not Alcohol Only."

NOTE: If the "Alcohol Only" column is marked with an "x", the system will automatically set an internal flag to indicate that the test is indeed alcohol only. MIS reporting specifically distinguishes between alcohol only and drug (substance) tests. In order for the report mechanism to make the distinction, this flag is necessary.

When you enter test types manually, the system will automatically attempt to complete your intended entry from the first characters which uniquely specifies the test type.

For example, if you enter "B", the system will finish the entry by presenting the character string "Breath." The test strings used for auto entry completion are maintained in this data table.

A drop down arrow displayed in a test type column in a data window spreadsheet indicates a drop down list is available from which test types can be easily selected.


Personnel Titles

Maintain the personnel titles for the intended application of Randomware.

Currently, the titles are used only in the Dialog Editor. No reports exist which specifically reference titles. Essentially, titles are reserved for future use.


Opening a Directory

From the program's main menu, Open, select the option, Directory.

Select an existing directory file or enter the name of a new directory.

Directory files are automatically assigned the file extension .DIR

NOTE: It is strongly recommended that you keep all your directory files in one folder. The associated base list and history files are maintained in disk folders controlled by the program.

For additional assistance using the standard open dialog see Standard Open and Save-As Dialog Box

Home
Directory


Directory Open Options

Open Options from the Directory

  • Open Options Menu

  • Open Options Using the Right Mouse Button - The Floating Popup Open Options Menu

The Open Options Menu

Pool Registry
The Pool Registry is where you enter yearly Target Percentages and Selection Control data for each Pool in the Randomware system. Target Percentages and Selection control data can be entered directly into the directory entry for each Group. Change directory views to see other subsets of the directory data. A Pool can have as many members as required by your Randomware application, simply by assigning the same Pool ID in the Pool column to each member listed in the directory. Since the Pool ID can appear numerous times, a unique place was needed to define percentages and selection data. This need is served by the Pool Registry.

Note: A Pool ID can be used in one and only one Randomware Directory. If you maintain multiple directories, Randomware will announce an attempt to use a Pool ID in more than one directory.

Schedule Master
A Randomware schedule is a list of dates - the dates you intend to generate random selections and issue notifications. Each group entry and every Pool can have its own schedule. You can define a number of generic schedules with this option. Once you define a number of schedules, use one of the Utility menu features to assign a master schedule to any number of group entries or pools. Assign a name to the schedule, when you first open it, according to its use. For example, create a "Quarter" and "Month" schedule for quarterly, and monthly scheduling. For example, open and name two files, Quarter.sch and Month.sch. The file extensions are automatically assigned and the files are located according to your specifications. The open schedule dialog box allows you to locate the files anywhere on the disk you choose. See Scheduling for a detailed discussion of this Randomware feature.

Open Base Lists, History Files, Schedules, and Contact Files for individual Group entries and Pools
As you move from one directory entry to another, the menu choices of the Open Options changes to reflect the current Group entry and Pool if it is a member. If the current directory entry is not a member of a pool, the open options for a pool will be undefined. You must use the open options menu to to open a schedule or a contact file. You can open an entry's base list or a pooled list by double clicking the left mouse button when the mouse cursor in located over the group entry or over a pool id. A group entry's history file can be opened directly by double clicking the right mouse button when the mouse cursor is over the group name for that entry. History files can always be opened from the window in which the Base List or Pooled List is displayed.

Open Options using the Right Mouse Button

When the current field is the group entry, right click the mouse to access the open options for that group entry. The popup menu provides access to the entry's Base List, History File, Selection Schedule and Contacts file. When the current field is the Pool ID, the right clicked activated popup menu provides access to the current Pools Base List, History File and Selection Schedule.

Note: Right Click Open Options also provides access to the Target Percentage & Selection Stats Report facility for individual group entries and pools.


Opening a Base List

Named Lists: Opening a Base List Outside the Directory Facility for Random Selection

Individual Lists can be opened outside the directory facility and are also referred to as Named Lists.

The file name of a Named List must follow the naming conventions of the operating system. Name the list and locate it in any folder you wish.

From the main menu, open an existing or a new Base List through the menu option Lists.

Note: The Directory option, seen below, does not appear in the Basic System.

Enter a new file name or select an existing file using the standard "Open Dialog Box" shown here.

For more information about using this standard dialog see the help topic Open Dialog Box.

From the Open Dialog select the folder and an existing file or enter the name of a new Base List. If you select an existing file then the data will be presented as it was last saved. If it is a new file then an empty data screen will be presented and you can then start entering the names and IDs of the personnel for that list.

NOTE: Lists are automatically assigned the file extension: .DAT

Quick Links

Home
Entering Data and the Individual Data Fields


Open/Save Dialog Box

The Standard Open and Save-As Dialog Boxes

The Open Dialog box is used to open existing, new and Import database files.

The Save-As Dialog box is used to save an existing database under a new name.

The Open or Save-As operate exactly similarly for all instances: Base Lists, History, Import Files.
The following example described the use of the Open List operation.

Using the Open Dialog Box

  • Look-In: use this control to select the folder where required files are located.
  • File_name: This edit box is used to enter the name of the file to open. Existing files can be selected from the main window.
  • Files of type: this box constrains the type of files that are displayed and available to open. The constraint is controlled by file extension: Base Lists: .DAT History Lists: .HST

Once you've entered or selected the file click the open button.


Other Data

Randomware users can configure data tables to meet specific needs.

From the main menu, the data tables described below are accessed from the Systems Data option, while through out the rest of the system, access the tables from the Other Data menu option.

The following tables can be modified by the user.
Test Result Codes
Test Types Administered
Personnel Titles
Work Shifts
Drug/Substance Codes
Reasons for Testing
EAP: Response Codes
Exclusion Dates / Calendar
Lab Directory
MRO Directory
Collectors Directory
Panels: Configuration Directory
Panels: Maintain Master List
MIS: Modes/Categories Directory
Tab Delimited Data File Headings


Plus vs. Basic

Randomware Plus vs. Basic

Randomware Basic provides for the simple management of individual lists maintained for random selection and the history files of the selections where drug and alcohol test data is maintained.

Randomware Basic

  • Maintain unlimited no. of lists for random selection.
  • Full paged views of all data.
  • Generate selections by percentage or count.
  • Control diminishing selection lists.
  • Selections by category.
  • Import existing data.
  • Variable IDs.
  • Maintain complete selection histories.
  • Reports easily generated.
  • Print notification letters automatically.
  • A program for the PC: Windows 95/98 NT.

Randomware Plus+

Randomware Plus introduces the Directory Facility for comprehensive list and data management including Consortia, Pre-Employment test tracking and Employee Assistance Program management. Manage lists for multiple locations, departments, etc. The Plus system has all the tools to completely and effectively manage your data with ease!

  • Automatically keep up to date on year to date selection percentage requirements.

  • Control selection schedules.

  • Pre-Employment Testing and Tracking.
  • Diminishing selection list can reference Pre-Employment lists for exclusions.
  • Random Scheduling - Dates by frequency (once a week, twice a week, once a month, etc.).
  • Manage multiple locations, departments, etc.
  • Pools/Consortia.
  • Account Ledger for billing & invoice generation or simple cost accounting.
  • Data Archiving - Simple and Automatic.
  • Maintain Directories for MROs, CPCs and Labs.
  • Distribution files eliminate data redundancy.
  • Selection Audit Trail Comprehensive & 100% Defensible .
  • Monitor Year to Date & Target Percentages.
  • MIS Report Control automatically generates reports for the entire Directory.
  • Scheduling
  • Email Notification.


Pool Registry

From a Randomware Directory, open the pool registry from the Open Options popup menu, Pool Registry.

A system option controls the type of selection scheduling your application will use. If the System Scheduler is turned OFF, the schedule count column, No. Sched., is displayed when viewing Pool Registry. When the System Scheduler is turned ON, the column is not active and not displayed. See Scheduling for a discussion about this Randomware feature and how to use it.

Use the pool registry to maintain your selection criteria and yearly percentage targets for all Pools within your application. The random selection control generator allows you to draw by for up two tests at the same time: Test-A and Test-B. Enter each test type and its control percentage for each named Pool in the registry.

Note: System options are accessible throughout the program through the Misc popup menu choice, System Options. Most windows within Randomware have the Misc menu option.

The Fields

No. Sched.
When the system scheduler is turn OFF, enter the number of selections you plan for each entry. For example, if you plan to generate quarterly selections for an entry, enter 4 in this field.

'1' - The Single Name Mode Switch
Randomware, by default, maintains data entry for First and Last names, including a middle initial. If this field is checked ('x'), only one name is offered for display and input, with the column heading 'Name'. This switch affects the display and printing of the pool's data: Base List and History. The Single Name Mode Switch for each pool member should be checked to match. This switch is a entry by entry option. To access this switch for each directory entry, select the directory view Single Name Status Control.

DOT
Generate Target reports and automatically preset the random selection control fields for selection from a pool or an individual company. If DOT is checked ('x'), the Super Double Jeopardy control is presented with the selection fields preset. If DOT is not checked, then the standard selection control is used. Double click to toggle the status of this field. For a discussion that distinguishes between these two selection controls see Random Selection.

Auto
Currently not used.

Randomize
Each directory entry and pool defined has a respective schedule you define to control for yearly selections. Along with the scheduled selection date, you can enter a testing or sample collection date range (the day test samples will be collected.) If you enter two testing dates and check Randomize ('x'), the system will randomly assign a collection date between the two dates specified (inclusively) for each entry randomly selected. Double click to toggle the status of this field. See Open Options to enter selection schedules.

Exclusion
Currently not used.

Test-A
Enter the Test Type to be administered. Maintain a list of tests in the system database, Test Types. To open the data base for editing, select the popup menu option, Test Types Administered from the menu Codes/Tests at the top of the screen. If you enter the first character(s) of a test type in the database, the system will complete the entry for you. For example, if 'Breath' is a test type found in the Test Types database, typing 'B' will prompt the system to complete the entry to 'Breath' for you.

%(Test-A)
Enter the yearly percentage requirements for the selection of Test-A. For example, if you need to select 50% annually for a pool or individual group, enter '50' in this field.

Test-B
Enter the Test Type to be administered exactly as Test-A.

%(Test-B)
Enter the yearly percentage requirements for the selection of Test-B exactly as Test-A. If you are controlling for DOT selection (Super Double Jeopardy), the percentage for Test-B must be less than or equal to that for Test-A. If you have control for two test types, with different percentages, Test-A must be entered with the higher percentage.

Alts %
Enter the percentage by which alternates will be selected. Alternates are those entries who will be called in the event that primary selections are unavailable for testing. The Standard Selection control allows you to independently specify the selection of alternates for each test. Super Double Jeopardy has only entry by which to specify the selection of alternates.

Home


Pooling

Pools

Notes on Pools
Pool lists are combined exactly as they are found, entry for entry. For example, if an individual appears in two lists to be pooled, the individual appears twice in the pooled list and is twice as likely to be selected as someone who appears only once.

Commonly asked Pooling Question:
When a driver works for two or more employers, in whose list must the driver be included?

Guidance: The driver must be in the list of each employer for which the driver works. This interprets DOT Rule: 49 CFR 382.305.

If you need more information to clarify this point go to http://www.DOT.gov and search for 49 CFR 382.305 - you will find plenty of letters written by the DOT. in response to this issue.

See also Tutorials - Pools

Open a RandomWare directory for Pool Development

NOTE: Double Click the Pool ID to generate the Pool list for Random selection generation (use left mouse button)

Assigning a Pool-ID
Name as many pools as you find useful. Each pool name can be at most 8 characters. Allowed characters are: A-Z, a-z, 1,2,3,4...9,0, the underscore and the dash. This should provide ample naming capability for pools.

The Pool ID is directory specific, i.e. once you use a pool id within a directory you can not use it in other Randomware directory. If you enter a Pool ID that's registered with another directory, the system will notify you of the error. All registered pool ids can be reviewed through the Pool Registry. Pool IDs are automatically registered with the Pool registry. When you enter a pool ID that is not listed in the registry, it will be automatically added. See the Open Options menu to access the Pool Registry.

NOTE: The Pool ID is case independent: upper and lower case characters are not distinguished one from the other.

Example:
In the above example two companies belong to Pool_1A and two companies belong to Pool_1B.

If you move the cursor over the text Pool_1A in any field or cell in the Pool ID and double click the left mouse button a temporary pool list file is generated and presented. The name of the temporary file for this pool list is DB_LISTS\Pool_1A.DAT.

All the entries from the lists for Acme Tool Rental and Quick Silver are combined to form the new list.

When you select a pool identifier only the groups listed with that pool id will be joined together to form one file from which to generate random selections.

Once the combined file is presented, the procedure to generate a random selection from the combined list is identical to generating random selections from a non-pooled base list.

See Random Selection for help with the random selection process.

Home


Font and Color Control

Printing, Fonts and Colors

Print and Screen Fonts and Colors can be managed for a customized look that is appropriate for the system on which RandomWare is installed.

  • Printing and Print Fonts
  • Screen Fonts
  • Colors


Pre-Employment Data Management

Maintain pre-employment drug and alcohol testing data in the results table along with all other reasons for testing.

From the directory window, right click a group name and select the "Pre-Employment" menu option to add a new entry to the results table marked as per-employment.

Alternatively, open the results table, double click any name to open the full record editor and click the insert button. When an entry is inserted using the full record editor, it's automatically marked as a pre-employment test. When the test data management is complete for the entry and the individual is hired, simply click the "Handshake" button to automatically transfer the person's personnel data to the company roster to eliminate redundant data entry. Once the person is in the roster (base list) he or she will be eligible for random selections.


Record Selector

The record selector is used to select data records for a specified task. Primarily it is used to control text editing with the special edit control or select print detail reports for selected items.

Controls | Description
 | Selects or Unselects the current entry. Selected records are highlighted. See color control to change the highlight background color used.
 | Displays this help page.
 | Turns Off all selections.
 | Exits the selector.
 | Selects All
 | Scrolls up or down to the next entry. The entry / line number is updated.
 | Automatically enter current record number (line number) into From.
 | Automatically enter current record number (line number) into To.
 | Selects or Unselects the records [From, To].
After On/Off | Cursor action after On/Off is pressed.
No Action | Current entry / line number is unchanged.
Up | The previous entry is set as current - it can be selected with On/Off.
Down | The next entry is set as current - it can be selected with On/Off.


Quick Data Access & Editing Tools: Useful Tips

Quick Tips: Data Access & Editing Tools

Click on this question mark wherever it occurs. It provides a quick link to information about the current window in which it is displayed. Updated help systems are easily downloaded from the web site as the system expands to provide greater depth to the help available.

Click on the "Short Cut" symbol for a popup menu of relevant options available for the current input field. Often, the menu option provided is a "What's this?" for information about the use of a data item and the values available.

Click on the "Drop Down" symbol for a list of selectable data items for the field in which it appears.

From the Directory Window (Randomware Plus+)

  • Right click on a Group/Company Name for a Pop-Up Floating Menu of Options.

  • From the pop-up menu, select the Dialog Editor to easily access all the data fields associated with each directory entry.

  • Double Click on a Group/Company Name to open its Base List (Company Roster).

  • Right click on a Pool-ID for a Pop-Up Menu of Options.

  • Double click on a Pool-ID to dynamically combine the member's lists into one for random selection.

From the Base List Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry.

  • Double click on a name to access the Dialog Editor to easily access all the data fields for each name in the roster.

  • Double click on the Mode or Category field to immediately access the Mode/Category manager or right click to access the pop-up menu option that provides access the Mode/Category manager.

  • Double click on the Shift field to immediately access the Shift manager or right click to access the pop-up menu option that provides access the Shift manager.

From the History Data Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry which provides control for all of the donor sample data elements.

  • Double click on a name to access the Dialog Editor to easily access all the donor sample data fields for each entry in the history file.

  • Right click on any date in the system to see its "Day of the Week"


Random Number Generator

rand

The rand function is used to generate the random selection. See the page title Random Algorithm.

It is best to refer to the original documentation for a thorough and complete description of these functions.
The information is duplicated here for you convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
Library Title: MSDN Library - January 1999 Release

It can be found through one of Microsoft's many internet web sites: http://msdn.microsoft.com

rand

Generates a pseudorandom number.

int rand( void );

Routine | Required Header | Compatibility
rand | <stdlib.h> | ANSI, Win 95, Win NT

For additional compatibility information, see Compatibility in the Introduction.

Libraries

LIBC.LIB | Single thread static library, retail version
LIBCMT.LIB | Multithread static library, retail version
MSVCRT.LIB | Import library for MSVCRT.DLL, retail version

Return Value

rand returns a pseudorandom number, as described above. There is no error return.

Remarks

The rand function returns a pseudorandom integer in the range 0 to RAND_MAX. Use the srand function to seed the pseudorandom-number generator before calling rand.

Example

/* RAND.C: This program seeds the random-number generator
 * with the time, then displays 10 random integers.
 */

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

void main( void )
{
   int i;

   /* Seed the random-number generator with current time so that
    * the numbers will be different every time we run.
    */
   srand( (unsigned)time( NULL ) );

   /* Display 10 numbers. */
   for( i = 0;   i < 10;i++ )
      printf( "  %6d\n", rand() );
}

Output

    6929
    8026
   21987
   30734
   20587
    6699
   22034
   25051
    7988
   10104


RandomWare

InfoGlobe.gif (39570 bytes)
Help System Overview Visit us on the internet at http://www.RandomWare.com
Data Conversion Version 2.6
Evaluation System Home Pages
After Installation
Getting Started
Tutorials
Quick Tips: Data Access & Editing Tools
Special Data Edit Controls
Opening a Directory
The Directory Facility
The Base List
Pre-Employment Data Management
Opening a Named Base List or a History File
Selection Schedules
Pools/Consortia
Pool Registry
Random Selection, Date and Number Generation
Random Selection from Roster [Base List]
Random Sorts - How to randomly sort a list.
Random Date Generator [Frequency Testing]
Random Date Archive Files - Opening the archive directories
Random Number Generator - General Randomizer
Random Selection - How it's Done
Percentage Calculations and the volatile or varying list count
Exclusion - Controlling a Diminishing List for Random Selection
Histories
History Data: Updating Collection & Test Result Data
Target Percentages - Monitoring Year to Date Numbers
Target Percentages - Random Selection: Percentages Automatically Preset
Generating Reports
Printing
Base List Data Elements
How to Edit Data
Reading Existing Data into RandomWare without Typing
Importing an External Data File into a Base List
Excel - Reading Excel Spreadsheet data into Randomware
Append & Merge: Combining RandomWare Lists
Saving/Renaming
Notification File & Mail Merge
The File System
Glossary

Visit us on the internet at http://www.RandomWare.com


Random Dates Archives

Random Date Archives

See Accessing the Random Date Archive for help opening the archives.

Every time a set of random dates is generated through a Frequency Scheduling request, the resulting list of dates is automatically saved. Links to the files are maintained in the Archive Directories.

A Random date archive directory exists each for directory group and one for the entire directory.

Only one data file is created when dates are generated for the entire directory - the dates are not saved separately for the individual member lists from where they were generated.

Individual Base List Archives
A separate random date archive exists for each directory entry. The disk file name is created identically as all other file names for the group.

Directory Random Date Archive
An archive of the same name contains a list of the random dates generated for the entire directory. The sample directory is named Dir_Sample.dir, while the random date archive is named Dir_Sample.frx and is located in the Frx_Data folder - a sub folder of the Randomware installation.

Random Date Archive Directory Data Structure
The data structure for both directories is identical.
Data Column | Description
Generation Date | Date on which the generation was requested
Start | Starting date of interval
End | Ending date of interval
Name Only | Suppress the display of the ID number when checked (Double click to toggle its value)
"1" | Suppress the display of the first name and middle initial when checked (Double click to toggle its value)
Combine Name/Group | Combines the name entered in the base list and the Group name into one field and suppresses the display of separate name and id components (Double click to toggle its value). This is a useful feature if you want to import the data into a Microsoft Outlook Calendar.
Not Days | Days not used for date generation
File | File in which the dates are listed. Double click this field to open the list of dates.


Random Selection - How it's Done

How Randomware Generates Random Selections

A random number generator from the Microsoft Run Time Library generates the random number sequences used to select individual entries from Randomware base lists.

Consider a list of 100 entries. Each entry is the list is assigned a number, 1-100, by virtue of its order in the list. The first entry in the list is 1, the second entry is 2, . . ., and the last entry is 100.

If you sort the list, the assigned sequence numbers are automatically reassigned.

The Algorithm
First, the random number generator is initialized with a "seed." Most numeric algorithms require a "seed" to kick off the process. The common Square Root algorithm is a well known function - to start the algorithm, it first requires an approximate answer before it can calculate, iteratively, the final solution. The closer the approximation, the faster the algorithm converges.

A unique seed number guarantees a unique random number sequence. The randomizer uses a seed which is guaranteed unique: time of day - the number of seconds since January 1970. Every time reference is unique and guarantees a unique sequence of random numbers and therefore is completely random. If the same seed is used to start the randomizer a subsequent time, the same sequence of numbers is generated. This is evidenced if you quickly request successive sets of random numbers from the program's simple randomizer, however, it is not possible to access the same seed when generating random selections from base lists.

Consider a list of 100 individuals. The random number generator is "seeded" and begins generating numbers. First the program checks that the number is between 1 and 100. If it is, then the individual whose order in the list corresponds to the number is considered selected. When the number of individuals selected is equal to the number requested, the process stops and the list is presented.

Uniform distribution of random numbers is important for an algorithm to be valid. The uniform distribution of the numbers generated through Randomware can be demonstrated through the program's General Randomizer.

The following run time library routines used in Randomware are documented in the help system.

  • Rand( )

  • Srand( )

  • time( )


Random Number Generator - General Randomizer

Random Number Generator - Uniform Distribution

A general random number generator is available from the main menu as shown below:

Enter the random number parameters in the control provided shown below.

Enter the count of numbers to generate, the range from which the numbers will be selected, the number of sets to generate and whether duplicates are allowed - Random number generators naturally produce duplicate numbers.

Uniform Distribution
This feature was designed to demonstrate the uniform distribution of RandomWare's random number generator. A random number generator must demonstrate uniform distribution in order to guarantee fairness to everyone in the list from which random selections are pulled.

To demonstrate uniform distribution, select 100 or 1000 sets of 10 random numbers, between 1 and 100. After the numbers are generated, press the Cancel button to exit the control and review the numbers.

The column named Distribution shows how many times a specific number was generated.

Each entry in the distribution column is the number of times each number 1,2,...,100 was generated. You will find that each number, 1-100, occur equally, more or less, thereby, demonstrating the uniform distribution property of the randomizer.

The example below shows the results after selecting 5 numbers in the interval 1-10, 10,000 times.

Column | Frx < TF The Frequency must be less than the Time Frame
Random No.
Lines 1-5 | The results of the first set of random numbers generated between 1-10, without duplication.
Lines 6-10 | The second set of numbers generated between 1-10.
Lines 11-15 | The third set of numbers generated between 1-10.
etc. | Subsequent sets of generated numbers
ith. No. | Numbers in the range of requested.
Distribution | No. of times the ith. No. in the range requested was generated.
Distribution Results | Select 5 numbers, without duplication, between 1-10. Perform selection 10,000 times
1 | Selected 5029 Times
2 | Selected 4947 Times
3 | Selected 5013 Times
4 | Selected 4984 Times
5 | Selected 4979 Times
6 | Selected 5022 Times
7 | Selected 5019 Times
8 | Selected 5018 Times
9 | Selected 4949 Times
10 | Selected 5040 Times


Random Sort

How to Random Sort a List

Open a Base List or Pool. From the menu bar at the top of the window, choose Misc, then select the option Random Sort - the list will automatically randomly sort and display.


Random Dates Archive Data

Two Dates archives are maintain:

  • Directory Random Date Archive

  • Random Date Archive for Individual Directory Entry

Random Dates Generated for entire Directory
When random dates are generated for every entry in the directory, the output is written to a single list. Currently, there is no method by which you can exclude individual directory entries from a directory wide request.

To open the archive directory, from the directory facility menu, Utilities, select the option, Review List of Random Dates... as shown below. See Random Dates Archive for further information.

Random Dates Generated for an Individual Directory Entry
Every time a set of random dates is generated through a Frequency Scheduling request, the resulting list of dates is automatically saved. To access the list of archived data, right click on the entry where it occurs in the directory listing as shown below and select Review Lists: Random Dates Generated . . . from the popup menu as seen here. See the Archive Directory for specific information about the archives.


Reading External Data

Controlling the Import of External Data into RandomWare Base Lists

After specifying an external data file the system will display the following message box if the data appears to be in the standard format, i.e., if no special column headings were found that specify a change in the expected order of the data.

Standard Format Tab Delimited: The data in the file must be Tab Delimited, one Record per line, in the following formatted order:

Order of Data for the Standard Format
Last_Name <Tab> First_Name <Tab> Middle_Initial <Tab> Employee ID <Tab>Category<Tab>Mode
NOTE:
The characters "< >" are used above to distinguish one data field from the other.
They do not appear in the data file.
<Tab> is the Tab character.

The dialog box displayed below declares what Tab Column Headings were found if any.

Options | Write Control: Append, Merge, Overwrite
Merge | Entries from the external file whose ID is found in the currently open list will not be added. The opportunity to view the list of duplicate IDs found will be provided.
Append | All entries from the external file will be added to the currently open list regardless of ID duplication. The opportunity to view the list of duplicate IDs found will be provided.
Overwrite | Overwrites the data in the current list.
Options | Leaning
On | Minor and Major Classifications, Categories and Modes, from the import file will be added to the data base if not found in their respective data tables.
Off | Categories and Modes are not checked for existence in the system data bases.
Default Mode | Categories from the import file which do not have a corresponding Mode will have the selected default mode assigned. A default mode can be selected from the list to the right of the On/Off options box. If a default mode is not selected here, the one entered in the System Options Table will be used. System Options is accessed from the Other Data menu found in window menu bars.

POOLING: Append is the correct action if you are creating you own Pool Lists. See Pooling for more information about Pools and Consortia.

Example:
When a driver works for two or more employers, in whose random pool must the driver be included?

Guidance: The driver must be in the pool of each employer for which the driver works. This interprets DOT Rule: 49 CFR 382.305.

If you need any reference to articles that clarify this point go to http://DOT.gov and search for 49 CFR 382.305 - you will find plenty of letters written by the D.O.T. in response to this issue.

If the first line of the data file is in the Required Format without a FORMAT HEADING then all the data cells in the Tab Column Headings Found box will contain "NONE" and the Column Number will be the column in the data file in which the corresponding data is positioned.

Three examples follow:

  • Standard Format: The first line of data in the file is an employee name and I.D., Category and Mode, in the standard order.
  • Optional Format 1: The order of the data is: First Name, Last Name, No Middle Initial, Employee I.D.
  • Optional Format 2: The order of the data is: Employee I.D., Last Name, First Name, Middle Initial, Mode, Category
  • ERROR: A column heading found in the tab delimited file can not found in the Heading Database.

Standard Format

The above example represents a data file in [Standard Format] structured as follows:

  • First line is a data line
  • Column #1: Last Name
  • Column #2 First Name
  • Column #3: Middle Initial
  • Column #4: Employee ID
  • Column #5: Category
  • Column #6: Mode

In the dialog box above the column of boxes whose heading is "Column" reveals the respective column position of each data type found.
For example, it was determined that "Last Name" will be extracted from column #1, "First Name" from column #2. etc.

"NONE" is displayed for each heading because no special headings were found. The first line of the file appears to be data.

Optional Format 1: First Name, Last Name, No Middle Initial, Employee ID

The following examples demonstrate the use of the Tab Delimited Heading Database . .

The headings, Last, First, SSN, that appear in the import file must be found in the Heading Database.

Headings | These headings must appear in the Tab Delimited Table - Case Dependent.
Last | Indicates that the column is Last Name
First | Indicates that the column is First Name.
SSN | The column represents the Employee ID as a Social Security Number.

Optional Format 2: Employee ID, Last Name, First Name, Middle Initia

The above example indicates the following

  • First line is a format line indicating the following order: 1.Employee I.D. 2.Last Name, 3.First Name, 4.Middle Initial
  • Column #2: Last Name
  • Column #3 First Name
  • Column #4: Middle Initial
  • Column #1: Employee ID

ERROR: A column heading from the import file s not found in the Heading Database

The intentioned column order is: Last Name, First Name, Employee ID.
The column heading for Last Name is entered in lower case characters "last".
The text string "last" must appear in the Tab Delimited Heading Database.

In this case "last" does not exist in the database and subsequently the import file reader has indicated that the "Last Name" column was not found by specifying its column number as 0 and NONE as the column heading found.
No data for last names will be returned in this case - the last name column of the base list will be blank.


templage

Recommended Fonts for Screen and Printing

Font: Arial Style: Regular Size: 8

This insures that all fields will display and print.

Home


Generating Reports from History Files

Generating Reports from a History Files

Every selection generated should be saved to the base list's respective History file.

Open a Group's or a Pool's History file using the Open Options menu from the directory (Randomware Plus+) or from the display window of its respective base list using the View History option. For help opening Base Lists and Base Lists for Pools see the Tutorial.

Select the Report Generator.

 Reports the number of Samples Collected of a specific Test Type, if one is selected from the Test Types edit control. If no Test Type is displayed then all samples collected for the time period are reported. A percentage is reported.
Reports the number of Samples NOT Collected of a specific Test Type, if one is selected from the Test Types edit control. If no Test Type is displayed then all samples collected for the time period are reported. A percentage is reported.
Reports the total number of selections generated for a specific Test Type, if one is selected from the Test Types edit control. If no Test Type is displayed then all selections generated are reported for the time period are reported.
Reports the number of Test Types and or Result Codes entered.

Screen or Print Options
  • Screen reports direct report results to the screen only.
  • Summary Reports print the counts and percentages for the period requested.
  • Detail Reports print the counts and percentages for the period requested and list each individual entry from the history file which contribute to the data reported.

Using the Filter option to generate a report.

Entering data into the From field will reduce the list to those entries that contain the characters entered.

See Filter Help for a detailed discussion of the From and To fields.

To reduce the list to entries that are within a specific date range for a report:
  • Move the cursor to the Select Date or Test Date column and make a field in that column the "Current Field." Which column to select depends on the report you wish to generate.

  • Enter the starting date in the From field and the ending date in the To field. For example, if you want to reduce the list to testing dates between January 1, 1999 and June 31, 1999, enter 01-01-1999 in From and 06-31-1999 in To.

  • Check the box Apply Filter to Current Column Only. The filter will not work if you do not check this box.

  • Press the OK button. WARNING: Saving filtered data will overwrite the original data with the filtered list.

  • Print the results as the report.

Enter a data range in the From and To fields to exclude all entries outside the period referenced.

Home


Sample Data

Features are showcased through an included set of sample data.

NOTE: Throughout the help system "Base Lists" refer to the rosters from which random selections are generated.

To open a Directory, a feature of the Plus System, choose the Open Directory option and select the sample directory Dir_Sample.

Individually named base lists and history data are opened from the main menu options:
  • Open
  • Other
  • Lists or History

A singular base list, Sample.Dat, and its history file, Sample.Hst, are provided to demonstrate how Randomware Basic is used. Singular, or individually named base lists and history files are those named and managed outside the Randomware Directory facility. Randomware Basic can manage as many base lists as may be required by your application of the system - there is no limit. Randomware Basic is completely contained within the Plus system of the program.

Two "External Import Data Files" in tab delimited format can be used to demonstate the ease of reading existing data into the sytem: Sample.txt and External.txt.

An Excel spreadsheet, Excel_Sample.xls, and its respective tab delimited data file saved from the Excel worksheet, Import_Sample.txt, can be found in the installation folder. A tutorial is provided in the help system which outlines the details of migrating data from Excel into Randomware using these examples.

NOTE: Use 01-01-1999 as the Start Date for Percentage Target Reporting


List Files

Saving/Renaming Data Files

To save data simply select the menu option Save Data to Disk.

To rename the current List (Base List or History - both function identically) select the Save-As option.

wandering.gif (917 bytes)

You will control the renaming of the file with the standard Save-As dialog.
For help about this dialog box see Open Dialog

Home


Scheduling

Scheduling [ Randomware Plus+ ]
Options
Scheduling is primarily used to calculate year to date collection percentages to help keep your selection percentages accurate for each random selection requested.

A table of selection and collection dates can be managed for every entry in the directory.

  • Double click a date field for access to the Calendar Control to easily enter dates.

  • Right click a date to see its day of the week (Monday, Tuesday, etc.).
Specify as many selection/collection dates required by each group and pool in the directory.
  • Quarterly - 4 entries
  • Monthly - 12 entries
  • Weekly - 52 entries
  • Daily - 365 entries
The dates are used to preset the random selection controls: Selection Date and Testing Dates.

The Selection date is the day the random selection is generated, while the Testing date is the day donor samples are collected.

The number of scheduling dates is used to determine the total, year to date, percentage of donor samples collected for each test. The number of dates entered is counted and compared to the number of selection dates logged in the history file to determine the number of selections yet to generate for the year. The year to date percentage is subtracted from the target percentage specified for each of the two control tests entered, divided by the number of selections yet to generate to determine the required minimum percentage to specify for each selection yet to generate. These numbers will help you stay on top of your testing requirements for the year.

To schedule Pool selections, simply open the Pool's respective schedule and enter the required dates. To open a Pool's schedule, select the Open Options menu from the menu bar at the top of the screen or right click on the pool id and open the pool registry. Pool members do not need individual schedules or target percentages defined. If a pool member requires higher yearly percentages than the pool, simply define a schedule for the individual pool member, enter the same schedule as the pool and include additional selection dates to suit your needs.

Year to Date percentages are reported for the individual pool members, for whom you define selection schedules and target percentages, when the Target Report is requested.

Master Schedules
You can define a variety of Master Schedules. For example, define a default Quarterly schedule and copy it to the schedule of as many directory entries and pools as required by your application. For example, from the Open Options, open a schedule, name it "Quarter", enter the dates you require and save it.

Once you've defined a master schedules, change directory views to 'Check Mark' Control for Utility Options. From the Utilities menu, select Apply a Schedule to Directory Entries as shown below.

From the open dialog - find and select the schedule you created.

When you select Open, the Schedule Control dialog box is presented - its options are described below.

Options Description
All pools listed in the directory, that meet the Apply Options, will be assigned the selected schedule if at least one of its members is 'Checked' in the directory view.
All group entries in the directory, that meet the Apply Options, will be assigned the selected schedule.
If you check this box, all directory entries, that meet the Apply Options, with a pool ID entered in their respective Pool ID columns, will be not be assigned the selected schedule.

How Scheduling Works

Randomware uses the number of dates entered in a schedule as the count of selections you plan to generate for a group or pool. When a random selection is generated and subsequently saved to its history file, the Randomware Messenger finds the schedule and checks off the first date it finds that is not checked as "Completed" - there is no date "proximity" testing. When Target reports are generated, the number of selections yet to perform is determined simply by the number of dates in a schedule that are not yet checked as "Completed" - it's a very simple and straight forward technique. It alleviates the necessity of changing dates as your personal work schedule naturally varies. When the random selection control is initialized, the first available date, not checked as "Completed", is used to preset the selection date. You can change it to reflect the actual selection date if necessary.

Edit Schedules for the Entire Directory

You can edit schedules for an individual directory entry or a pool through the Open Options menu from the directory window. You can request to view all schedules as one list through the directory menu Edit the Selection Schedule . . ., from the Utilities menu. It is best to first switch to the Check Mark Control View before requesting the Edit feature.

When you select the menu option, a Schedule Selection Control dialog box is presented - its options are described below.

Options Description
All schedules for pools listed in the directory, that meet the Apply Options, will be added to the list for viewing & editing if at least one of its members is 'Checked' in the directory view.
All schedules for group entries in the directory, that meet the Apply Options, will be added to the list for viewing & editing.
If you check this box, all schedules for directory entries, that meet the Apply Options, with a pool ID entered in their respective Pool ID columns, will be not be added to the list.

A window of all schedule dates from the selected entries is presented for editing.

Click on the column heading "Schedule Date" to sort the list by this date. Click on it again to reverse the sort.

When the list is sorted by date, you can easily review your scheduling requirements for the entries you selected. You can not insert or delete schedule entries from this edit window - you can only edit existing schedule and testing dates. The primary function of this feature is to easily order your scheduling requirements. When you select to save the changes, the Randomware Messenger updates each of the individual schedules to reflect the modifications.


Random Selection - Options Available

Random Selection

RandomWare provides a number of controls to generate randomly selected lists.

General Random Selection Control: This selection control provides the greatest flexibility allowing for the selection for two tests, one drug and one alcohol, at one time. Enter a selection percentage or the number of entries to select for each test specified. Selection Filters can be entered, reducing the number of individuals considered for the selection. You can Indicate a number of alternates, by percentage or count, for each test. The alternates, of course, are randomly selected.

Super Double Jeopardy: This selection generator provides the same controls as the general selection discussed above and minimizes the number selected.

Building Selection Lists Incrementally: You can build a selection list with repeated use of the selection controls. Each selection is appended to the last (This feature is only available when you turn the off the option that controls the display of the random results to the dialog - see System Options).

Simple Random Selection: Generate a random selection by entering a count or a percentage and indicate number of alternates. Non-Drug & alcohol testing specific.

Exclusion: Specify the number of days by which to control a diminished list from which to generate a random selection. For non-mandated testing programs, avoid selecting individuals already selected and tested within a specified period.


Employee Data Control: Shift Manager

Shift Manager

Without the using the Shift Selection Manager, the system attempts to "auto-complete" the entry when you type in the first letter(s) of a Shift, provided the Shift is recorded in the master list. For example, if "Graveyard" is a shift that has been entered in the master list, the program will display "Graveyard" when you type "G" or "g" as the first letter in data entry area for Shift.

The Shift Manager can be accessed via the Utilities menu from the Base List data entry window. A right click of the mouse on a data item in the Shift column presents a floating pop-up menu through which the data control can be activated, or double click the left mouse button to display the control immediately.

You can position this dialog box to any convenient place on the screen. Move the mouse cursor over the title bar, hold down the left button and move the box to a suitable spot.

Access the master list for Shifts from the Other Data menu option.

Use the Shift Manager to easily set the "Work Shift" for individual entries in a base list.

The name and line number of the roster entry is displayed for reference. Select a "Shift" and press OK to set the data for its respective entry. When Down After Ok is checked, the cursor in the window will automatically scroll to the next entry and highlight it as active. Press OK again to set the new record entry to the currently selected Shift or choose another Shift as appropriate for the highlighted entry.

Use the Scroll buttons to easily position the cursor to any line entry in the window.


Random Selection - Simple Selection Control

Simple Random Selection Control

Specify the percentage and/or a count, including alternates.

Randomware provides three random selection control, two of which feature filtering.
  • Super Double Jeopardy
  • Standard Selection
  • Simple Selection
How random selections are generated: Technical Information

For simple random selection control, open a Base List, and choose the menu option, Simple, from the Select menu as shown below.

Note: In the list above, line 1 & 2 are both marked Not Active, and line 3 is marked Not Available. Some applications of Randomware need to maintain historical accuracy and also need to maintain strict percentage control for year to date percentage calculations. To maintain historically accurate documentation, when someone terminates employment, simply mark the entry Not Active. If personnel are not available for testing then mark the entry Not Available. For example when someone is on vacation, jury duty, leave of absence, etc., simply check their status as Not Available. The Not Available column is intended as a temporary status.

The total number of entries in this list is 41, including the two marked Not Active and the single entry marked Not Available. The selection control reports two counts: List count and the number Available for selection. The list count is used to accurately determine year to date percentages. If someone is Not Available, he or she still needs to be counted in the overall list total for accurate percentage calculations, however, entries marked as Not Active are not used for the overall calculation. Essentially, entries marked as Not Active to not contribute to overall list counts. The entries are maintained simply for historical purposes.

 | How the counts are determined
List Count | Total entries in the list less those marked Not Active
Available | List Count less those marked Not Available

Enter the selection count and the corresponding percentage is calculated. If you enter a percentage, the corresponding selection count is calculated. The number of alternates is specified similarly.

As shown here, the select count is determined as a percentage of the List Count, not as a percentage of the number of entries Available for selection. This example will result in an error message to inform the user that too many entries have been requested for selection.

The selection is generated when you press the OK button. See Selection Results & Building Selection Lists Incrementally for a discussion of the results of the selection generation and the options available.


Target Percentages & Selection Stats for Individual Groups and Pools

Target Percentages and Selection Status for a single directory entry can be generated in exactly the same manner as a report for the entire directory.

From a directory window, use the Reports menu to access the options for generating a report for the group or pool defined by the current record. In the example below, Acme Delivery and Pool_1A are defined in the current record. Selecting Acme Delivery ----> Report Target Percentages . . . from the Reports menu will enable you to generate a Target Percentage and Selection Stats Report for Year to date monitoring. Similarly, selecting Pool_1A ----> Report Target ..., enables you to generate the same report for Pool_1A. The results of the report are identical to the data generated for Acme and Pool_1A when a report for the entire directory is requested.

Generate a Target Percentage and Selection Stats Report for an individual Group or Pool:
This menu selection dynamically adjusts to select the group defined by the current record.
This menu selection dynamically adjusts to select the Pool defined by the current record. If the current record does not define a pool, the menu is not defined.
This menu selection generates Target Percentages and Selection Stats for the entire directory.
Right click a group entry or a pool and the Floating Popup Open Options menu appears. Use it report the Target Percentages and Selection Stats or open a related group or pool file.


logo

General Random Selection Control

RandomWare provides three random selection controls, two of which feature filtering.
  • Super Double Jeopardy
  • Standard Selection
  • Simple Selection
How random selections are generated: Technical Information

To generate Standard Selections, open a Base List, and choose the menu option, Generate a Selection (General), from the Select menu as shown below.

The general selection control provides the greatest flexibility for random selection. Super Double Jeopardy is used to control mandated (DOT) testing as efficiently as possible to help minimize the cost of testing.

Random Selection Control
Enter the selection criteria for one or two tests in this selection control box. If you want to select for one test only, use Test-A and simply leave the selection controls for Test-B blank.

Highlighted Captions | Descriptions
 | Specify selection for one or two tests. Mandated programs often require testing for drugs and alcohol, however, if your application requires only one test type, leave the selection controls for the second test blank. If only one test is specified, the second is simply ignored.
 | Select the drug "panel configuration" intended for the test. A specific alcohol "panel" can be selected for alcohol only testing. Alcohol panels simply allow for specific alcohol level quantification if test proves positive. The specific panels defined in the configuration will display in the adjoining box under the Panels heading.
 | Specific days of the week can be excluded if the option to randomize the test date is selected.
 | Indicate if collection is on-site at the donor's location.
 | The selection can be constrained to a specific shift if the base list contains multiple shifts, however, it is recommended that lists for different shifts be maintained to accurately track year to date selection and collection percentages.
 | The selection will not be constrained by shift unless this option is selected, regardless if a shift has been indicated from the selection described above.
 | Employees previously selected or previously tested can be excluded from the selection by indicating the last selection date or a number of days since last selected or tested. Pre-Employment lists can be used for exclusion if employees were tested prior to employment within a specified number of days. For details see Exclusions.

 | Double Jeopardy controls whether an entry from the list is eligible for selection for both tests if two tests are specified. Consider the example: John Doe is selected for Test-A.
Selected | John Doe will not be excluded for the draw for Test-B.
Not Selected | John Doe is not eligible for selection for Test-B.

Other Selection Parameters | Description
Percentages/Select Counts | Enter a percentage for each test, the specific count is calculated. Enter a specific count to select and the percentage is calculated.
List Total | The List Total is the number of entrants in the list eligible for selection. This number is the the difference of the absolute count of entrants less those specified as "Not Active." Some applications of Randomware need to maintain accurate employee records. Instead of deleting an entry from the base list when personnel terminate employment, simply check the "Not Active" field. Entrants flagged as "Not Active" do not accumulate to the overall numbers used to calculate year to date percentages.
Available | If an entrant is not available for the specified testing schedule, simply flag the entry as "Not Available." Examples: vacation, jury duty, time off for disability, etc. These entrants still contribute to the overall number counts for year to date percentage calculations.
Total to Select | The sum of selections for tests to be administered, including alternates.
Selection Date | The date the selection was generated.
Testing Date (Start) Testing Date (End) | Testing or collection date. If the option to randomize the test or collection date is selected, then a randomly selected day within the period specified is generated, excluding days specified in the Nots section of the control. Maintain a calendar of Not Dates (Exclusion Dates). For example, if you want to exclude holidays from the testing calendar, then be sure to check the system option through the Other Data menu.
Lab | Preset the Lab which will process the sample.
MRO | Preset the MRO (Medical Review Officer) who will review the documents.
Collector | Preset the CPC (Certified Professional Collector) will be gather the samples.
Preset Sample Collected | Year to date percentages are usually based on the number of donor samples actually collected. Typically, the number of "No Shows" is less than those who are tested. Pre-specification of collected samples reduces the overhead of post testing data entry. If the sample is preset as "Collected" then data management is reduced to logging the account of those selected who were not tested.

Exclusion
No. Days | Enter the number of days in which individuals previously selected or tested can be excluded from the current selection. Specify "Previously Selected" or "Previously Tested" in the option detailed below. If a pre-employment testing roster is maintain, some companies may choose to exclude newly hired personnel from redundant testing within a number of days since hiring.
Last Select Date | If "No. Days" is specified as detailed above, then the corresponding calendar date is displayed here. If a Last Select or Testing Date is entered, then "No. Days" is determined and displayed. One will determine the other when specified.
Exclude By . . .
Select Date
Test Date 		Excluding by selection date prevents the selection of anyone previously selected within the specified time period. Alternately, personnel may be excluded from subsequent selection if the individual was previously tested within the specified period. The term "Testing" is used equivalently to "Donor Sample Collected."
Only if Collected
Not Alternates 		If exclusion by Select Date is specified, you may choose to exclude individuals if and only if a sample was actually collected. Furthermore, if exclusion by Select Date is specified, it may be essential NOT to exclude those previously selected as alternates. There are myriad exclusion possibilities and they all depend on how individual applications of Randomware mange their selection history data.
Pre-Employment Lists
  • Use
  • Only
  • Ignore
Pre-Employment can be used to determine exclusion.

Use: Check pre-employment list for personnel tested within the specified number of days. If the testing date for a name from the pre-employment list is within the specified number of days, the entry will be excluded from the current selection.

Only: Exclusion testing is applied only to pre-employment lists. Selection history data is not used to determine if an entry is excluded from the selection, i.e., if someone was previously tested within the specified no. of days, but not through pre-employment, then the individual is eligible for selection.

Ignore: Pre-Employment lists will not be used to determine exclusion, i.e., an individual will not be excluded from selection regardless of pre-employment testing.

All pre-employment lists are reviewed. A master pre-employment list can be maintained for an entire directory and individually for each group within the directory.

Test Types

Select a Test Type to be administered for Test A and Test B, in the drop down selection control provided. Randomware presets the test types from which you can select. The data is retrieved from the Test Types data base.

To learn how to access and edit the Test Types see Test Types Administered.

Filtering

The first two fields (Filter #1 & Filter #2) in the Test A/B Filter areas allow you to specify categories by which to filter the current base list. The categories listed in these two drop down selection controls are those found in the base list from which the selection will be generated.

For example, if you select two categories in the Test A filter boxes, then an individual is eligible for random selection if and only if his or her category matches Filter #1 or Filter #2.

If you check the Not box then those entries whose category is Not Filter #1 and Not Filter #2 will be eligible for random selection.

Possible Minimum Available
It is possible to enter filters that have overlapping categories. If double jeopardy is not selected then an entrant who has been selected for Test-A, will not be considered for selection for Test-B. The program displays the number of entrants available for Test-B after considering the selection of Test-A.

For a detail discussion of the random selection algorithm see the Random Algorithm page.

Consider the following example:
Consider the example of someone who works for two companies in the same selection pool.

Henry works for two companies - both in the same pool and therefore Henry appears in the pooled list twice.

Essentially, Henry is treated as two separate individuals as far as the program is concerned and is twice as likely to be selected as someone who appears in the list only once. Consider the two individuals he represents as Henry-A and Henry-B.

Double Jeopardy:
Henry-A is the Henry who works for Acme.
Henry-B is the Henry who works for Quick Silver. (Acme & Quick Silver are pooled)

And further, assume Alice, too, works for Acme.

Generate a selection for two tests: breath & urine.

Alice could possibly be selected for both breath & urine.

Henry could possibly be asked to take four tests total:
Henry-A could be selected for both breath & urine - i.e. breath & urine at Acme.
Henry-B could be selected for both breath & urine - i.e. breath & urine at Quick Silver

Single Jeopardy:
Alice could be selected for either breath or urine - not both

Henry-A could be selected for breath or urine - not both (for Acme.)
Henry-B could be selected for breath or urine - not both (for QS.)

The selection possibilities for Henry are:
A breath at Acme and a breath at Quick Silver.
A breath at Acme and a urine at QS.
OR...
A urine at Acme and a breath at QS.
A urine at Acme and a urine at QS.

Selection Results & Building Selection Lists Incrementally: Subsequent selections can be made from the names remaining in the original list. The subsequent selections will append to the end of the currently displayed selection list. The same selection controls are available from the selection results window as those used to generate the initial selection.

Note: This feature is only available when you turn the off the option that controls the display of the random results to the dialog - see System Options.

This completes the random selection process.

Printing the Selection List

Pooled Selections: Selections from each company print separately - employees in alphabetical order. The alternates print on a separate page in the order they were selected.

Non-Pooled Selections: The list is printed with employees in alphabetical order while the alternates print at the end of the list in the order they were selected.

All selections generated are automatically recorded in the audit trail file.

YOU WILL LOSE THE DATA: before you exit this window you must . . .

  • Print the selection.
  • Append to the history file (saving to the history file automatically generates the Notification File.)
  • Request the generation of the Notification File.

When you save a pooled selection it will automatically save each individual selected to its respective history file.

Menu Options
  • Exit: Return to the Original List
  • Save: Append the selection to a History database & Generate a Notification File
  • Print: Prints the randomly selected list
  • Misc.: Format the ID: Social Security No. vs. General ID [maximum 32 characters]
  • Notification: Generate a Notification File
  • History: View the history file.


Building Selection Lists Incrementally

You can add to a selection after it has been drawn. From the selection results window choose the menu option Select-Append.

This option allows subsequent selections to be drawn from the names remaining in the original list. The subsequent selections will append to the end of the currently displayed selection list. The same selection controls are available from the selection results window as those used to generate the initial selection. This control allows for greater flexibility in specifying selection category filters and extends both of the selection controls available.


Random Selection - Super Double Jeopardy

Random Selection Control-Super Double Jeopardy

RandomWare provides three random selection control, two of which feature filtering.
  • Super Double Jeopardy
  • Standard Selection
  • Simple Selection
How random selections are generated: Technical Information

To generate random selections, open a Base List, and choose the menu option, Super Double Jeopardy, from the Select menu as shown below.

Super Double Jeopardy provides selection control which minimizes the cost of testing and complies to mandated testing guidelines. The cost of drug testing extends beyond the expense of simply gathering and processing samples. Every person required to undergo testing adds to the incremental cost associated with downtime. Super Double Jeopardy minimizes the number of people required for testing while, at the same time, adheres to government standards.

Please Note: For round numbers assume the example below selects from a list of 100.

Select for two test controls: Test-A: Urine / Test-B: Breath Alcohol
Pick 20 percent for Test A - 20 names are selected.
Pick 10 percent for Test B - 10 names will be selected.

Super Double Jeopardy allows you to select of the 10 required for Test B entirely from the 20 already selected for Test A.

Theoretically, it's possible to select 30 individuals for the test outlined above: 20 for Test A, 10 for Test B. Super Double Jeopardy selects the individuals for the required 30 tests, however, the minimum number of people are drawn. Reducing the number of people who actually undergo testing saves employers downtime costs, thereby reducing their total cost of compliance.

The Selection Control:
Highlighted Captions | Descriptions
 | Specify selection for one or two tests. Super DJ was specifically designed to draw for two tests, however, if only one test is specified, the second is simply ignored.
 | Select the drug "panel configuration" intended for the test. A specific alcohol "panel" can be selected for alcohol only testing. Alcohol panels simply allow for specific alcohol level quantification if test proves positive. The specific panels defined in the configuration will display in the adjoining box under the Panels heading.
 | Specific days of the week can be excluded if the option to randomize the test date is selected.
 | Indicate if collection is on-site at the donor's location.
 | The selection can be constrained to a specific shift if the base list contains multiple shifts, however, it is recommended that lists for different shifts be maintained to accurately track year to date selection and collection percentages.
 | The selection will not be constrained by shift unless this option is selected, regardless if a shift has been indicated from the selection described above.
 | Employees previously selected or previously tested can be excluded from the selection by indicating the last selection date or a number of days since last selected or tested. Pre-Employment lists can be used for exclusion if employees were tested prior to employment within a specified number of days. For details see Exclusions.

Other Selection Parameters | Description
Percentages/Select Counts | Enter a percentage for each test, the specific count is calculated. Enter a specific count to select and the percentage is calculated.
List Total | The List Total is the number of entrants in the list eligible for selection. This number is the the difference of the absolute count of entrants less those specified as "Not Active." Some applications of Randomware need to maintain accurate employee records. Instead of deleting an entry from the base list when personnel terminate employment, simply check the "Not Active" field. Entrants flagged as "Not Active" do not accumulate to the overall numbers used to calculate year to date percentages.
Available | If an entrant is not available for the specified testing schedule, simply flag the entry as "Not Available." Examples: vacation, jury duty, time off for disability, etc. These entrants still contribute to the overall number counts for year to date percentage calculations.
Total to Select | The sum of selections for tests to be administered, including alternates.
Selection Date | The date the selection was generated.
Testing Date (Start) Testing Date (End) | Testing or collection date. If the option to randomize the test or collection date is selected, then a randomly selected day within the period specified is generated, excluding days specified in the Nots section of the control. Maintain a calendar of Not Dates (Exclusion Dates). For example, if you want to exclude holidays from the testing calendar, then be sure to check the system option through the Other Data menu.
Lab | Preset the Lab which will process the sample.
MRO | Preset the MRO (Medical Review Officer) who will review the documents.
Collector | Preset the CPC (Certified Professional Collector) will be gather the samples.
Preset Sample Collected | Year to date percentages are usually based on the number of donor samples actually collected. Typically, the number of "No Shows" is less than those who are tested. Pre-specification of collected samples reduces the overhead of post testing data entry. If the sample is preset as "Collected" then data management is reduced to logging the account of those selected who were not tested.

Exclusion
No. Days | Enter the number of days in which individuals previously selected or tested can be excluded from the current selection. Specify "Previously Selected" or "Previously Tested" in the option detailed below. If a pre-employment testing roster is maintain, some companies may choose to exclude newly hired personnel from redundant testing within a number of days since hiring.
Last Select Date | If "No. Days" is specified as detailed above, then the corresponding calendar date is displayed here. If a Last Select or Testing Date is entered, then "No. Days" is determined and displayed. One will determine the other when specified.
Exclude By . . .
Select Date
Test Date 		Excluding by selection date prevents the selection of anyone previously selected within the specified time period. Alternately, personnel may be excluded from subsequent selection if the individual was previously tested within the specified period. The term "Testing" is used equivalently to "Donor Sample Collected."
Only if Collected
Not Alternates 		If exclusion by Select Date is specified, you may choose to exclude individuals if and only if a sample was actually collected. Furthermore, if exclusion by Select Date is specified, it may be essential NOT to exclude those previously selected as alternates. There are myriad exclusion possibilities and they all depend on how individual applications of Randomware mange their selection history data.
Pre-Employment Lists
  • Use
  • Only
  • Ignore
Pre-Employment can be used to determine exclusion.

Use: Check pre-employment list for personnel tested within the specified number of days. If the testing date for a name from the pre-employment list is within the specified number of days, the entry will be excluded from the current selection.

Only: Exclusion testing is applied only to pre-employment lists. Selection history data is not used to determine if an entry is excluded from the selection, i.e., if someone was previously tested within the specified no. of days, but not through pre-employment, then the individual is eligible for selection.

Ignore: Pre-Employment lists will not be used to determine exclusion, i.e., an individual will not be excluded from selection regardless of pre-employment testing.

All pre-employment lists are reviewed. A master pre-employment list can be maintained for an entire directory and individually for each group within the directory.


Sorting Data

Data is easily sorted. The Base List input screen is used for this example. Sorting works identically everywhere.

To sort in ascending order (a,b,c, d, ... ) move the cursor near the TOP of a column heading and click. The Heading Text will display red to indicate an ascending sort. Subsequent sorts of the same column reverses the sort order: ascending, descending, ascending, descending . . .

Descending sorts display the column text in blue.
Ascending sorts display the column text in red .

If you click near the bottom of a column heading which is not the current sort column, the data will sort in reverse order. If no sorting results, the column is not a sort column. Most data columns in Randomware are sort columns.

Home


Special Data Editor Controls

Special Data Edit Controls

A variety of data controls are provided to ease data management and reduce data entry redundancy.

Special data editor controls:

  • Base List Dialog Editor

  • MIS Mode/Category Editor

  • Work Shift Editor

  • Directory Entry Dialog Editor

  • Test Results: History Data & Pre-Employment Dialog Editor

These controls can be accessed in a variety of ways.

From the Directory Window (Randomware Plus+)

  • Right click on a Group/Company Name for a Pop-Up Floating Menu of Options.

  • From the pop-up menu, select the Dialog Editor to easily access all the data fields associated with each directory entry.

  • Double Click on a Group/Company Name to open its Base List (Company Roster).

  • Right click on a Pool-ID for a Pop-Up Menu of Options.

  • Double click on a Pool-ID to dynamically combine the member's lists into one for random selection.

From the Base List Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry.

  • Double click on a name to access the Dialog Editor to easily access all the data fields for each name in the roster.

  • Double click on the Mode or Category field to immediately access the Mode/Category manager or right click to access the pop-up menu option that provides access the Mode/Category manager.

  • Double click on the Shift field to immediately access the Shift manager or right click to access the pop-up menu option that provides access the Shift manager.

From the History Data Window

  • Right click on a name to see the pop-up menu option to access the Dialog Editor for that entry which provides control for all of the donor sample data elements.

  • Double click on a name to access the Dialog Editor to easily access all the donor sample data fields for each entry in the history file.

  • Right click on any date in the system to see its "Day of the Week"


Seed Function

srand

The srand function is used to generate the random selection. See the page title Random Algorithm.

It is best to refer to the original documentation for a thorough and complete description of these functions.
The information is duplicated here for you convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
Library Title: MSDN Library - January 1999 Release

It can be found through one of Microsoft's many internet web sites: http://msdn.microsoft.com

srand

Sets a random starting point.

void srand( unsigned int seed );

Routine | Required Header | Compatibility
srand | <stdlib.h> | ANSI, Win 95, Win NT

For additional compatibility information, see Compatibility in the Introduction.

Libraries

LIBC.LIB | Single thread static library, retail version
LIBCMT.LIB | Multithread static library, retail version
MSVCRT.LIB | Import library for MSVCRT.DLL, retail version

Return Value

None

Parameter

seed

Seed for random-number generation

Remarks

The srand function sets the starting point for generating a series of pseudorandom integers. To reinitialize the generator, use 1 as the seed argument. Any other value for seed sets the generator to a random starting point. rand retrieves the pseudorandom numbers that are generated. Calling rand before any call to srand generates the same sequence as calling srand with seed passed as 1.

Example

/* RAND.C: This program seeds the random-number generator
 * with the time, then displays 10 random integers.
 */

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

void main( void )
{
   int i;

   /* Seed the random-number generator with current time so that
    * the numbers will be different every time we run.
    */
   srand( (unsigned)time( NULL ) );

   /* Display 10 numbers. */
   for( i = 0;   i < 10;i++ )
      printf( "  %6d\n", rand() );
}

Output

    6929
    8026
   21987
   30734
   20587
    6699
   22034
   25051
    7988
   10104


Getting Started

The help system navigates exactly as an internet web-site with hyper linked pages. Sub-topics are often presented on separate pages and can be referenced through hyperlinks. You can easily browse to a related topic, read it, and return to finish the main article.

Quick Tips: Data Access

Click on this question mark wherever it occurs. It provides a quick link to information about the current window in which it is displayed. Updated help systems are easily downloaded from the web site as the system expands to provide greater depth to the help available.

Click on the "Short Cut" symbol for a popup menu of relevant options available for the current input field. Often, the menu option provided is a "What's this?" for information about the use of a data item and the values available.

Click on the "Drop Down" symbol for a list of selectable data items for the field in which it appears.

Random Selection

Random selections are generated from data files referred to as Base Lists. The lists contain the names and identification numbers of all personnel to be included in the random testing procedure. You can manage as many lists as required.

You can develop groups of lists through the Directory facility or individual lists through a separate management facility.

A Directory is essentially a list of lists with an address book. Pooling is accomplished through directories.

For a overview of the Directory Facility click here arrow.gif (822 bytes) Directory

For a discussion about Individual lists opened outside the directory facility, see Individual Lists.


System Options

System Options - Simple, Basic & Plus Systems

The System Options editor is a tabbed dialog control and is available from most windows from the Other_Data, Misc, and Print menu options.

The Tabbed Option Pages:
  • Toggles
  • Display
  • Print Margins
  • Defaults
  • Exclusion
  • Advisory / Learning
  • Local Tax Rate
Toggles

Auto Caps
When Auto Caps is "ON" the first character of a typed "word" is capitalized. Both characters, of two character state abbreviations, are automatically capitalized. The following words are not: if, or, the, for.

Note: A future release will allow you to specify the exclusions.

Adding Company Data to Ntx File Output
The abbreviation, Ntx, is a shorthand name for the Notification File. Random selection data is automatically output to a notification file when the selection is saved to a history file or when you specifically ask to save it as a Notification file. When you check this box, the directory data for each entry in the random selection will appear with the name selected. For example, if John Henry, an entry in the Acme base list, is selected, John Henry's name, ID, selection date, etc. is output to the notification file, along with the company name, Acme, and the rest of the data from the Acme entry in the directory. If you use the Mail-Merge option, this provides all the directory data you may need to completely specify the elements of any form letter you compose.

NOTE: This box is only relevant to the Plus+ version of Randomware.
System Scheduler is explained in detail below.
Display Options
Print Margins

Printer - Top of Page Margin
If you want to print Randomware reports on your company's letterhead, you can specify a top of page margin to accommodate the format. Specify a margin for both page formats: Portrait or Landscape. Some reports print in Portrait, some in Landscape. All history reports print Landscape - the length of each record is too long to fit on one line in Portrait mode.

Note: The specification is in inches

Not all reports print using the top of page margin control.

Margin Control | Report Description | Page Orientation
Yes | Directory List Summary | Portrait
No | Directory Detail Report | Portrait
Yes | Base List Summary | Portrait
No | Base List Detail Report for each entry | Portrait
Yes | Selection History Summary - Test Results | Landscape
No | Test Results / MRO & Collection Data Detail Report | Portrait
Yes | Random Selection Results | Landscape

Default Values
Exclusions
Not's
When randomizing the Testing (Collection) Dates from a random selection generation, you can exclude days of the week from the collection assignment.
Advisory & Learning Control

When Modes, Categories and Shifts are entered into the spreadsheet editor not currently found in the system tables, the program will add (learn) the new entry to the appropriate table based on the current learning option.

Learning Options | When item is not found it the system tables . . .
Prompt | Prompts user to add, ignore or retry.
No Prompt | New entry is automatically added to respective table.
Off | Entries are not checked for existence in current tables.
Local Tax Rate

System Scheduler
When this option is "checked", the system uses selection schedules defined by the user. Target Percentage Reporting uses the number of scheduling dates found in a directory entry's respective schedule file to determine how many selections are yet to be performed for the current year and the percentage at which to control the selection. For example, if you are testing quarterly for a directory entry or a pool, then four selection dates will be found in the schedule for that entry. See the Open Options menu, from the directory window, to access the schedule for each entry or pool.

If this option is not "checked", it's 'OFF', a data column appears in the directory window in which you to enter the number of selections intended for the year. This data column is hidden when the Scheduler Option is 'ON' or "checked."

See Scheduling for a discussion about this Randomware feature and how to use it.


Import Data Headings

Import Data Headings - Optional Formats

From the Base List window's popup menu Read-External select Tabbed Delimited Data File Headings.

The window, displayed below, is presented for editing.

If the data in an import file is not in the Standard Format then the first line of the import file must be column heading identifiers which specify the order of the data elements. Every column heading that appears in an import file must be found in this database. Using this feature gives you the ability to read data files from any of your clients regardless of the order of the data elements and regardless of the column headings that might be used in those files. If the file you receive does not have column headings then the data elements must be in the Standard Format.

Remember, only the first line of the import file has column heading identifiers. The second and subsequent lines of the file are the actual data. If the data in the import file is in the standard format then no identifiers need exist in the import file. See the article Importing an External Data File into a Base List for a discussion about heading identifiers in the actual import file.

Home


Target Percentages & Selection Stats

Target Percentages & Selections Stats

This feature is only available with Randomware Plus+.

Maintain Target Percentages and Selection Stats for every Group and Pool in a directory. Automatically generate reports for Year to Date selection/collection percentages for two tests: Test-A & Test-B. Specify the tests for which to control for each entry in the directory.

Pools: Defining Targets & Selection Stats
See the Pool Registry, from the Open Options menu to enter target percentages and selection stats for each pool you name.

Group Entries: Defining Targets & Selection Stats
To define selection stats and year to date targets for each group entry in the directory, open the directory and change the view to Selection Control and Target Percentages using the Views menu.

When the report is generated to the screen, activate the Selection Stats view using the Views menu and automatically generate random selections with all necessary selection control values preset: Selection Control (Standard or Super Double Jeopardy), Test Types, Selection Percentages, Selection Date, and Testing Dates.

The Selection Control and Target Percentages Window is displayed below (without any control data entered) - see the article Selection Control and Target Percentage for a detailed description of each data element shown below.

To generate a year to date report, select Target Percentages / Selection Stats - Entire Directory from the Reports menu.

The report control dialog is display. The first day of the year and the current date are preset when the control is initialized.

Report Period: Enter the starting date (From) and the ending date (To) for the report you want.

Use the Calendar to easily find dates. When you select a date on the calendar, use the From and To buttons to set the date into its respective data entry field on the left.

Screen or Print: Select a Screen or Print option.

Show Pool Members: For the on screen report, you can select to display the pool members under the listing for the pool.

The history file for the group or pool is the source for the report's data.

An entry in the history file is "counted" if:
  • The Selection or Testing Date is between (inclusively) the From and To dates.
  • The Test Type entered is either Test-A or Test-B.
  • The sample was "Collected." A sample is tagged as collected if an 'x' appears in the collected column of the history file for that group or pool.

Screen Report

Note: You can double click on any Group or Pool displayed in the Group or Pool column to go directly to the random selection generator with the selection controls preset. From the Group or Pool Field, the right mouse button will display a menu from which you can also choose the random selection generator.

Note: The next selection date for each entry can be viewed from the alternate report view. Choose the menu option Selection Stats from the Views menu at the top of the window.

See also: Automatically Preset Selection Controls from Target Percentages & Selections Stats Report.

Report Legend
Schedule Count: [nSched] The number of selections scheduled for the year. If the System Scheduler option is turned on, the number of selections for the year is determined by counting the number of dates entered in each group or pools respective schedule file. If the System Scheduler is turned OFF, then the number of selections for the year is taken from the "No. Sched." column, originally entered in the directory view for Target and Selection Control, for each group and pool.
List Count: The number of entries in the base list when the selection was generated. The base list, from which random selections are generated, may grow and shrink in size as entries are added and deleted. When a selection is generated, the total number of entries at the time the selection is generated is stored with the selected entry in the history file. This method allows the program to determine the "average" number of entries in the base list by which to calculate the current year to date percentage.
Collection Count: No. of samples collected within this period for the tests. For an entry in the history file to possess the status of "collected", the data box for the entry must be checked with 'x'. When viewing the date in the history file, double clicking this item toggles its status. "Collected", simply means the sample was collected from its respective donor
Percent to Date: [ToDate%] The actual percentage collected for its respective test.
% = (Collection Count / List Count) * 100
Target Percentage: [Target%] The yearly percentage for which to control for each Test.
Selections Completed: [nDone] The number of distinct selection dates found in the history file within the report period requested.
The number of Selection Dates yet to perform: [nLeft]
This number is determined by subtracting the number of selections completed from the number of selections scheduled. If the System Scheduler option is turned on, the number of selections for the year is determined by counting the number of dates entered in each group or pools respective schedule file. If the System Scheduler is turned OFF, then the number of selections for the year is taken from the "No. Sched." column, originally entered in the directory view for Target and Selection Control, for each group and pool.
Percentage for Each Remaining Selection: [Each%]
This percentage is determined by the following formula:
Each% = (Target%-ToDate%)/(nSched-nDone) [ when nDone does not equal nSched]


Test Types

Test Types Administered - Accessing the Data Base for Editing

Tests to administer can be managed in a data base. Once entered, the tests can be easily picked at the time you draw your random selections. The tests that you specify in the selection control box will be appear on the printed form.

Access the data base to enter Test Types from a number of menus throughout the program. Through the pop-up menu select the option Test Types Administered as shown in the menu example below.

Home


The Time Function

time

The function time is used to generate the random selection. See the page titled Random Algorithm.

It is best to refer to the original documentation for a thorough and complete description of these functions.
The information is duplicated here for you convenience from the Microsoft Developers Network Library from Microsoft's Visual Studio 6.0.
Library Title: MSDN Library - January 1999 Release

It can be found through one of Microsoft's many internet web sites: http://msdn.microsoft.com

time

Gets the system time.

time_t time( time_t *timer );

Routine | Required Header | Compatibility
time | <time.h> | ANSI, Win 95, Win NT

For additional compatibility information, see Compatibility in the Introduction.

Libraries

LIBC.LIB | Single thread static library, retail version
LIBCMT.LIB | Multithread static library, retail version
MSVCRT.LIB | Import library for MSVCRT.DLL, retail version

Return Value

time returns the time in elapsed seconds. There is no error return.

Parameter

timer

Storage location for time

Remarks

The time function returns the number of seconds elapsed since midnight (00:00:00), January 1, 1970, coordinated universal time, according to the system clock. The return value is stored in the location given by timer. This parameter may be NULL, in which case the return value is not stored.

Example

/* TIMES.C illustrates various time and date functions including:
 *      time            _ftime          ctime       asctime
 *      localtime       gmtime          mktime      _tzset
 *      _strtime        _strdate        strftime
 *
 * Also the global variable:
 *      _tzname
 */

#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/timeb.h>
#include <string.h>

void main()
{
    char tmpbuf[128], ampm[] = "AM";
    time_t ltime;
    struct _timeb tstruct;
    struct tm *today, *gmt, xmas = { 0, 0, 12, 25, 11, 93 };

    /* Set time zone from TZ environment variable. If TZ is not set,
     * the operating system is queried to obtain the default value
     * for the variable.
     */
    _tzset();

    /* Display operating system-style date and time. */
    _strtime( tmpbuf );
    printf( "OS time:\t\t\t\t%s\n", tmpbuf );
    _strdate( tmpbuf );
    printf( "OS date:\t\t\t\t%s\n", tmpbuf );

    /* Get UNIX-style time and display as number and string. */
    time( &ltime );
    printf( "Time in seconds since UTC 1/1/70:\t%ld\n", ltime );
    printf( "UNIX time and date:\t\t\t%s", ctime( &ltime ) );

    /* Display UTC. */
    gmt = gmtime( &ltime );
    printf( "Coordinated universal time:\t\t%s", asctime( gmt ) );

    /* Convert to time structure and adjust for PM if necessary. */
    today = localtime( &ltime );
    if( today->tm_hour > 12 )
    {
   strcpy( ampm, "PM" );
   today->tm_hour -= 12;
    }
    if( today->tm_hour == 0 )  /* Adjust if midnight hour. */
   today->tm_hour = 12;

    /* Note how pointer addition is used to skip the first 11
     * characters and printf is used to trim off terminating
     * characters.
     */
    printf( "12-hour time:\t\t\t\t%.8s %s\n",
       asctime( today ) + 11, ampm );

    /* Print additional time information. */
    _ftime( &tstruct );
    printf( "Plus milliseconds:\t\t\t%u\n", tstruct.millitm );
    printf( "Zone difference in seconds from UTC:\t%u\n",
             tstruct.timezone );
    printf( "Time zone name:\t\t\t\t%s\n", _tzname[0] );
    printf( "Daylight savings:\t\t\t%s\n",
             tstruct.dstflag ? "YES" : "NO" );

    /* Make time for noon on Christmas, 1993. */
    if( mktime( &xmas ) != (time_t)-1 )
   printf( "Christmas\t\t\t\t%s\n", asctime( &xmas ) );

    /* Use time structure to build a customized time string. */
    today = localtime( &ltime );

    /* Use strftime to build a customized time string. */
    strftime( tmpbuf, 128,
         "Today is %A, day %d of %B in the year %Y.\n", today );
    printf( tmpbuf );
}

Output

OS time:                                21:51:03
OS date:                                05/03/94
Time in seconds since UTC 1/1/70:       768027063
UNIX time and date:                     Tue May 03 21:51:03 1994
Coordinated universal time:             Wed May 04 04:51:03 1994
12-hour time:                           09:51:03 PM
Plus milliseconds:                      279
Zone difference in seconds from UTC:    480
Time zone name:
Daylight savings:                       YES
Christmas                               Sat Dec 25 12:00:00 1993

Today is Tuesday, day 03 of May in the year 1994.

Quick Links

Home
Random Algorithm
Base List


Font Control

Screen and Print fonts are managed with one Font Control Dialog.

Select popup menu option, Font Control, from the program's main menu, Utils.

Within each program data entry window, you will find the Font Control option under both the Print and Misc menu selections.

The Font Control Dialog has tabbed pages for screen fonts and print fonts.

To set the font for a specific category press a button which corresponds to one of the items listed below:

See Recommended Fonts for suggested fonts.

Screen Fonts:

  • Data Items: Selects the font for data entered by the user.

  • Headings: Selects the font for Column headings and other screen text.
Print Fonts:

  • Data Items: Selects the font for data entered by the user.

  • Headings: Selects the font for Column and other data headings.

  • Title-1: Font used for the Primary Title Line in Reports and other printed material

  • Title-2: Font used for the Secondary Title Line in Reports and other printed material


New Page 1

Base Lists and History files opened from these menus are not related to a Randomware Directory. These are the options found in the Basic system - they are provided as a convenient feature in the Plus system.


New Page 1

Proceed through the next tutorial pages as directed by the buttons shown below.
Continue to the next page before selecting a program option.
You may now select a program options.


New Page 1

Base List
Edit data directly in the spreadsheet or use the dialog editor for access to every data item maintained for each entry in the base list.
Double click a name or click the short cut arrow for access to the complete record through the dialog editor.


New Page 1

clicking the short cut arrow presents the popup menu . . .
The personnel Editor is the dialog editor through which all data items maintained for each entry can be managed.


New Page 1

Repeatedly pressing the Enter or Tab keys will move the cursor from field to field.
From the last field in the row, the cursor will move down to the next row. Using the down arrow key, the cursor will immediately move down one row.
In the example above, moving down one row will automatically display the sequence number "2" in the first column of the second row.

NOTE: Using the mouse alone, the cursor will not move to a row where no sequence number is displayed. Only the down arrow or repeated use of the Enter or Tab keys will move the cursor to a new line.


New Page 1

If you provide random selection as part of your drug testing service then maintain an entry for each of the companies for whom you provide testing. Its respective roster of personnel will be discussed later.
If your company manages its own drug testing program then maintain a directory of the individual departments within your company and, or a directory for each facility location.

NOTE: The other data columns will be discussed in another tutorial.


New Page 1

Frequency Scheduling: When instructed, select the menu option, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized as needed.


New Page 1

Using Import Templates: When instructed, select the menu option, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized as needed.
An import template maps specific columns of data from the import file to the correct RandomWare fields.
For example, if a column of data is labled "First" or "Fname", the import template insures the data is assigned correctly as the person's first name in the RandomWare data structure. Similarly, when the import template is properly constructed, the data whose column heading is "ID" or "Social_Security" can be properly assigned as the ID number for the individual represented by the import record.


New Page 1

Proceed through the next tutorial pages as directed by the buttons shown below.
Continue to the next page before selecting options.
Select options as directed.


New Page 1

Open the previously accessed directory and a new or other existing directory with one of the buttons from the program dialog menu box.
Note: Program buttons are not active from the help windows.


New Page 1

Each entry in the directory is a link to the personnel roster or base list. Random selections are generated from Base Lists.


New Page 1

Left click the short cut arrow wherever it appears for a pop-up menu of options for the field in which it displays.


New Page 1

Open a Base List for Editing and Random Selection
The base list is the personnel roster from which random selections are generated.
Two options for managing Base Lists are available with the Plus system:
Open a Base List from the Directory
Open a Base List from the Main Menu


New Page 1

After you enter a new directory name or select an existing one, press the Open button to continue to the directory data entry window.


New Page 1

To enter a new group in row 2, press the down arrow key.

To move to the "next" or adjacent column, press the "Enter" key.


New Page 1

Right click the short cut arrow wherever it appears for a pop-up menu of options for the field in which it displays.


To open a new directory press the button

To open a new directory press the button from the program dialog box.
Note: Program buttons are not active from the help windows.


A Directory

RandomWare maintains lists for the following:
  • Medical Review Officers (MROs)
  • Certified Collection Professionals and staff (CPC)
  • Labs
  • Panel Configurations
Every data record for a drug & alcohol test maintains items for the lab that conducts the analysis, the collection personnel who collect the sample, the medical review officer who oversees the veracity of the results and the panel configuration that defines the substances tested.

Enter the information for each of these categories before logging test results in the program.


A Directory

The Directory is a resource for the easy maintenance of lists for random selection and data management for drug & alcohol testing.
Every entry in the directory is a link to . .
  • Employee roster.
  • Random selection history for drug testing data management.
  • Employee Assistance (probable cause, periodic testing, post accident, follow-up, etc.)
  • Pre-Employment Lists

Develop a consortium or pool using the directory. A separate tutorial addresses the details of building a consortium.


template

Tutorial: The Base List - Generating Random Selections

A Base List is a roster of data from which you will generate random selections for your application of RandomWare.

These lists may contain any of the following data:

  • The employees for an entire company or a single department

  • The members of a sports team.

  • The students in a class room.

  • The vessels for a maritime fleet
The Base List of a pool, or consortium, results from combining the Base Lists of all its members. Pools are defined simply by assigning a common identifier to each member of the pool. Enter a common pool identifier in the Pool ID column for each member of the pool. Think of the pool identifier, or pool ID, simply as the name of the pool.

This article assumes you have reviewed the preceding tutorial(s) which explain how to open a base list - from the directory facility or as an individually named file from outside the directory facility. Regardless of the method by which the base list is opened, the windows described in this tutorial are identical for each method, with the exception of the file name and/or the title displayed at the top of the screen.

Opening the Base List from the Directory Facility

If you opened the base list from the directory facility for Acme Delivery, the following is displayed:

Opening the Base List as an Individually Named File

If you opened the individually named file, Sample.Dat, the window shown below is displayed:

This rest of the tutorial will feature the Base List for Acme Delivery. Please Note: Examples below of the Base List window are from a previous version of Randomware, however, the menu examples are still valid.

Note: The picture below does not include the "Exclusion" column. This is a new feature and not all the pictures in the help system are up-todate. The Base List article is current and discusses each data item.

Last Name, First Name & Identification No.

The data entry fields, Last Name, First Name, M.I. (middle initial) are obvious and need no explanation. The ID No. can be entered as a Social Security Number or as any alpha numeric text string with a maximum of 32 characters. To toggle the format of the ID No. from a social security number to a generic ID number, or visa versa, use the popup menu options found under the Misc menu as shown below:

Mode & Category

Each base list entrant can be assigned a Mode and a Category associated with a specific Mode. Enter any categories required by your application of RandomWare. Up to 12 characters can be entered for the category. The category field can be used to filter the random selections you generate and is discussed in detail in the pages referred to in the tutorial below.

Saving the Base List

After you've edited the base list, use the save option to write the data to the hard disk.

Random Selection

From the base list, generate a random selection using one of the popup menu options found under the Select menu as shown:

See Random Selections for a complete discussion of these options.


Getting Started with the Directory Facility

RandomWare Plus+ Tutorial
Getting Started with the Directory Facility

Follow this tutorial step by step to quickly learn how to get started with this easy to use system for random selection and data management. Click on linked references to read a related article and easily return to continue the tutorial.

The directory facility is a feature of RandomWare Plus+. Use it to maintain a list of groups or companies and access their base lists for editing and random selection. For a detailed discussion of the directory facility see Directory.

This tutorial will reference the sample directory included in the installation: Dir_Sample.dir.
Open a New or Existing Directory . . .
Open the Last Directory . . .
An open option is also available from the menu bar:
The "standard open" dialog will prompt you for the name of the RandomWare directory to open.

Select the sample directory, Dir_Sample.dir, or enter a directory name of your choice. You do not need to enter the file extension, .DIR, it is automatically provided for directory files. If you enter a new directory name the file is automatically created. Using the mouse, press the Open button. The program will access the existing directory file or create a new one and display the directory window for editing.

The Directory Window
The directory window is divided into two sections.

  • Address block.

  • Company/Group Name, Pool ID, Notification & List File ID.
All data items for each directory entry are not displayed in the view above - all data for each record simply can't be displayed in one window in a meaningful format.

Other views are available for the directory and each is accessed through the Views menu option.

  • Selection Control & Target Percentages
  • Standard View
  • Check Mark control for utility options.
  • Single Name status control
  • Simple Address Listing

The Group name entry:
Enter the name of a company or a group for whom you will maintain a list of entries. This entry is the link to the base list of names from which you will generate random selections.

The "current field" in the above example is the company named Acme Delivery. If you move the cursor down one line by pressing the down arrow key, the next "current field" will be the company named Hazard Material Recovery. The "current field" is displayed with a different background color to distinguish it from the other fields for easy visual reference while entering data.

You can access and edit each directory entry's respective roster of names directly from the directory window by double clicking on the name entered in the Group box or field. This roster, or data list, is generically referred to as a Base List.

You must always save changes to the directory before requesting to edit any base list. If you're accessing a new list, the system assigns a unique file ID and writes the directory data to disk. To keep the data on screen consistent with the data on disk, it is therefore required that you save the data first. The system will always remind you to save any modifications it detects.

Enter data and save with the menu option, Save, from the menu bar at the top of the window. Once saved, you can access and edit each directory entry's roster of names.
Let's open the base list for Acme Delivery, the company name listed in record number 1. You can use the Open Options menu [1] or double click the mouse cursor over the field where the company name is displayed [2] as shown below.

How to Open Related Lists for Directory Entries
Open a directory entry's Base List list using the Open_Options menu at the top of the window. The Open Options menu provides access to the Pool Registry, Schedules. Schedule Master, Base Lists, and History files. See Tutorial: Open Options.
Double click the left mouse button to open Acme's Base List. If you right click the mouse, an Open Options popup menu is presented. See Tutorial: Open Options.
NOTE: When you name and open a new directory, an empty directory window is displayed with only the first record defined as shown below. The text "You Enter Your First Group/Company Name Here" is not displayed when you open a new directory - it is shown here simply as an instructional aid - the field is displayed with no text entered - the sequence number "1" is displayed at the left.

The highlighted field is the "Current Field." Pressing the Enter key, repeatedly, will sequence the cursor from field to field until the end of the current record. It will sequence from Group column, through the Pool ID column, the Notify File and File ID columns, then to the Address block in the upper part of the window and eventually to the Group field of the next record, i.e. after the last field of the current record, the cursor will automatically move to the next record - from line 1 to 2, to 3, etc.

When you enter your first company name in record #1, you can use the down arrow key to move directly to record #2. At that time, you will see "2" displayed on the left side of the screen indicating that you have defined two records in the current directory and can then type the data required for record #2.
Continuing . . .
Ok, let's open the base list for Acme Delivery, the group name listed in record number 1. Move the mouse cursor over the field where the company name is displayed and double click the left mouse button. Double clicking the group entry is the fast and easy way to request the presentation of the window in which the base list is defined. The next page of the tutorial will cover Editing the Base List and Generating Random Selections.


Prepare Microsoft Excel Files for Randomware

Easily prepare Excel files for import into Randomware.

The file can include columns of data not intended for import. If a column of data is not recognized it will simply be ignored.

Open the Excel file which contains the data you would like to read into Randomware.

The tutorial uses the sample Excel file that's bundled with the system: Excel_Sample.xls, prepared in Microsoft Excel 2000. If you are using an earlier version, some menu options may be different, however, the procedure will be very similar.

If the First, Last and Middle Initial are all combined into one column, as in the example, the first task is to break the column into two or three columns for the first name, last name and middle initial. The tutorial shows the steps to break the column into two: Last Name, First Name & Middle Initial. The procedure to break up the First Name & Middle Initial is identical, however, if some first names are two words you'll not be able to easily break the column to get the middle initial in a column by itself.

Note: Splitting a data column overwrites the adjacent column with the split off data. In general, if the column immediately to the right contains data you will need to insert sufficiently many new columns to accommodate the split. To insert, select Column D and insert two new columns using the Insert menu option. The blank column(s) will appear immediately to the left of D.

Step I

Select column C. Move the cursor over the bar as shown below and click the left mouse button. The column will turn blue.

Step II

Select Text to Columns from the Data menu as shown here.

Step III

Select the Delimited option and press the Next button.

Step IV

Select Comma as a delimiter and press the Next button. Note that Tab is also selected and is ok in this example, however, Space can not be selected otherwise the last names which are two words would be split into separate columns.

Step V

Press the Finish button.

Step VI

As shown here, column D has been created with the first name and middle initial, while column C contains only the last name.

Step VII

Change the column headings so Randomware will recognize the data and put it into the proper data structure.

Click on Location
Type the new heading here.

Replace Location with Category.

Finally, replace SS with SSN or ID, Employee Name with LAST and enter FIRST into the newly created column, D. In general, the text used for a column heading must be found its respective RandomWare Tab Delimited Column Headings table. This table can be accessed from the RandomWare Import menu: View/Edit Tab Delimited Data Column Headings. See the Import Help article for a detailed discussion of the Tab Delimited Column Heading table.

Step VIII

Now, select Save As from the File menu option.

Step IX

Select Text (Tab delimited)(*.txt) for the Save as type.

Enter Import_Sample, or any other suitable name, in the area for File name, be certain to locate the RandomWare folder in the Save in box as shown below, and press the Save button.

Note: You can locate the saved data any where that's convenient for your application of the program.

Step X

Answer OK and Yes to the following two prompts:

Done.

Now read the data file, Import_Sample.txt, into Randomware.

Open a new or existing Randomware base list (personnel roster) and select Read External Delimited . . . from the Import menu as shown here.

From the Open Dialog, select Import_Sample.txt, and press the open button.

Select Append, Merge or Overwrite. Append adds to the end of the list, Merge will not read data that would result in duplicate personnel entries, while Overwrite simply overwrites the existing data.

Note: The Merge feature is not available in RandomWare Simple.


New Page 1

Using Import Templates: When instructed, select the menu option, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized as needed.
Use the import template to map specific columns of data from an import file to their respective RandomWare data fields.


MIS Report Generator

MIS Report Tutorial: When instructed, select the option, click an item or a button as directed. The tutorial will always display as the topmost window. It can be moved and resized if it interferes with the lesson.
Click on the "Next" arrow at the upper right corner of the tutorial window to proceed to the next page.


Tutorial - Opening Individually Named Lists

Tutorial: Getting Started - Opening Individually Named Lists

The Base List is the list from which you will generate random selections. A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

The Basic System can only access Base Lists as individually named files. The Basic Plus+ System can open Base Lists using either the directory facility or individually as named files.

The file name of a Individually Named List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.

Basic Plus+ System

From the main menu, open an existing or a new Base List through the menu option Lists.

Basic System

From the main menu, open an existing or a new Base List through the menu option Lists.

The "standard open" dialog prompts you for the file name of the Base List you want to access.

Enter a new file name or select an existing file using the standard "Open Dialog Box" shown here.

For detailed information about using the standard dialog see the help topic Open Dialog Box.

NOTE: Lists are automatically assigned the file extension: .DAT

Select the sample list that is bundled with the system Sample.DAT, or enter a list name of your choice. Do not enter the ".DAT" extension, it is automatically provided for list files. If you enter a new list name its respective file will be created. With the mouse, select Open by pressing the Open button.

The program will access the existing file or create a new one and then display the base list window for editing - From here, let's go to the next page of the tutorial - Base List Lesson.


template

Randomware Plus+ Tutorial: Pools

This tutorial assumes you are familiar with the details of opening a directory file and how to access the Base List for each entry in the directory. See the Directory Tutorial if you need to review the steps to open and manage a directory file.

What is a Pool ?
Some refer to a pool as a consortium. Some governing agencies (The United States Department of Transportation - DOT ) permit companies to share the burden of testing by permitting them to combine their personnel rosters into one list from which to generate a random selection. This "combined" roster is the Pool.

Randomware's directory facility allows you to maintain a separate list for each member of the consortium. If a company has only one employee, maintain its employee roster with a single entry. One entry or 100,000 entries - Randomware easily maintains either.

To identify directory entries as members of a pool, simply assign each member the same "Pool ID."

Consider the example below: Two companies, Acme Delivery and Quick Silver Messengers are members of the same pool. Their membership in the pool is defined by the entry of the same pool name in the Pool ID column. Both are in the pool named "Pool_1A." Hazard Material is not the member of a pool, while Freight Warehousing and Orange County Taxi are members of the pool named Pool_1B. To easily see all the directory entries which comprise a pool, sort the directory by the Pool ID column. To sort, move the mouse until the cursor is positioned over the column heading text, "Pool ID", and click.

The first time you sort a column, the position of the cursor relative to the top or bottom of the heading text determines the direction of the sort:
Ascending: | Place the cursor near the top of the text and click.
Descending: | Place the cursor near the bottom of the text and click.

Subsequent requests to sort the same column will reverse the order: Ascending, Descending, Ascending, etc. The column heading text will display red for ascending sorts and blue for descending sorts.

The Directory Window

Pooling

Each Group or Company entered in the directory can be assigned membership to a pool using the Pool ID.

For example, in the directory displayed above, Acme Delivery and Quick Silver Messengers are both assigned the Pool ID, Pool_1A, and therefore are members of the same pool, namely, Pool_1A.

Freight Warehousing and Orange County Taxi are also members of the same pool: Pool_1B.

After assigning a pool ID to each pool member, move the cursor over the Pool ID, and left-double click the mouse. The base list of each company assigned the pool id, is combined to form one pool list displayed. Random selections are generated from the combined list. The pool list is combined dynamically from each member's list every time you double click on the pool id. If you have added, modified or deleted an entry for any member's roster, the change is reflected in the combined list when it is created.

Pool ID and the Pool Registry
The Pool ID is directory specific, i.e., once you use a pool id within a directory you can not use it in other Randomware directory. If you enter a Pool ID that's registered with another directory, the system will notify you of the error. All registered pool ids can be reviewed through the Pool Registry. Pool IDs are automatically registered with the Pool registry when they are entered the first time. See the Open Options menu to access the Pool Registry.

NOTE: The Pool ID is case independent: upper and lower case characters are not distinguished one from the other.

Let's illustrate the point with an example. Below we will call up the list which comprises the employees of Pool_1A.

Move the cursor over the text "Pool_1A" as shown above for record #1, Acme Delivery. If you double click the left mouse button over this field, the lists for Acme Delivery and Quick Silver Messengers are combined, as last saved, and presented as a single list from which you can generate random selections. You will not be able to edit the list. If any data modifications are required, edit the individual lists.

After double clicking, the window below is displayed, which is the combined entries from each member's base list.

The menu selections are the same as those found in the window for a simple Base List, however, you can not edit this list. This tutorial will continue with a general discussion for generating random selections from a simple base list. Please see Editing the Base List and Generating Random Selections.


Open Base Lists

Tutorial - Basic and Simple Systems: Getting Started - Opening Base Lists

The Base List is the list from which you will generate random selections. A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.

The file name of a Base List must follow the naming conventions of the operating system. Name the list and locate it in any folder on your hard drive that suits your application of the program.

Basic & Simple Systems

From the main menu, open an existing or a new Base List through the menu option Lists.

The "standard open" dialog prompts you for the file name of the Base List you want to access.

Enter a new file name or select an existing file using the standard "Open Dialog Box" shown here.

For detailed information about using the standard dialog see the help topic Open Dialog Box.

NOTE: Lists are automatically assigned the file extension: .DAT

Choose the sample file that's bundled with the system, Sample.DAT, to run sample random selections, or enter a file name of your choice. Do not enter the ".DAT" extension, it is automatically provided for list files. If you enter a new name its file will be created. Press Open to continue.

The program will access the existing file or create a new one and then display the data window for editing - From here, let's go to the next page of the tutorial - Base List Lesson.


New Page 1

Tutorial for YTD Percentages: Each item in the YTD control page will be reviewed individually, including the use of the calendar. The tutorial will always display as the topmost window. It can be moved and resized if it interferes with the lesson.
The Year to Date (YTD) calculator is a feature of the Plus system. The values used to determine year to date percentages must be preset for the Group or Pool from the directory in order to use this feature. YTD data is specified for Pools in the Pool Registry. The registry is accessed from the directory's Open Options menu or from the popup menu when a Pool ID is right clicked.
See the tutorial, Yearly Selection Percentage Targets, to learn how the data is specified. This tutorial is accessed from the options available when the program first starts.


Tutorials
Randomware Plus+

  • Getting Started using the Directory Facility

  • Opening Individually Named Base Lists
  • Editing the Base List and Generating Random Selections
  • Pools: Managing Pools for Random Selections
  • Open Options
Randomware Basic
  • Getting Started: Opening the Base Lists
  • Editing the Base List and Generating Random Selections
Printing Form Letters
  • The Notification File
  • The Mail-Merge Save Option
  • Learning to use Microsoft's Mail Merge
Reading Microsoft Excel Data Files into Randomware
  • Getting Microsoft Excel Data into Randomware
Definition - Base List
A Base List can be a company's employee roster or the employees in a department within a company, the members of a sports team, the students in a particular class room. In general, it is the list from which you will generate random selections for your application of RandomWare.


Tutorials

RandomWare Basic Tutorials: When instructed, select the menu options, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized if it interferes with the lesson.
Click on a topic page to start.
Open a Base List / Personnel Roster
Random Selection
Pre-Employment
MRO, CPC, Labs, Panel Configurations
Reasons for Testing
EAP: Post-Accident, Follow-Up, etc.
Importing Data
Exporting Data
Using the Main Help System
More . . .
Be sure we have your email address for updates to the tutorials or check the website.
Email: solutions@randomware.com
Website: Download a new Tutorial


Tutorials

RandomWare Basic Tutorials: continued
Selection History Audit
Multiple Locations in a Single Roster.
Special employee data items.
Managing Drug/Alcohol Test Data
Importing Data
General Editing Techniques
Printing
Using the Main Help System


Tutorials

RandomWare Evaluation Tutorials: When instructed, select the menu options, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized if it interferes with the lesson.
Click on a topic page to start.
Getting Started - The Sample Directory
Start a New Directory
Open a Base List for Editing
Yearly Selection Percentage Targets
Consortium Management - Pools
Random Selection
More . . .


Tutorials

RandomWare Plus Tutorials: continued
Selection History Audit
Managing Drug/Alcohol Test Data
Pre-Employment Data Management
MIS Reports
Importing Data
Periodic Testing / Random Dates
Using the Main Help System
Multiple Locations in a Single Roster.
Special employee data items.
Printing


Tutorials

RandomWare Simple Tutorials: When instructed, select the menu options, double click an item or click the button as directed by the tutorial. The tutorial will always display as the topmost window. It can be moved and resized if it interferes with the lesson.
Select a Tutorial from below:
Click on a Topic Page to start.
Getting Start / A brief Overview
Open a Base List / Personnel Roster
Random Selection
Import / Export
Selection History Audit
The Installation Folder & System Relocation
Moving Data Files
Using the Main Help System
Be sure we have your email address for announcements about updates to the tutorials or check the website.
Email: solutions@randomware.com
Website: Download a new Tutorial


Data Conversions for Version 2.6

BACK-UP all data from the previous version before opening existing data files in the new system
Randomware Plus+
Data from previous versions of the program will automatically convert to version 2.6
Randomware Basic

Data is semi automatically converted for upgrades to version 2.6

Base Lists and their respective History Data File(s) must be converted for Randomware version 2.6

The Base List is automatically converted when it's opened.

When a base list is opened for the first time in version 2.6, you will be prompted for the base list's respective history file or files.

Since history files can be named independent of their respective Base Lists and since it's possible for multiple history files to exist for each base list, you will be prompted a number of times to specify an EXISTING history file. If only one history file exists for the base list, simply select the Cancel button from the standard open dialog when it prompts to open a subsequent history file.

Maintaining multiple history files is possible, yet not recommended as standard Randomware data management.

Randomware will prompt you for the name of the first history file, convert it and prompt you for a subsequent history file if you've maintained multiple history files for a specific base list.

Enter the history file name when prompted and select "Open."

Do not select History Files which are not associated with
the Base List you've just selected to open.

If you've maintained one, and only one, history file for the base list, simply select the CANCEL option when the open dialog is subsequently presented.

Immediately following is the standard open dialog.
Please confirm the History File name or select the
corresponding history file(s) for the current base list.


New Page 1

Base Lists are the personnel rosters from which random selections are generated.
Open a new or existing Base List with the button from the program dialog box.
Note: Program buttons are not active from the help windows.


New Page 1

Proceed through the next tutorial pages as directed by the buttons shown below.
Continue to the next page before selecting a program option.
Proceed with a program option as directed.


New Page 1

Locate all personnel rosters in the installation folder or create a sub-folder to conveniently locate your data files.


New Page 1

You can create a sub-folder to conveniently locate your data files. Double click the sub-folder so it's displayed in the Look-In box at the top of the dialog.


New Page 1

After you enter a new roster name or select an existing one, press the Open button to continue to the base list data entry window.


New Page 1

The Base List Window
To enter a name in row 2, press the down arrow key.
To move to the "next" or adjacent column, press the "Enter" key.
Note: When a line number is not displayed in the first column, the down arrow will not move the cursor to a new line - in general you cannot "mouse click" to a new line number.


New Page 1

Previously tested individuals can be excluded from selection for non-mandated testing programs. Exclusion is controlled by the number of days since last tested or a "last tested date." For example, individuals tested within the last 30 days can be excluded from selection.


New Page 1

To delete an entry simply press "Ctrl-D" Hold down the control key and press "d" simultaneously.
It's not necessary to delete an entry when the individual is no longer active. Some applications may want to maintain historically accurate lists and not remove entries until the end of a specific period.
For example, terminated employees are no longer active. An entry whose status is "Not Active" is not considered for random selection and does not contribute to the overall count used for percentage calculations.


New Page 1

Entries not currently available for selection can be flagged as "Not Available." For example, some drug and alcohol programs may exclude employees on vacation from the selection cycle.
Entries flagged as "Not Available" are excluded from selection. They are, however, included in the overall count used for percentage calculation.


New Page 1

Left click the short cut arrow wherever it appears for a pop-up menu of options for the field in which it displays.
Note: A Right Click on the field item will also active the pop-up menu.


New Page 1

When you click the short cut arrow, a popup menu of options is provided . . .
The personnel Editor is the dialog editor through which all data items maintained for each entry can be managed.


New Page 1

Sort any column easily.


New Page 1

Randomly sort the entire list before generating a random selection.


New Page 1

Use the record selector to choose specific entries. You can print a detailed report for each entry in the base list highlighted with the record selector.


New Page 1

Use Find to easily locate entries in the list. This feature is versatile and can limit its search to a specific column.


New Page 1

Sort Symbol
Click on the sort symbol or click on the character text above a data column to sort by that field. If the sort symbol does not appear at the start of the heading text, you cannot sort by that column.

If the text is displayed in black, click near the top for an ascending sort or near the bottom for a descending sort. Once sorted, click again to reverse the sort. Blue indicates the resulting sort is Descending while Red indicates an Ascending sort.


New Page 1

Use the home key at the top of the window to return to the main tutorial page.


A Directory

Selection History Audit
An audit trail is maintained for every random selection generated.
The control parameters used to generate the selection are saved. The base list is preserved as a duplication record of the roster at the time the selection was generated. The random selection results are recorded for future reference.
From the main menu option, Admin, choose Selection History Audit.


A Directory

Left click the short cut arrow to access the selection results and the duplication record of the base list at the time the selection was generated.
Note: The ID field is the unique identifier assigned to every random selection requested.


New Page 1

Enter the starting date for the year in which percentage monitoring will start. For example, if your program intends to test 50% of the population for the year, starting on January 1, enter 01-01-2001 in this field.
If your program needs to start counting from zero at the beginning of the next year, update the date when the new year starts.
When the program determines the Year to Date percentages, it uses this date to start counting.


New Page 1

Specify the Test Types for which your program plans to administer.
If the program controls for two tests, select a test for both Test-A and Test-B.
Alcohol Only is automatically checked if the test is listed in the system table as an alcohol only test. See Test Types Administered data table accessed from the Other Data menu option for more information.


New Page 1

Specify the year end target percentage.
Click the Read-Me button for detailed information about specifying test percentages.


A Directory

CPC Directory
Enter each CPC or clinic your application uses. The drug and alcohol results table references these labs.

Double click the CPC name in the first column to open the staff roster for the CPC company or clinic. Enter the names of the individuals who do the collection. The names entered in the staff roster can be easily selected in the results table when that data is maintained. If your application doesn't track this data then simply ignore the feature.

You can preset the intended CPC in the random selection generator. When an CPC is preset prior to the selection, the field for the CPC in the results record for every person selected is preset to the one selected. When the CPC is preset at the time of selection the entry will not have to be managed later when results are managed. This is provided as a data entry efficiency tool.


A Directory

The directories for MROs, Labs and CPCs are all managed similarly.
The spreadsheet is divided into two sections.
  • Address Block
  • Lab, MRO or CPC company name, abbreviation and the primary contact.


A Directory

The directory spreadsheet is divided into two sections.
  • Address Block
  • Lab, MRO or CPC company name, abbreviation and the primary contact. Never leave the abbreviation blank for an entry. If blank the entry will NOT be referenced by other data tables throughout the program.
Address Block
The data at the top of the screen is the Address Block. This block of data changes as you move through each row in the spreadsheet. The data in the address block corresponds to the current record below - the current record is the one highlighted for entry.
Moving the Cursor into the Address Block
Press the [Enter] or [Tab] key to move consecutively from field to field in the spreadsheet or move the cursor using the mouse and left click on the field item you want.


A Directory

The Directory is a resource to easily manage lists of companies, departments, organizations, for random selection and drug & alcohol testing data management.
Every entry in the directory is a link to:
  • Employee roster (Base List).
  • Drug & Alcohol Results for:
    • Random selections
    • Pre-Employment
    • Employee Assistance (probable cause, periodic testing, post accident, follow-up, etc.)

Use the Directory to develop a consortium (pool).

Note: A separate tutorial addresses the details of building a consortium.


A Directory

Lab Directory
Enter each lab your application uses. The drug and alcohol results table references these labs.

You can preset the intended lab in the random selection generator. When a lab is preset prior to the selection, the field for the lab in the results record for every person selected is preset to the one selected. When the lab is preset at the time of selection the entry will not have to be managed later when results are managed. This is provided as a data entry efficiency tool.


A Directory

MRO Directory
Enter each MRO your application uses. The drug and alcohol results table references these labs.

You can preset the intended MRO in the random selection generator. When an MRO is preset prior to the selection, the field for the MRO in the results record for every person selected is preset to the one selected. When the MRO is preset at the time of selection the entry will not have to be managed later when results are managed. This is provided as a data entry efficiency tool.


A Directory

Panel Configuration Directory
From the Other_Data menu, choose Panels: Configuration Directory and click on the question mark to learn how to define panels of analytes.
You can preset the intended panel and or alcohol screen in the random selection generator. When preset prior to selection, the fields for the panel and alcohol screen in the results record for every person selected are preset to the ones selected. When preset at the time of selection the entry will not have to be managed later when results are managed. This is provided as a data entry efficiency tool.


A Directory

Selection History Audit
An audit trail is maintained for every random selection generated.
The control parameters used to generate the selection are saved. The base list is preserved as a duplication record of the roster at the time the selection was generated. The random selection results are recorded for future reference.
The selection audit can be accessed from the main program menu or from the directory window.

From the main menu option, Admin, choose Selection History Audit.

From the Directory menu bar, choose Selection History Audit from Open_Options.


A Directory

Selection History Audit
An audit trail is maintained for every random selection generated.
The control parameters used to generate the selection are saved. The base list is preserved as a duplication record of the roster at the time the selection was generated. The random selection results are recorded for future reference.
From the main menu option, Other Data, choose Selection History Audit.


A Directory

Exporting Data from RandomWare
Open a Base List or a History table.
From the Misc menu option, choose Export Data. Provide a file name and click the Open button to export the data.
The data is saved as a text file in a tab delimited format.


A Directory

RandomWare Simple manages personnel rosters and histories of random selections.
All personnel rosters (base lists) are automatically assigned the file extension "DAT." Histories of random selections are assigned the extension "HST."
For example, Sample.DAT and Sample.HST are the sample roster and history file, respectively, that come bundled with the installation.
Create as many personnel rosters as required by your application of the program. A new roster is created simply by entering a name when prompted by the Open Dialog. It's exactly analogous to creating new word processing documents.
Note: Personnel rosters are also referred to as Base Lists.


A Directory

Printing
Printing options are available from all data management windows.
From the print menus, select the Font Control option to change fonts. Click the Printer tab to manage print fonts.
If you print on company letterheads, increase the top margin in the System Options control dialog. System options are available from the main application menu Utils.
If you use Adobe Acrobat Writer set the default printer margin to least .25 inch. Print margins are managed through the System Options control dialog.


A Directory

Random selections are generated directly from the data management window for base lists. The random selection generator is accessed from the Randoms menu.
The Automatic Save Option
When the Automatic Save option is On then random selections are automatically appended to the end of the history file for the current base list.
When the Automatic Save option is Off the user is prompted for a file name to save the selection results.
If the file does not exist, it's automatically created in the same folder as its base list, otherwise the results are appended to the end of an existing data file.
Note: System options are accessed from the Utils menu at the main program window when the program starts.


A Directory

Import / Export
Import personnel data saved from Excel Spreadsheets or any application that can save its data as a "tab delimited" text file.
All RandomWare data is easily exported to tab delimited text files when needed.
 | Import Data Into RandomWare
 | Export Data Out of RandomWare
 | Excel: How to Save Excel data for Import into RandomWare
 | Note: The Excel Tutorial mentioned above can also be accessed from the Help menu in the Base List window or from the main help module. If viewed directly from this page, resize the window to best view the article: Excel Tutorial
 | Directions are provided to find the article from the full help system:
 | Finding the Excel help article


A Directory

Excel - Finding the help article
Click on the Help button to display the help system.

Note: Program buttons are not active from the help windows.


A Directory

Click on the Contents tab in the Navigation pane of the help window.
Click on [image] to expand the articles in Help System Overview.
Locate the tutorial for Excel near the bottom of the list:
Or click directly on the text Help System Overview to display a list of articles in the right panel of the help window - the Excel article is near the bottom of the list.


A Directory

Import Data into a Personnel Roster
Save personnel data from an existing application to a "tab delimited" text file for importing into RandomWare.
Import the following:
  • First Name
  • Last Name
  • Middle Initial
  • Employee ID (32 characters max.)
  • Mode (Basic & Plus Only)
  • Category (Basic & Plus Only)
The first line of the import file should be the column headings. The headings insure first names from the import file are mapped to first names in the RandomWare data table, last names to last names, etc.


A Directory

Import File Column Headings
A table is provided to properly map the import data to their respective RandomWare counterparts.
"Mapping" is the process of matching like items from the import file to RandomWare data items:
Import | Map | RandomWare
First Names |  | First Names
Last Names |  | Last Names
IDs |  | IDs
When the import function matches an item from the first line of the data file to a keyword in the Headings table, it knows how to map that column of data.
To manage the Headings Table select the Import menu in the Base List window and choose the option View/Edit: Tab Delimit Data File Headings.


A Directory

Import Column Headings (continued. . .)
The default headings or keywords:
  • LAST
  • FIRST
  • MI
  • ID
If the first line of the import file contains these keywords above their respective columns no additional preparation is required.
Note: The keywords must be tab delimited. Data is tab delimited if the "tab" character separates one data item from another.
Microsoft Excel spreadsheets are easily saved as tab delimited files. See the File option in Excel.


A Directory

Import the Data
To import the data open a new or an existing Base List. From the Import menu, choose the option Read External Delimited Data File.
Using the standard Open Dialog, locate the external data file and click the Open button to start.
The results of the mapping will be reported. If the mapping is correct click OK to perform the import. If the mapping isn't correct, edit the import file or the RandomWare Headings table.
The available import options are:
  • Merge
  • Append
  • Overwrite


A Directory

Installation Folder
When the system is first installed the installation folder is automatically recorded in the program configuration file RandomWare.Ini. Configuration files are usually located in the Windows folder on the C: Drive.
If you relocate the installation using Windows Explorer's drop and drag, register the new installation when the program is run for the first time from its new location.
From the main menu, Utils, choose Register New Installation Folder and use the Browse function to locate the new folder.
If the installation is not correctly registered, RandomWare may not operate properly.


A Directory

Moving Data Files
Employee roster files (Base Lists) and History Files are closely related and should be moved together.
Random selections are automatically saved to a history file named identically and in the same disk folder as the base list.
The complete disk file name (full path) for a base list named AcmeEmployees, opened in the RandomWare folder on the C drive is: C:\RandomWare\AcmeEmployees.DAT

Random selections are automatically saved to a file name: C:\RandomWare\AcmeEmployees.HST
If you move the one but not both of these files, a second history file will be created the next time a random selection is saved.

History data can be moved from one file into another using the Append-Overwrite option available in menu-bar of the history window.

Open the history file to receive the data. Choose the Append or Overwrite option and locate the source history file using the standard open dialog. When the Open option is selected the data from the source file is appended to or overwrites the history table currently open. The modification is not permanent until the data is saved.


New Page 1

The Base List Window
To enter a name in row 2, press the down arrow key.
To move to the "next" or adjacent column, press the "Enter" key.
Note: When a line number is NOT displayed in the first column, ONLY the down arrow will move the cursor to a new line - a "mouse click" cannot move the cursor to a new line.


New Page 1

Note: To delete an entry simply press "Ctrl-D" Hold down the control key and press "d" simultaneously.


New Page 1

Click on the character text above a data column or its adjacent sort symbol to sort by that field. If the text is black, click near the top for an ascending sort or near the bottom for a descending sort. Once sorted, click again to reverse the sort. Blue indicates the resulting sort is Descending while Red indicates an Ascending sort.


New Page 1

To delete an entry simply press "Ctrl-D" Hold down the control key and press "d" simultaneously.


New Page 1

To insert a new entry simply press "Ctrl-N" Hold down the control key and press "n" simultaneously.


A Directory

Random selections are generated directly from the data management window for base lists.
See the tutorial "Open a Base List" to learn how personnel rosters are opened and managed.
Three random options are provided. Click the Randoms menu to generate random selections or to randomly sort the list.


A Directory

The Random Selection Menu
Random Selection: Allows for simple random selection. This option does not generate random dates.
Random Selection w/ Random Dates: Generates random selection exactly as the option above. A random date is assigned to each person randomly selected. The random date is controlled between a range entered by the user.
Random Sort: Randomly sorts the entire roster.


A Directory

Select Primary and Alternates
Specify a percentage or count for the selection of Primary candidates and alternates.
The selection of alternates is provided for the situation when one or more of the primary selections is not available.
If no alternates are required, simply leave the items blank or zero.


A Directory

Percentages or Counts
If a percentage is entered, the count is determined and displayed. If a count is specified, the corresponding percentage is calculated and displayed.
In the example above , 50 was entered as the Primary Percentage resulting in a request of 16 people to be selected. Note: 16 people accounted for 51.61% of the current list (31). The adjustment is automatic. If the selection count is modified, the percentage will be adjusted to reflect the change.


A Directory

Selection Date
The current date is automatically assigned as the selection date. It can be modified by the user if required. The date is recorded with each person selected when the results are saved to the roster's corresponding history file.


A Directory

Random Dates
Assign a random date to each person randomly selected.
To activate the random date generator, click the Assign Random Dates option. Random dates will be generated between and possibly including the Start and End dates specified by the user.


A Directory

Random Dates
Maintain a calendar of dates to exclude from those randomly generated. For example, enter holidays or specific days not to be included as random dates.
Check the option Use Exclusion Calendar to exclude the special dates from the random date generator.
The exclusion calendar is accessed from the Other Data menu option.


A Directory

Random Dates (continued)
In this example, the possible dates to randomly assign will be between January 1, 2001 and December 31, 2001, inclusively.


A Directory

Random Dates (continued)
Specific days of the week can easily be excluded from the possible random dates generated. For example, Saturday and Sunday are typically days to be excluded.
The days of the week specifically selected are excluded for the entire period specified.


A Directory

Generate the Random Selection
Once all control parameters are specified, click OK to generate the list.
The results will be presented in a dialog box from where print options are available.


New Page 1

Consortium Management - Pools
Defining a consortium & its membership
Yearly Selection Percentage Targets


Consortium Management - Pools
Note: Throughout RandomWare, a Consortium is also referred to as a Pool.
The RandomWare Directory is a facility that provides for the easy management of consortia and its member companies.
The directory allows you to maintain a separate list for each member of the consortium. If a company has only one employee, maintain its employee roster with a single entry.

Assign each consortium member in the directory a Pool-ID that names the consortium.


To Start - Open a Directory

To start, open a Directory.
Please refer to the Getting Started tutorial for information about accessing and using RandomWare Directories.
After finishing this tutorial, see the program's main help system for additional information about Pools and Consortia. These additional articles are found under the Tutorial section.
To access the main help system, click on the help button from the program startup options.
Note: The sample directory (Dir_Sample.dir), which comes bundled with the system, is used to illustrate the points of the tutorial.


New Page 1

Two consortia are defined in the directory:
  • Pool_1A
  • Pool_1B
Define a consortium simply by entering a name in the Pool ID column. Each consortium name can be 8 characters.
NOTE: Do Not enter a Pool ID for a group if it's not a member of a consortium. For example, random selections for Advantage (see line 2) are pulled directly from its base list - the Pool ID for its entry is blank.


Consortium Tutorial

Pool_1A consortium members:
  • Acme Delivery
  • Quick Silver Messengers
Pool_1B consortium members:
  • Freight Warehousing
  • Orange County Taxi Service


Consortium Tutorial

Create a new Consortium "Pool_1C" simply by entering the new pool ID for the directory entries as shown.
Pool_1C consortium members:
  • Advantage Micro
  • Harvard Shipping


Consortium Tutorial

Add a new Consortium member to Pool_1A simply by entering "Pool_1A" as the Pool ID for the entry shown.
Pool_1A consortium members:
  • Acme Delivery
  • Quick Silver Messengers
  • Harvard Shipping (New)


Consortium Tutorial

Using the sort feature, it's easy to identify the members of a consortium.
To sort, click directly on the text "Pool ID" at the top of the column or click the sort symbol displayed directly before it.

When the text is displayed in black, click near the top for an ascending sort or near the bottom for a descending sort. Once sorted, click again to reverse the sort. Blue indicates the resulting sort is Descending while Red indicates an Ascending sort.


Consortium Tutorial

After sorting, it's easy to see the membership of each consortium defined within the directory.
Once sorted, click again to reverse the sort. Blue indicates the resulting sort is Descending while Red indicates an Ascending sort.


Consortium Tutorial

Manage the personnel roster for each consortium member as a separate and independent list.
To edit the individual personnel rosters for each group, simply double click on the group name.
Refer to one of the Base List tutorials for information about managing personnel rosters.


Consortium Tutorial

Each consortium's member roster is dynamically combined to create one list from which random selections are generated.
To access the combined personnel roster for consortium Pool_1B, click on Pool_1B where ever it occurs, then left click on the short cut arrow for a pop-up menu of options.
Note: Double click on any occurrence of Pool_1B and the personnel roster of each member is dynamically combined and immediately presented.


Consortium Tutorial

Each consortium's member roster is dynamically combined to create one list when this option is selected. The combined list is presented for review. Generate random selections when the review list is presented.


Consortium Tutorial

The roster is the combined list of all the consortium member rosters. Generate random selections from the menu option shown above.
The mechanics of generating a random is the same for a consortium roster as an individual group's roster. Refer to the tutorial for Random Selections for details.


MIS Report Generator

Employee Assistance Programs (EAP)
EAP data is maintained in the same drug and alcohol results table as random selections and Pre-Employment.
To start, open the Base List or personnel roster file for the company in which the individual to be tested is located.

Find the person in the list, right click the name and select the EAP: Transfer option from the pop-up menu.


New Page 1

Editing & Data Access Techniques
Enter data directly into the fields provided.
To move to the "next" or adjacent column, press the "Enter" key.
In the example above, row 2 does not yet "exist." To start row 2 and enter data into the fields provided, press the down arrow key.
Note: When a line number is NOT displayed in the far left line number column, ONLY the down arrow on the keyboard will move the cursor to a new line - a "mouse click" cannot move the cursor to a new line.


New Page 1

Click on the heading text above a data column or its adjacent sort symbol to sort by that field. If the text is black, click near the top for an ascending sort or near the bottom for a descending sort. Once sorted, click again to reverse the sort. Blue indicates the resulting sort is Descending while Red indicates an Ascending sort.


New Page 1

To delete an entry simply press "Ctrl-D" -- Hold down the control key and press "d" simultaneously.


New Page 1

To insert a new entry simply press "Ctrl-N" -- Hold down the control key and press "n" simultaneously.


New Page 1

Edit data directly in the spreadsheet and save new records and other modifications by selecting the Save option in the windows menu bar.
Each line in a spreadsheet is only a partial presentation of the complete record.
Access different views of a data set, when available, from the Views option in the menu bar. Each view presents many of the same fields that are essential to uniquely identify the record.
Complete record editors are available that provide access to every field in a record. The record editor is activated by clicking the short cut symbol.


New Page 1

Throughout the program the short cut symbol, displayed at the end of a data item, indicates a pop-up menu of options is available relative to the current item or the current line of data.
Left click the short cut or right click anywhere within the field to activate the pop-up menu.
The type of data in which the short cut appears determines the options available.
The full record editor is always activated by clicking the short cut and provides access to every field in a record - including fields not displayed in the current view of the spreadsheet.


New Page 1

Full record editors are available for personnel data (Base Lists), drug & alcohol results data (Results Tables) and for group data entered in the Directory (a feature of RandomWare Plus).
The editor allows access to every field in the record and works in conjunction with the spreadsheet.
Use the spreadsheet to sort the data to easily find a specific record. For example, when you sort the results table by last name it's easy to find all the test results for a single individual since a sort will group all similar names together.
When a specific entry is located in the spreadsheet, click the short cut to access the record editor.


New Page 1

In the personnel roster, left double click the last name, first name or ID to automatically activate the full record editor for the current entry.
In the drug & alcohol results table, left double click the last name, first name or ID to automatically activate the full record editor for the current entry.
Manage every data item for a drug & alcohol test result in the editor. The editor is the main resource for managing the myriad and complex data relationships for test results.


New Page 1

The record editors and the spreadsheets are tightly woven to work in conjunction with each other.
The editors allow you to scroll through the data in the spreadsheet. When you load the previous or next record into the editor you see the spreadsheet scroll to the same entry.
Page up or down to load records into the editor. Sort the spreadsheet through the editor - the data in the spreadsheet changes according to the sort request. Instruct the editor to hold onto the currently loaded record so it is still in the editor after the sort is finished, while the previous and next records accessed by the editor will be the logical ones determined by the sort.
Using both tools in conjunction provides a powerful management tool unlike any found in other data environments.


New Page 1

Please refer to the full record editor tutorials to learn the specifics for using the feature.
Even though each editor uniquely manages the data for which it was designed, all editors are controlled in exactly the same way.


Exporting Data
Exporting data is a simple operation. From the Misc menu, choose the Export Data option. When prompted, locate and name the file appropriately for its intended application.

The data is output as a tab delimited text file.

Import the data into Microsoft Excel or Access. The data file is compatible for generating form letters or documents in Microsoft Word using the Mail-Merge features.


MIS Report Generator

RandomWare will generate a frequency of random dates for one or all entries in a base list or all entries for all groups in a directory with one command.
For example, if an individual requires random testing once a week for a year, you can generate a list of 52 random dates, one for every 7 day interval spanning the entire year. Every entry in a base list can be assigned its own frequency (Frx) and Timeframe/Interval (TF) to suit the application.
You can generate any frequency of dates for any interval for any calendar period required.
Each list of dates is saved as a separate data table and the individual dates can be modified to suit the application. The feature is quite flexible and can be used to suit a variety of applications.


MIS Report Generator

A list of dates can be generated for any calendar period while automatically excluding specific dates and days of the week.
For example, if you do not want a random date generated for a specific holiday, enter the holiday's date in the exclusion calendar.
The exclusion calendar is accessed from the Other_Data menu option found in almost all menu bars throughout the system. The menu is titled Exclusion Dates / Calendar. You must update the calendar at the beginning of each year. For example, 12-25-200 1 must be changed to 12-25-200 2 for the new year.
Days of the week, Monday-Friday, Saturday & Sunday, are specified for exclusion at the time the list of dates is generated. Days of the week for exclusion are not maintained separately in the exclusion calendar.


MIS Report Generator

The specific details of Random Dates/Periodic Testing are outlined in an article in the main help system. How the dates are generated is described in complete detail. Start the Help system, click the Contents tab and double click the first book Help System Overview to open it and list its articles. Find the article titled Random Dates/Periodic Testing.
Note: If the Contents, Index, Search & Favorites tab are not visible when you start the help system, click the Options button at the top of the window and choose Show Tabs.

The main help system is activated from the main menu box when the program starts or from the Help menu in most RandomWare data windows.


MIS Report Generator

The first requirement for generating random frequency dates is to define a list of entries that require random date generation.
Open a Base List - Personnel rosters are referred to as Base Lists.
If you need help to open a Base List, refer to the first page of the tutorials and see the article Open a Base List for Editing.


MIS Report Generator

The first requirement for generating random frequency dates is to define a list of entries that require random date generation.
Open a Base List or personnel roster. The frequency and timeframe (Frx/TF) columns are located at the far right of the spreadsheet.
If you need help to open a Base List, refer to the first page of the tutorials and see the article Open a Base List for Editing.


MIS Report Generator

The frequency and timeframe (Frx/TF) columns are the last columns in the spreadsheet.
If they're not included in the view, change to the Mode/Category view from the Views menu at the top of the window.
Frx | TF | Note: Frx < TF The Frequency must be less than the Time Frame
0 | 0 | No Dates generated (Blank data in the column is equivalent to 0)
1 | 1 | No Dates generated
2 | 7 | Twice every 7 days or twice a week
1 | 7 | Once a week
1 | 14 | Once every two weeks
2 | 14 | Twice every two weeks
1 | 30 | Once a month (30 days)
4 | 30 | Four times every 30 days
6 | 180 | Six times every 180 days


MIS Report Generator

To open the Random Date Generator, click Randoms from the menu bar and choose Frequency Scheduling.
The dialog box has three tabs for parameter specification to control the generation of the dates:
  • Control
  • Select
  • Display Opts


MIS Report Generator

Specify the Not Days. Click the box for any day of the week for which random dates should not be generated. For example, if you don't want dates that fall on Saturdays or Sundays, then check their respective boxes.
If you've defined specific dates in the exclusion calendar, be sure to check the Use Exclusion Calendar box.


MIS Report Generator

Use the calendar to specify the period the random dates will span.
Click on the year to activate the small vertical scroll buttons to change the current year. Use the left and right arrow buttons to change the month.
Click the From button to choose the selected calendar date as the beginning date for the random generation period.
Click the To button to choose the selected calendar date as the ending date of the period for random date generation.


MIS Report Generator

Clicking the From and To button will assign the currently selected calendar date to its respective edit control.
The dates can be entered manually without the use of the calendar control. Simply click into the edit control and enter the date.


MIS Report Generator

Choose Entire Roster to generate random dates for the each entry in the roster whose Frx/TF is defined.
Choose Selected to generate dates for only the entries in the roster that are selected (highlighted). To select individual entries, hold down the left mouse key and roll over a number of entries. Highlighted entries are considered "selected. " You can also use the selection control features found in Select tab page - See Next page . . .
Choose Current to generate dates for the current entry in the spreadsheet. The current record is the one highlighted for data entry control.


MIS Report Generator

Each of these options effects the Frx/TF parameters differently.
Generate for: Entire Roster
Frx/TF parameters cannot be modified when Entire Roster has been selected. Each entry's respective values for Frx/TF, listed in the spreadsheet, will be used to generate the random dates.


MIS Report Generator

Each of these options effects the Frx/TF parameters differently.
Generate for: Selected
The values entered here for Frx/TF will apply to all selected entries regardless of each entry's respective Frx/TF values listed in the spreadsheet.


MIS Report Generator

Each of these options effects the Frx/TF parameters differently.
Generate for: Current
When the "Current" option is selected, the values from the spreadsheet for that entry are placed in the Frx/TF edit boxes. Use one of the Apply options to control how Frx/TF values are used - See Next page.


MIS Report Generator

Select Tab Page: Apply Options
Selected or Current
When either the "Generate for Selected or Current" option is checked the Apply option will determine how random dates are generated for each entry affected.
Apply Options to Selected:
Use the Frx/TF values entered in the edit controls to generate dates. The values entered in the edit controls override each entries respective values from in the spreadsheet.
Use Options per Entry:
Use the Frx/TF values from the spreadsheet to generate dates.


MIS Report Generator

Miscellaneous Options
The spreadsheet and the Random Date Generator are both active simultaniously: scroll through the records from the spreadsheet or use the controls in the dialog box.
Scroll to the previous entry in the spreadsheet.
Scroll to the next entry in the spreadsheet.
Toggle the selection of the "current" entry in the spreadsheet.
Page Up - Spreadsheet
Page Down - Spreadsheet
Select All
Turn Selection Off All


MIS Report Generator

Display Opts
Control the display of the results to meet the requirements of your application. This option only affects the display and not the structure of the saved data. The viewing option can be changed the next time the table is opened for review. Regardless of the option(s) selected, all generated dates are displayed for each entry.
Name & Date Only
Only the entry's Name (first & last) is displayed while the display of the the group or company name is suppressed
Combine Name & Group
The entry's name is combined with the group name.
Single Name
Only the entry's Last Name is displayed. If the entries are "Colors" they should be entered in the Last Name column. When the single name option is selected, the entry color displays as expected.


MIS Report Generator

Results
The generated dates for all entries are displayed when the Ok button is clicked.
The list of dates is saved as an single table of data and is referenced by the date the generation was requested.
The list of previously generated date tables can be accessed through the directory: right click the group name and select Review List: Random Dates Generated for FreQ_Sched
A list of all existing date tables for the group is presented. The last column in the presentation is the name of the data file for the table. Double click the entry in the last column to review the lists of dates.


New Page 1

This article is being written.


MIS Report Generator

Two methods are available to import data into personnel rosters. The first method imports only a limited number of fields. The alternate method can import every field and every table of data supported by the system.
The limited method will import a name (first, last, middle initial), id, mode and category.
The alternate method uses an import template to map external data items to its respective RandomWare field.
Import templates are also used to update records from external data sources. For example, update test results from files electronically sent by a lab or MRO.


Import Control
Limited: Importing Personnel Rosters
Using Import Templates for complete import control.


MIS Report Generator

This topic is being written.


MIS Report Generator

The MIS Report Generator can create reports for the entire directory, one group at a time or multiple groups and pools/consortia.
Select a directory entry using the standard Edit Control or the Report Generator's selection control.
The report control displays over the Directory spreadsheet and both are active simultaneously.

If you need to find a specific entry, scroll the spreadsheet from the Report Generator or directly from the Directory window spreadsheet.

The Find and Edit Control functions are accessed through the directory's Utilities menu.


New Page 1

Statistics Reported
For each group or pool the following numbers are reported:
  • Persons Subject to Testing
  • Refusals
  • Double Positives: No. of persons with tests verified positive for a controlled substance and an alcohol test indicating a concentration of 0.04 or higher.
  • Supervisors trained for drug and alcohol certification.
Drug/Substance Tests
  • Collected
  • Positives
  • Positives for multiple substances
  • Count of controlled substances.
Count of controlled substances
 | Example:
2 | Cocaine
3 | Marijuana
4 | Opiates
Alcohol Tests
  • Collected
  • Confirmation Tests
  • Level I: 0.02 or greater but less than 0.04
  • Level II: 0.04 or greater


New Page 1

Statistics Reported: continued
The numbers, previously described, are reported for every Testing Reason supported by the system.
  • Pre-Employment
  • Randoms
  • Reasonable Suspicion
  • Post Accident
  • Return to Duty
  • Follow-Up
  • Other
You can add specific reasons for testing as required by your application.
For example:
  • Visitors
  • Blind Testing
  • Pre-Access


New Page 1

Statistics Reported: continued
Summary reports are also provided for every group and pool selected.
  • Summary of the numbers for each testing reason.
  • Summary of each test result maintained in the results table.
You can add specific test results as required by your application if not found in the current tables.


New Page 1

Report Period
Enter the starting and ending dates for the report in the From and To edit fields. Click the drop down arrow for a full calendar
Drug and alcohol samples collected within the period requested contribute to the statistics reported.


New Page 1

Note: These items currently do not change effect the outcome of the reports - they will be implemented in a future release.
Drug & Alcohol Specification

To change the selection of an item, double click it.

Drug and Alcohol tests are listed here from the system's Test Type data table.

If individuals were administered "Hair" tests for substance control and Hair is Not Checked, the report will not accumulate data when Hair is the listed test type.

Generally, you will not change the "Checked" status of the Drug & Alcohol list unless your report requirements are very specific.

For example, the US DOT FHWA specifically mentions "Urine" as the test for substance control. If you need to limit the report to only urine samples and not hair, be certain "Urine" is checked, while "Hair" is not.


New Page 1

General Positives & MRO Positives

A general results status is assigned to every drug and alcohol test. The result is presumably the one reported by the lab. For drug tests, the result indicated by the MRO is logged as a separate data item and does not effect the general results status.

If you want to report only tests whose results were verified as positive by the MRO, select the "By MRO" option.

MRO verification and the general test result status are logged as independent values. It is up to the user to maintain data appropriate to their application of Randomware.


New Page 1

Reasons for Testing

Select the reasons for testing to include in the report. Double click a reason to change its checked state. All items with a check mark will be reported.

Reasons for Testing is a user definable data table accessed through the Other Data menu option.


New Page 1

Control the range of reports generated
Using these controls you can generate reports for every group and pool in the directory, a single group or pool or any number of selected directory entries.


New Page 1

Select the Directory Option to generate reports for every entry in the directory.
This option is used in conjunction with the ones in the Reports Cover group.


New Page 1

Use the Selected Option to generate reports for specifically selected entries.
How a specific entry is selected will be discussed later in the tutorial.


New Page 1

Use the Current Group Option to generate a report for the group in the current record of the directory spreadsheet.
The current record is the one highlighted for editing. You can scroll or page the spreadsheet from the directory window or directly from the report generator. These features will be discussed later in the tutorial.


New Page 1

The group from the current record is displayed here as you scroll through the directory spreadsheet.


New Page 1

Use the Current Pool Option to generate a report for the Pool in the defined in the current record of the directory spreadsheet if the current group is a member.


New Page 1

If the current group is a member of a pool, its Pool ID is displayed here as you scroll through the directory spreadsheet.


New Page 1

Use these buttons to scroll or page through the directory spreadsheet.
The directory window is active and accessible while the MIS Report Generator is displayed. You can click on an entry or click a menu item while the report control is displayed. When a window is not active (it doesn't respond to keyboard enter) its title bar is gray. To activate the window, simply click an item contained within the window.


New Page 1

A directory view is available that displays the Pool ID to the left of the group. This view always you to easily see both the pool ID and the group name. It's provided as an aid to easily locate and select specific items for reporting.
See the Views menu at the top of the directory window to change the view to the one shown here.


New Page 1

Use the Selection Button to select or unselect the current directory entry.


New Page 1

When requesting reports for the entire directory or selected groups/pools, use these options to control the volume of reports generated.


New Page 1

Pools: Not Members
Generate a report for each pool/consortium in the directory or those specifically selected using the previously mentioned selection methods.
Reports for the individual member groups are not generated.


New Page 1

Pools: Plus Members
Generate a report for each pool/consortium in the directory or those specifically selected using the previously mentioned selection methods.
Reports for each of the individual member groups are generated.
The numbers reported for each member reflect only the tests collected from persons in the member's roster.


New Page 1

Use Pool Pre-Emp
Gather numbers from the Pool's Pre-Employment table for this report.
It's possible to maintain separate Pre-Employment tables for each group and each pool. A Pre-Employment table can also be managed for the entire directory. Data from the directory pre-employment table is not used for these reports.
Occasionally, a consortium member may not want the consortium manager to maintain a pre-employment table specific to the member. In this situation log the member's pre-employment tests in the pool's pre-employment file and do not select this option when requesting reports.


New Page 1

Groups
Generate a report for each group in the directory or those specifically selected using the previously mentioned selection methods.
If the Pools: Not Members option is requested, only groups which are not members of a consortium will be included in the report set.
If the Pools: Plus Members option is selected, member groups will be included only once in the report set.


New Page 1

Report to
Reports can be directed to the screen, to the printer and to Adobe Acrobat files with a single report generation request.
If a printing option is selected in conjunction with the screen option, the results are directed to the screen in a spreadsheet format while the hardcopy and Adobe files are generated.


New Page 1

Restrict to Specific Mode/Category
Restrict the data to a specific Mode or Mode/Category combo.
Check the Not by Mode to include all tests for the groups/pools selected reqardless of donor's Mode/Category.
If a report filters only by Mode, check the Not by Category option to remove the category restriction.


New Page 1

Click OK to generate the reports.


MIS Report Generator

The MIS Report Generator is a feature of the RandomWare Directory facility and provides reports that meet mandated and non-mandating requirements.
To start:
  • Open a Directory
  • Click the Reports menu.
  • Click MIS:Start/End Date
You can generate reports for specific testing periods - quarterly, bi-annually, etc.
An MIS report generator is also available in the Results Table window.
Note: Directory access is covered in the tutorial Getting Started - The Sample Directory.


MIS Report Generator

Every employee record has a field to identify the employee's location, shift, start time and a miscellaneous data item.
The random selection generator scans the list prior to selection to determine if employees for multiple location exists in the roster. If it's determined that multiple locations are defined and personnel from different locations are selected, the print control provides an option to print the results of the selection with page breaks by location so the selection results can be easily distributed.

Note: This print option is not available when random selections are generated with the Simple Random Selection control - Use Super Double Jeopardy or the General Random Selection.
If the miscellaneous data item has been entered for any entry in the roster, the print control will provide a report format that includes the miscellaneous information when the Summary format of the random selection is printed.
If you require the random selection results to print in a format that includes the employee shift and start time, request the Brief or Detail format when requesting a hardcopy.


Open the sample Directory

To open the the sample directory provided with the installation, press the New/Existing Directory button.
Note: Program buttons are not active from the help windows.


To open a new directory press the button

To open the Sample Directory press the button from the program dialog box.
Note: Program buttons are not active from the help windows.


New Page 1

The Directory Window
A third party administrator (TPA) will keep a list of companies managed for drug & alcohol testing services.
If you manage your company's in house drug & alcohol testing program, the directory may be a list of the individual departments, divisions or facility locations.


New Page 1

Proceed through the next tutorial pages as directed by the buttons shown below.
Continue to the next page before selecting a program option.
Perform the program operation as instructed by this tutorial, click the next button to proceed to the next page of the tutorial.


New Page 1

Random selections are generated directly from the personnel rosters. To open the base list or personnel roster for Acme Delivery, double click the name.


New Page 1

The Base List Window
Persons previously tested can be excluded from selection for non-mandated testing programs. Exclusion is controlled by the number of days since last tested (the last tested or collection date). For example, individuals tested within the last 30 days can be excluded from selection.


New Page 1

An entry marked as Not Active is equivalent to removing or deleting the entry from the roster.
It's not necessary to delete an entry when the person is no longer active. Some applications may want to maintain historically accurate lists and not remove entries until the end of a specific period.
For example, terminated employees are no longer active. An entry whose status is "Not Active" is not considered for random selection and does not contribute to the overall count used for percentage calculations.
NOTE: To delete an entry from the spreadsheet simply press "Ctrl-D" / Hold down the control key (Ctrl) and press "d" simultaneously.


New Page 1

Left click the short cut arrow wherever it appears for a pop-up menu of options for the field in which it displays. The popup menu is displayed on the next page.
Note: A Right Click on the field item will also activate the pop-up menu.


New Page 1

The personnel editor provides access to every data item in the record. See the tutorials about the dialog editors to learn more.


New Page 1

Log an entry file for testing: Probable Cause, Periodic Testing, Post Accident, etc. Drug & Alcohol test result data is managed in the group's Results table. Open a Results table directly from the Directory or from the menu bar at the top of this window.


New Page 1

Sort Symbol
Click on the sort symbol or click on the character text above a data column to sort by that field. If the sort symbol does not precede the heading text, you cannot sort by that column.

If the text is displayed in black, click near the top for an ascending sort or near the bottom for a descending sort. Once sorted, click again to reverse the sort. Blue indicates the resulting sort is Descending while Red indicates an Ascending sort.


A Directory

RandomWare maintains directory style lists for the following:
  • Medical Review Officers (MROs)
  • Certified Collection Professionals and staff (CPC)
  • Labs
  • Panel Configurations
Every data record for a drug & alcohol test maintains items for the lab that conducts the analysis (substance tests), the collection personnel who collect the sample, the medical review officer who oversees the veracity of the results and the panel configuration that defines the substances tested.

Enter the information for each of these categories before you start logging test results in the program.


A Directory

Each directory is accessed through the Other_Data menu option found in the menu bar at the top of all windows throughout the program.
The directories for MROs, Labs and CPCs are all managed similarly.

Read Directory Layout to understand, in general, how the directories are setup and how they function. The information in the layout article is not duplicated in the other tutorials.

General Directory Layout
Lab Directory
MRO Directory
CPC Directory
Panel Configuration Directory


A Directory

Each directory is accessed through the Other_Data menu option found in the menu bar at the top of all windows throughout the program.
The directories for MROs, Labs and CPCs are all managed similarly.

Read Directory Layout to understand, in general, how the directories are setup and how they function. The information in the layout article is not duplicated in the individual tutorials.

General Directory Layout
Lab Directory
MRO Directory
CPC Directory
Panel Configuration Directory


A Directory

The directories for MROs, Labs and CPCs are all managed similarly.
The spreadsheet window is divided into two sections.

  • Address block.

  • Lab, MRO, CPC company name, abbreviation and the primary contact.
Address Block
The data at the top of the screen is the Address Block. This block of data changes as you move through each row in the spreadsheet. The data in the address block corresponds to the current record below - the current record is the one highlighted for entry.
Moving the Cursor into the Address Block
Press the [Enter] or [Tab] key to move consecutively from field to field in the spreadsheet or move the cursor using the mouse and left click on the field item you want.


MIS Report Generator

Pre-Employment
Pre-Employment data is maintained in the same drug and alcohol results table as random selections and Employee Assistance Program (EAP) data. EAP data includes: Follow-Up, Post Accident, Return to Duty, etc.
To start, open the Results file for the intended company.


MIS Report Generator

Pre-Employment
Two methods control the entry of a new pre-employment test into the table.
  • Select New Pre-Employment from the Utilities menu.
  • Double click any name or ID from the spreadsheet to activate the full record dialog editor and click the Insert Button.


MIS Report Generator

Pre-Employment
Pre-Employment data is maintained in the same drug and alcohol results table as random selections and Employee Assistance Program (EAP) data. EAP data includes: Follow-Up, Post Accident, Return to Duty, etc.
Each group or company listed in a RandomWare Directory has its own results table. You can also maintain a separate results table to manage pre-employment and EAP data for the entire directory with the Plus System - these tables are referred to as Directory Masters.
Note: Directory access is covered in the tutorial Getting Started - The Sample Directory.
Note: See Directory Master Tables for more information about using this feature.


MIS Report Generator

Enter a Pre-Employment Entry
To enter a pre-employment drug and/or alcohol test open the results table for the intended company.
To open a results table, right click on the company and select the Pre-Employment option.
Note: Use the Open Options menu at the top of the window to access the Master Results table for the Directory.


MIS Report Generator

Enter a Pre-Employment Entry
Select the Pre-Employment option to open the table for the directory entry and initialize a new record for Pre-Employment.


New Page 1

Enter a Pre-Employment Entry
If the Results Table is already open, insert an entry in the spreadsheet or activate the full record dialog editor.
To activate the full record dialog editor:
Double click any Name or ID to directly access the full record editor.
Note: the full record editor has an insert button that adds a new entry and pre-sets it as a pre-employment test and makes the personnel page active for data entry.


New Page 1

Enter a Pre-Employment Entry
To insert a new entry simply press "Ctrl-N" (Hold down the control key and press "n" simultaneously).
Double click the blank name to request the dialog editor for access to full record to manage all the data for the test.
Or simply double click any Name or ID to directly access the full record editor and use the insert command to add a new entry.


MIS Report Generator

Printing
Printed reports were all designed using Arial, regular and bold 8. Font sizes bigger than 8 will result in lines that print off the page. The items of a report are very specifically placed and line wrapping doesn't always make sense.
Two top of page margins can be specified (See system options):
  • Portrait
  • Landscape
Most reports print portrait. Random selection results, summary report, prints landscape.
Random selection results can be printed in three other formats:
  • Brief
  • Detail
  • Worksheet
These formats tightly control the number of selection results printed per page and therefore ignore the system defined top of page margins.


MIS Report Generator

Printing Random Selection Results
Format |
Summary | Random selection summary prints the names, tests to administer, selection date, personnel locations if different locations are monitored and alternates.
 | The formats below print more personnel data than just names and IDs. Please refer to the examples provided with the installation.
Brief | Prints 3 people per page.
Detail | Prints 2 people per page.
Worksheet | Prints 2 people per page. Provides blank lines for notification information (dates, times, etc.)
Selection cover sheets and notification letters can be printed at the same time selection results are printed.


MIS Report Generator

Cover Sheets & Notification Letters
Note: Both the cover sheet and the notification letter have their own top of page margins defined separately from the margins specified in system options.
Cover sheets provide summary information about the selection results: number of people eligible for selection, the specific numbers selected for drug and alcohol tests.
The system maintains a master copy of the cover sheet and the notification letter. The general content for both the cover sheet and the notification letter can be modified after the random selection results are presented to the user. These copies persist from random selection to random selection with the modifications until the user "resets" them from the master versions.

The master versions are accessed for editing through the Other_Data menu option.

All personnel data for each person selected is also output to an ASCII, tab delimited, text file and can be used to print custom notification letters using Microsoft Word and its Mail-Merge feature. See the main help system for details about using this feature. These files are found in a subfolder, Notice, of the installation.


New Page 1

Generating Random Selections
RandomWare provides a variety of random selection controls.
Use the control that meets the requirements of your drug & alcohol testing program. RandomWare complies with mandated testing requirements simply by virtue of the random number generator used. Details about the process are provided in the system's main help module.


New Page 1

Random Selections
Generating Random Selections
Previously Generated Random Selections: Accessing the data.


New Page 1

Generating Random Selections
To start, open a base list for a single company, department, organization, sports team. If you're using the Plus system you can open the combined list for the members of a consortium.
See the related tutorials for information about opening base lists and managing consortia.


New Page 1

Left double click Harvard to open its base list and generate a random selection from its personnel roster. Note: Harvard is not a member of a consortium.
Left double click Pool_1A to create a temporary personnel roster that combines the base lists of all the member groups. The random for the consortium is pulled from the combined list.


New Page 1

Left double click Acme Delivery to open its base list and generate a random selection from its personnel roster only.
Even though Acme is a member of Pool_1A, the random pulled from only Acme does not affect the overall percentages for the consortium.
When a report is requested for only Acme, the numbers provided will reflect both the numbers contributed by persons selected from Acme when the randoms were generated for the consortium and any randoms that were pulled only from Acme's personnel roster, as described above.
Reports requested for Pool_1A only will not include numbers for the randoms pulled from Acme's roster only.


New Page 1

Base List
Random selection controls are accessed from the Randoms menu option.


New Page 1

Use the Selection Assistant for details about each of the selection parameters used in the General and Super Double Jeopardy selection controls.
The Simple method provides selection control when no drug testing data is required.


New Page 1

The Selection Assistant provides details for each of the selection parameters used in both the General and Super Double Jeopardy selection controls.
The Assistant provides selection control through a paged dialog. Use the Back and Next buttons to proceed from the beginning to the end of the selection process with guidance for each.
After becoming familiar with the Selection Assistant, use either of the other controls for immediate access to all control parameters in one dialog box.


New Page 1

From the Other_Data menu, choose Reasons for Testing to access the table for data management. Enter new reasons for testing as required by your application of the program.
NOTE: You must pay particular attention to the value entered in the C.C. column!!


New Page 1

Note: When the Rsrv column is marked with an 'x', the data is "Reserved" and can not be modified. These items are referenced throughout the program and data relationships may be undesirably altered if these items are modified. A record can be reserved by double clicking the Rsrv column for that entry. Once set, however, its status cannot be reversed until you gain "Development Access." See Development Access for more information .


New Page 1

The value entered in the Correlation Code (C.C.) column must be a unique integer value and cannot be duplicated, however, the program currently does not check for redundant values. When a new reason for testing is entered it is up to the user to make certain that the value does not already appear in the list.


New Page 1

The text entered in the Reason column must be unique and cannot be duplicated, however, the program currently does not check for redundant values. When a new reason for testing is entered it is up to the user to make certain that the value does not already appear in the list.

Enter a Description that appropriately describes the new reason for testing.


New Page 1

Random Selections Audit
A complete audit trail is maintained for every random selection generated.
Every control parameter used to generate the selection is saved as well as a duplicate record of the roster from which the selection was generated and a duplication file of the random selection results.
Note: the results of a random selection are also saved to the roster's results table where drug and alcohol test results are managed.


New Page 1

Random Selection Audit
The audit table is accessed from the program's main menu or from the Directory window in the Plus system.
Simple, Basic & Plus Systems
From the program's main menu select Selection History Audit from the Admin menu.
Plus System:
From the Directory window choose Selection History Audit from the Open Options menu.


A Directory

Left click the short cut arrow to access the selection results and the duplication record of the base list at the time the selection was generated. Each option is available from the pop-up menu.


New Page 1

Selection Control Parameters Saved
Every control parameter of the selection is saved:
  • Selection ID
  • Selection Date
  • Selection Time
  • Super Double Jeopardy vs. General
  • Type of Test for both A & B
  • Percentages and Counts including Alternates
  • Selection Saved to History or Not
  • Size of the list at time of selection
  • Number of persons selected.


MIS Report Generator

Manage drug and alcohol test results data for random selection, pre-employment and employee assistance programs (EAP).
EAP testing includes:
  • Follow-Up
  • Post Accident
  • Periodic
  • Reasonable Cause/Suspicion
  • Return to Duty
  • Other
The table that lists reasons for testing can be extended to include any reasons for testing required by your application - see the tutorial titled Reasons for Testing.
Note: Pre-Employment and EAP data management are features of the Basic & Plus Systems.


MIS Report Generator

Manage drug and alcohol test results data for random selection, pre-employment and employee assistance programs (EAP).
EAP testing includes:
  • Follow-Up
  • Post Accident
  • Periodic
  • Reasonable Cause/Suspicion
  • Return to Duty
  • Other
EAP testing categories can be extended to include any specific reasons for testing required by your application - see the tutorial titled Reasons for Testing.
Note: Pre-Employment and EAP data management are features of the Basic & Plus Systems.


To open a new directory press the button

RandomWare has two help systems:
  • Tutorials
  • Main Help Window
Click the Help System button to access the main help window when the program first starts.
Note: Program buttons are not active from the help windows.
Most help requests throughout the program display an article from the main help system. It's helpful to learn how to navigate it.


MIS Report Generator

The help system includes a Navigation pane where a Contents, Index, Search & Favorites tabs are located.
The Navigation Pane
If the Navigation Pane is not displayed along the left side the help window, select Show Tabs from the Options tool to control its display.


MIS Report Generator

Most help requests display an article from the main help system. The help system navigates exactly as an internet web-site with hyper linked pages. Sub-topics are often presented on separate pages and can be referenced through hyperlinks. You can easily browse to a related topic, read it, and return to finish the main article.
From the Contents tab titles can be easily referenced to find an article about a specific topic in which you're interested.
A Search tab is also available and can be used to find articles based on a specific keyword.


MIS Report Generator

Click on the plus sign next to a book to display the list of articles.


MIS Report Generator

When you find the topic, click the title to display the article.


To open a new directory press the button

RandomWare has two help systems:
  • Tutorials
  • Main Help Window
Note: The Main Help Window contains articles for all the RandomWare systems. You'll find articles that also address features found in the Plus version for the program.
Click the Help System button to access the main help window when the program first starts.
Note: Program buttons are not active from the help windows.
Most help requests throughout the program display an article from the main help system. It's helpful to learn how to navigate it.


To open a new directory press the button

RandomWare has two help systems:
  • Tutorials
  • Main Help Window
Note: The Main Help Window contains articles for all the RandomWare systems. You'll find articles that address features found in the Extended, Basic and Plus versions for the program.
Click the Help System button to access the main help window when the program first starts.
Note: Program buttons are not active from the help windows.
Most help requests throughout the program display an article from the main help system. It's helpful to learn how to navigate it.


Yearly Target Percentages

Yearly Percentage for Random Selection
For random selections you can specify a target percentage that you want to achieve by the end of the year end for two tests: presumably a drug or substance test and an alcohol test. In general, the program reports the percentage randomly selected since any date requested - provided data exists back to the date specified.

These percentages can be defined for each entry in the directory, and each consortium defined. A separate tutorial is provided for consortia.
Specify the number of random selections planned for the year for each directory entry:
  • Quarterly - 4
  • Monthly - 12
  • Weekly - 52
  • etc.


New Page 1

To start, open a directory.
Please refer to the Getting Started tutorial for information about accessing and using RandomWare Directories.


New Page 1

Proceed through the next tutorial pages as directed by the buttons shown below.
Continue to the next page before selecting a program option.
Proceed with program option as directed.


New Page 1

Left click the short cut arrow for a pop-up menu of options.


New Page 1

Or right click directly over an entry to access the same pop-up menu.


New Page 1

Select the Edit Directory Entry option for access to the complete record editor. Every data field maintained for the entry can be managed from one convenient editor. The editor is divided into "tabbed" pages for quick access to specific data items and can be used in conjunction with the spreadsheet for robust data management.


New Page 1

Select the % Control tab to access percentages and other testing specifications. Click on the question marks and the Read Me buttons for detailed information.


New Page 1

Enter the starting date for the year in which percentage monitoring will start. For example, if your program intends to test 50% of the population for the year, starting on January 1, enter 01-01-2001 in this field.
If your program needs to recount percentages at the beginning of the next year, you will need update this date when the new year starts.
The program uses this date to determine the Year to Date percentages. The date is the starting point for counting.


New Page 1

Specify the Test Types for which your program will administer.
If the program controls for two tests, select a test for both Test-A and Test-B.
Alcohol Only is automatically checked if the test is listed in the system table as an alcohol only test. See the Test Types Administered data table for more information. The table is accessed from the Other Data menu option.
If your testing for both drug & alcohol as two separate tests, then, for example, select Urine for Test A and Breath for Test-B.
The test entered with the biggest percentage must be specified in Test-A.
For example, if you're selecting 50% drug (urine) and 10% alcohol (breath) then Test-A is urine and Test-B is alcohol.
Or if you're selecting 30% drug & 40% alcohol, then Test-A is breath and Test-B is urine.


New Page 1

Enter the number of selections planned for the year.
  • Quarterly: 4
  • Monthly: 12
  • Weekly: 52
  • etc.


New Page 1

Check this option to instruct the Random Selection Assistant to automatically use the Super Double Jeopardy method as the intended selection control. This option is also used when the Limited Access Control option is checked.
When the Limited Access Control option is checked the user will not be able to change the selection method.
Super Double Jeopardy: For example, suppose 50 donors are to be selected for Test A, urine, and 10 for Test B, breath alcohol. First the 50 are selected for Test-A. The 10 required for Test-B will be selected entirely from the 50 already selected. The maximum number of donors selected is 50, 10 of which are administered both tests.


New Page 1

Check either of these options to instruct the Random Selection Assistant to use the General Selection Method. This option is also used when the Limited Access Control option is checked.
When the Limited Access Control option is checked the user will not be able to change the selection method.
General Random Selection: For example, suppose 30 donors are to be selected for Test A, urine, and 10 for Test B, breath alcohol from a list of 100 persons.

First the 30 are selected from the possible 100 (Test A) and 10 (Test B) are also selected from the population as follows: If the Both Tests option is selected then the 10 (Test B) are selected from the entire population which means some individuals may be selected for both tests (30 to 40 people may be selected depending on the results of the random numbers).

If the One Test Only option is selected then the 10 will be selected from the 70 not selected for Test A (40 individuals are selected).


New Page 1

The program presents a random selection generator with limited access to the selection controls when this option is checked. This option is intended for use when the System Administrator has limited user access to areas of the program.
Be certain to specify all random selection control options if the Limited Access option is used.
Review the tutorial for Administrator Access control for more information.
Note: Review the tutorial for Administrator Access control for more information.


New Page 1

Be certain to specify all random selection control options if the Limited Access option is used.
Review the tutorial for Administrator Access control for more information.


New Page 1

If you check this option, be certain to specify all the options available that are used to initialize the results records for each person selected:
  • Test Types
  • Percentages for each Test A&B
  • Panel Configuration
  • Start: Year to Date
  • No. Selections scheduled for the year.
  • Randomize Testing Dates is not used when Limited Access is checked.
  • Lab, MRO and CPC if used by your application.


New Page 1

This is a preset option. If checked, the random selection control is automatically setup for the entry of start and end dates that define the testing/collection period.
Each individual randomly selected is assigned a random testing date between the dates entered.
Turn "Scheduling" on to pre-define testing dates for each random selection scheduled. See System Options for access to the "Scheduling" option. See the help system for more information about scheduling.


New Page 1

When checked, the percentages entered for the items A-Selection % and B-Selection % for Test A and Test B, respectively, are preset in the random selection control
Values as year end target percentages and not are calculated. The percentages are preset exactly as entered every time the random selection control is requested.
Use this option if you intend to select at the same percentage each time a random selection is generated.


New Page 1

When checked, the values entered for the items A-Selection % and B-Selection % for Test A and Test B, respectively, are preset in the random selection control as Counts, not Percentages. The percentages are calculated.
Do not use this option if specific percentages are required for year end targeting.


New Page 1

When checked, the values entered in the items labeled Alternates (A) and Alternates (B) for Test A & Test B (when Test B is specified) respectively, are used as counts, not percentages. The percentages are calculated.


New Page 1

A location can be specified for each entry in the personnel roster. If the roster has multiple locations specified, the random selection generator will select alternates for each location for which personnel have been randomly selected.

When alternates are specified for each location, it's easy to complete the required number of tests when a primary selection is unavailable at any of the locations.

Note: Limit the number of alternates to 1 or 2 depending on the number of personnel at each of the locations. The program will attempt to randomly select the number of alternates specified for each location.

Example:
The no. of alternates requested is two and a location has 2 employees, one of which was randomly selected. The one remaining person will be picked to stand in as an alternate since there is not sufficient numbers remaining to randomly select the two alternates as requested.


New Page 1

The following pages discuss options found on the Pre-Sets tab.


New Page 1

This is a preset option. Select the Panel Configuration your program will use for substance control for this directory entry.

This is provided as a data management convenience. The panel configuration selected here is preset in the random selection control to help streamline the selection process.

See the tutorial Managing Drug/Alcohol Test Data to learn about managing custom panels and alcohol screens for your application.
If the item is not entered, the one maintained in the system options table is used.
Note: "System Options" is available from the Other Data menu. See the "Defaults" page for their specification.


New Page 1

This is a preset option. If randomly selecting for an Alcohol Only test, then pre-set the Alcohol Screen you'll use.

This is provided as a data management convenience. The panel configuration selected here is preset in the random selection control to help streamline the selection process.

See the tutorial Managing Drug/Alcohol Test Data to learn about managing custom panels and alcohol screens for your application.
If the item is not entered, the one maintained in the system options table is used.
Note: "System Options" is available from the Other Data menu. See the "Defaults" page for their specification.


New Page 1

This is a preset option. If your application lists the MRO, then preset this data item so it automatically initializes its respective field in the random selection control.

This is provided as a data management convenience.

See the tutorial MRO, CPC, Labs, Panel Configurations to learn about managing customized MRO entries for your application.
If the item is not entered, the one maintained in the system options table is used.
Note: "System Options" is available from the Other Data menu. See the "Defaults" page for their specification.


New Page 1

This is a preset option. If your application lists the CPC, then preset this data item so it automatically initializes its respective field in the random selection control.

This is provided as a data management convenience.

See the tutorial MRO, CPC, Labs, Panel Configurations to learn about managing customized MRO entries for your application.
If the item is not entered, the one maintained in the system options table is used.
Note: "System Options" is available from the Other Data menu. See the "Defaults" page for their specification.


New Page 1

This is a preset option. If your application lists the Lab, then preset this data item so it automatically initializes its respective field in the random selection control.

This is provided as a data management convenience.

See the tutorial MRO, CPC, Labs, Panel Configurations to learn about managing customized MRO entries for your application.
If the item is not entered, the one maintained in the system options table is used.
Note: "System Options" is available from the Other Data menu. See the "Defaults" page for their specification.


New Page 1

Auto Select is not currently used - it's reserved for future enhancements.
Note: When the random selection control is first presented the corresponding options in the control will be initialized as they are specified here.


New Page 1

Check this option if you want to assign a randomly generated testing/collection date for each person randomly selected. The date range is entered at the time the selection is requested.
Note: When the random selection control is first presented the corresponding options in the control will be initialized as they are specified here.


New Page 1

Check this option if want to preset each test results added to the results table as Collected. The collected status and the collection date must be specified if a test result is to be recognized for inclusion in the MIS report.
Note: When the random selection control is first presented the corresponding options in the control will be initialized as they are specified here.


New Page 1

Check this option if want to preset the tests as On-Site.

Currently this option is for reference only - No reports are provided for this item.

Note: When the random selection control is first presented the corresponding options in the control will be initialized as they are specified here.


New Page 1

If your testing program needs to exclude previously tested individuals by number of days, enter that number here.
For example, enter 30 to exclude individuals previously tested within the last 30 days.
This is a preset option. It is used simply to preset the random selection control and can be modified at the time of selection.


New Page 1

The pre-selected Lab, Medical Review Officer (MRO), Certified Professional Collector (CPC) and the Drug Panel are assigned to the record of each individual who is randomly selected.
Pre-selecting these items removes the burden of assigning the data later if your application maintains this information.
If these items are not entered, those maintained in the system options table are used.
Note: "System Options" is available from the Other Data menu. See the "Defaults" page for their specification.


New Page 1

See the random selection tutorial to learn about generating random selections and the controls provided.


Yearly Target Percentages

Yearly Percentage for Random Selection
Specify a yearly target percentage for random selection for two tests: presumably a drug or substance test and an alcohol test. These percentages can be defined for each consortium defined.
Specify the number of random selections planned for the year:
  • Quarterly - 4
  • Monthly - 12
  • Weekly - 52
  • etc.


New Page 1

Right click directly over an entry to access a pop-up menu of options


New Page 1

Select the Pool Registry option for access to the pool data table for percentage and test specification.


New Page 1

Each item provides the same program management as those defined for each directory entry.
The specifications for a pool or consortium override any that may be defined for any of the consortium members.
Please refer to the tutorial for yearly selection percentage targets for directory entries for a detailed accounting of each field and its purpose.


New Page 1

This tutorial is under construction.